Fri Nov 22 04:53:12 2002  Bala  <bala@cs.wustl.edu>

        * TAO version 1.2.6 released.

Thu Nov 21 18:45:23 2002  Pradeep Gore  <pradeep@oomworks.com>

	* docs/releasenotes/index.html: Updates the section on
	  Notification Service.
	* docs/releasenotes/notify.html: Added a detailed feature matrix
	  of the Cos Notification Service.

Thu Nov 21 13:26:27 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Connection_Handler.cpp: Avoid checks for reactor consistency
	  if the handler is not registered with the reactor. This should
	  fix most of the runtime problems that we are seeing. This place
	  needs to be reexamined after the beta. The intersection of
	  RTCORBA and nonRT cases simply makes this place too
	  complicated. 

Wed Nov 20 18:04:00 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Muxing/run_test.pl: Checked in a version of the script
	  that I use locally by mistake. Reverted the change to the
	  original form.

Wed Nov 20 18:01:38 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Connection_Handler.cpp (close_connection_eh): Did cosmetic
	  changes to the assertive checks.

Wed Nov 20 15:23:40 2002  Ossama Othman  <ossama@uci.edu>

	* TAO_IDL/be/be_visitor_operation/ami_cs.cpp
	  (gen_marshal_and_invoke):

	  Initialize the invocation status variable in the generated stub
	  code.  Previously, that variable was uninitialized, which caused
	  some invalid code execution paths to occur.  Fixes some problems
	  exhibited by TAO's basic AMI regression test.

Wed Nov 20 15:15:02 2002  Ossama Othman  <ossama@uci.edu>

	* tao/ClientRequestInfo_i.h (setup_picurrent):

	  New method that sets up the thread scope and request scope
	  PICurrent objects on the client side.

	* tao/ClientRequestInfo_i.cpp (TAO_ClientRequestInfo_i):
	  (setup_current):

	  Refactored duplicate code in both TAO_ClientRequestInfo_i
	  constructors to the new setup_picurrent() method.

	  Only set the TSC's peer if a copy was actually performed.  Fixes
	  a seg fault after calling
	  PortableInterceptor::Current::set_slot() after a client
	  invocation was performed.  Thanks to Philipp Leibfried
	  <pleibfried@speech-design.de> for providing a test case that
	  reproduced this problem.

Wed Nov 20 15:54:10 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:

          Changed an internal variable name in generated code for the
          _downcast() method that was short and ran a high risk of name
          clash with the exception typename.

Wed Nov 20 15:23:13 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Connection_Handler.cpp (close_connection_eh): Do not do
	  comparisions checks for reactor pointers in TAO_Transport,
	  TAO_ORB_Core and ACE_Event_handler when the ORB has already
	  shutdown. The comparisons could be wrong since the thread that
	  is closing it may not have the right access to all the resources
	  opened up by other threads (read RTCORBA threads).
	  
Wed Nov 20 16:14:31 2002  Irfan Pyarali  <irfan@oomworks.com>

	* orbsvcs/Notify_Service/Notify_Service.cpp: Added
	  ../orbsvcs/Notify/Notify_Service.h so that the static
	  initializer can run and add the service objects to the service
	  repository.  Thanks to Bala for helping with this.

Wed Nov 20 12:48:35 2002  Irfan Pyarali  <irfan@oomworks.com>

	* orbsvcs/tests/Notify/performance-tests/RedGreen/Makefile.bor:

	  Fixed test name from RedGreen to RedGreen_Test.

	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Consumer.dsp
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Supplier.dsp
	* orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Multi_Filter_Consumer.dsp
	* orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Multi_Filter_Supplier.dsp

	  Fixed release executable name.
	
Wed Nov 20 10:26:58 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/CosNotification_Static.dsp: Fixed path to some
	  idl files in the project.

Tue Nov 19 22:32:30 2002  Ossama Othman  <ossama@uci.edu>

	* tao/Acceptor_Registry.cpp (is_collocated):

	  Fixed problem where only the first endpoint in an endpoint chain
	  was used when determining if an acceptor is collocated despite
	  the fact the endpoint chain was "walked" when making this
	  determination.

Tue Nov 19 15:16:56 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Filter_Consumer.bor:
	* orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Filter_Supplier.bor:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Consumer.bor:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Supplier.bor:
	  Updated executable file names.

	* orbsvcs/tests/Notify/Basic/run_test.pl:
	  Modified to accept conf files are parameters.

	* orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.cpp:
	* orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.h:
	  Fixed problems with the test not exiting gracefully.
	
	* orbsvcs/orbsvcs/Notify/Notify_EventChannelFactory_i.cpp:
  	  Modified the <create> method to add missing initialization of	
	  TAO_NS_Notify_Service. Thanks to Steve Totten<totten_s@ociweb.com>
	  for providing the OCI test example and Irfan for showing how to
	  use <_tao_poa_downcast>.
	
	* orbsvcs/Notify_Service/Notify_Service.dsp: Release executable
	  should go in the Release directory.
	
Tue Nov 19 15:16:56 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Filter_Consumer.bor:
	* orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Filter_Supplier.bor:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Consumer.bor:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Supplier.bor:
	  Updated executable file names.

	* orbsvcs/tests/Notify/Basic/run_test.pl:
	  Modified to accept conf files are parameters. 

	* orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.cpp:
	* orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.h:
	  Fixed problems with the test not exiting gracefully.
	
	* orbsvcs/orbsvcs/Notify/Notify_EventChannelFactory_i.cpp:
 	  Modified the <create> method to add missing initialization of	
	  TAO_NS_Notify_Service. Thanks to Steve Totten<totten_s@ociweb.com>
	  for providing the OCI test example and Irfan for showing how to
	  use <_tao_poa_downcast>. 
	
	* orbsvcs\Notify_Service\Notify_Service.dsp: Release executable
	  should go in the Release directory.

Tue Nov 19 11:02:00 2002  Pradeep Gore  <pradeep@oomworks.com>

	* Added explaination for each class in 
	  ChangeLogTag: Sun Oct 27 01:04:09 2002  Pradeep Gore
	  <pradeep@oomworks.com> 
 
Mon Nov 18 20:45:12 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/tests/Notify/Blocking/notify.conf:
	  As per Bala's suggestion, applied "-ORBClientConnectionHandler
	  RW" hoping to make the blocking work.  Alas, the buffering
	  design needs a facelift. 
	
 	* orbsvcs/tests/Notify/Ordering/run_test.pl
	  - Increased allowable period for consumers to run so that test
	    doesn't timeout before hand.
	  - Commented out priority policy temporarily till the sequences
	    implementation of priority ordering is completed.
	
 	* orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Notify_Sequence_Push_Consumer.cpp:
	  Removed the MaxEventsPerConsumer policy applied to the
	  proxy. That isn't what the test was supposed to excercise.
	
 	* orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Consumer.cpp
	  Changed OR_OP to AND_OP otherwise the Consumer Admin filter will
	  always be true and no events would be rejected.	

Mon Nov 18 17:54:41 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Transport.cpp: Cosmetic changes.

Mon Nov 18 14:50:31 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be/be_global.cpp:

          Added storage and accessors for the AST node
          Components::CCMObject, which is looked up and stored
          if there is at least one component in the IDL file.

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be_include/be_visitor_ccm_pre_proc.h:

          Added the operations of Components::CCMObject to the operation
          table and *_skel method generation for component equivalent 
          interfaces. Thanks to Nanbor <nanbor@cse.wustl.edu> for uncovering
          this bug.

        * TAO_IDL/be/be_visitor_component/component_sh.cpp:
        * TAO_IDL/be_include/be_visitor_component/component_sh.h:

          Added conditional generation of AMH classes for component 
          equivalent interfaces.

        * TAO_IDL/be/be_visitor_interface/thru_poa_proxy_impl_sh.cpp:

          Added base component equivalent interface (if any) to the generated
          inheritance list for component equivalent interfaces.

Mon Nov 18 12:11:53 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosNotification_Static.dsp:
         
          Fixed settings for the IDL files in this project.

Mon Nov 18 13:01:42 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:
	Commented decrement of <queue_length_> in the svc method.
	This needs to be corrected but at this point all the tests crash
	because of this, so its being taken out temporarily.
	
Mon Nov 18 11:04:35 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/tests/Notify/performance-tests/RedGreen/run_test.pl:
	* orbsvcs/tests/Notify/Structured_Multi_Filter/run_test.pl:
	Appended Structured_ suffix to executable name. 
	* orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:
	Reverted thread creation flags.
	
Mon Nov 18 07:32:10 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Notify/Event.h: Work around for a weird BCB6
	  compiler bug. Thanks to Chris Kohlhoff for helping me with this.

Mon Nov 18 07:28:16 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Portable_Interceptors/AMI/Makefile: Prevent the contents
	  from being compiled when AMI is disabled.

Sun Nov 17 17:32:47 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/CosNotification_Static.dsp: Updated dsp file.

Sun Nov 17 12:57:10 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/CosNotification_Static.dsp:
	  Updated.
	* orbsvcs/orbsvcs/Notify/Structured/RTCORBA_*:
	  Removed extraneous files.

Sun Nov 17 12:05:20 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Portable_Interceptors/Makefile.bor: Added AMI test to the
	  list of tests that needs compilation. Thanks to Johnny for
	  pointing this out.

Sun Nov 17 09:37:08 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Makefile*: Updated dependencies again.

Sat Nov 16 21:09:32 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Portable_Interceptors/Makefile: Added AMI test to the list
	  of tests that needs compilation.

Sat Nov 16 20:43:21 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* */Makefile: Updated dependency.

Sat Nov 16 20:11:13 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:
	  - Modified threadpool creation flags to ACE_Task::activate. 
	  - Corrected decrement of <queue_length_>. 

Fri Nov 15 15:29:24 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/tests/Notify/Basic/run_test.pl:
	  Modified to run the basic tests with a reactive and
	  multithreaded Notification.
	
	* orbsvcs/tests/Notify/Basic/notify.mt.conf:
	  Added MT conf for the Basic test.
	
	* orbsvcs/tests/Notify/Basic/notify.reactive.conf:	
	  Added reactive conf for the Basic test.

	* orbsvcs/tests/Notify/Blocking/notify.conf:
	* orbsvcs/tests/Notify/Discarding/notify.conf:
	* orbsvcs/tests/Notify/MT_Dispatching/notify_mtdispatching.conf:
	* orbsvcs/tests/Notify/Ordering/notify.conf:
	* orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/notify.conf:
	* orbsvcs/tests/Notify/Sequence_Multi_Filter/notify.conf
	* orbsvcs/tests/Notify/performance-tests/Filter/notify.conf
	* orbsvcs/tests/Notify/performance-tests/RedGreen/listener.conf
	* orbsvcs/tests/Notify/performance-tests/RedGreen/lookup.conf
	* orbsvcs/tests/Notify/performance-tests/RedGreen/reactive.conf
	* orbsvcs/logging_service/notify_logging_service/svc.conf:
	* orbsvcs/Notify_Service/svc.conf: Reverted factory back to
	  Notify_Default_Event_Manager_Objects_Factory. I have decided not
	  to introduce any changes for Notify Options in TAO 1.3. Better
	  replacements will be introduced gradually in subsequent
	  releases.

	* orbsvcs/Notify_Service/Notify_Server.cpp:
 	  Not handling signals. The shutdown code and event handler is
	  maintained in case we want to address this in the future. 

	* orbsvcs/tests/Notify/performance-tests/RedGreen/run_test.pl:
	  - Modified to run all 3 test cases described in the README.   	    
	* orbsvcs/tests/Notify/Discarding/Notify_Structured_Push_Consumer.cpp:
	  Changed hardcoded "10" to the expected number of events that can 
	  be specified on the command line.
	
	* orbsvcs/tests/Notify/Discarding/Sequence_Consumer.cpp:	  
	  - Changed low=2 and high=20. Here is the explanation:
	  The Supplier sends 96 events as 6 batches of 16 events.
	  The Notification is run with 1 dispatching thread. The Discarding
	  Policy is set and the MaxEventsPerConsumer is set to 2 (Event
	  Batches).The Batch size is 5 so the maximum batches that can be
	  received is 20 (19 batches with 5 events each and 1 batch with 1
	  event).if we receive 20 batches then the channel
	  hasn't discarded anything. so high = 20. In the worst case the
	  consumer starts *after* the supplier has send all the events to
	  the Notification. This means that only 2 batches are queued and
	  all others are discarded. Hence low = 2.
	
	  - Changed the sleep time that the consumer was polling fior
	  excess events, from 3 to 1 sec. otherwise the perl script was
	  timing out.

	* orbsvcs/tests/Notify/Ordering/Notify_Sequence_Push_Consumer.h:
	* orbsvcs/tests/Notify/Ordering/Notify_Sequence_Push_Consumer.cpp:
	* orbsvcs/tests/Notify/Ordering/Sequence_Consumer.cpp:	    
	  Removed high-low logic. There is *no* discarding policy set so
	  the Sequence Consumer should received the expected number of 96 events.

	* orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Consumer.cpp:
	  - Changed ConsumerAdmin interfilter operator to AND_OP. With an
	  OR_OP, all the filters would return true! this is because the
	  filters of the Admin and Proxy, both are combined to determine event
	  eligibility. Note that this test success/failure has to be
	  determined visually.

	* orbsvcs/tests/Notify/listener.conf:
 	* orbsvcs/tests/Notify/lookup.conf:
 	* orbsvcs/tests/Notify/reactive.conf:
	  Reverted to Notify_Default_Event_Manager_Objects_Factory for
	  backward compatibility.
	
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Consumer.dsp:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Supplier.dsp:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Multi_Filter_Consumer.dsp:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Multi_Filter_Supplier.dsp:
	* orbsvcs/tests/Notify/Structured_Filter/run_test.pl:
	  Reverted executable name to Structured_* prefix.

	* orbsvcs/orbsvcs/Notify/Buffering_Strategy.cpp:
	  Discarding condition should be executed when buffering limit has
	  reached. Current logic was enqueing 1 extra event.
	
	* orbsvcs/orbsvcs/Notify/Builder.cpp:
	  Added call to set default startup QoS options on the Proxys and Admins.  
	
	* orbsvcs/orbsvcs/Notify/Notify_Service.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Service.h:
	  - Added support for configuring startup threads at the proxy and
	    Admin level while maintaining backward compatibility.
	  - Modified updates logic - Updates are send synchronously by
	  default. If the -AsynchUpdates option is set, updates are queued along
	  with the regular events in the Proxy objects worker task.
	
	* orbsvcs/orbsvcs/Notify/Properties.h:
	* orbsvcs/orbsvcs/Notify/Properties.inl:
	  Added get/set methods for Proxy and Admin level default QoS.
	  Changed <updates> to <asynch_updates> flag.		
	
	* orbsvcs/orbsvcs/Notify/Property_T.h:
	* orbsvcs/orbsvcs/Notify/Property_T.inl:
	- Added assignment operator to TAO_NS_Property_T.
	- Added an <invalidate> method to TAO_NS_PropertyBase_T
	
	* orbsvcs/orbsvcs/Notify/Proxy.cpp:
	- Send updates synchronously unless default properties mandate
	  asynchrony. In that case the event is executed in the current
	  thread context. 
	
	* orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.h:
	* orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.h:
	  Added dummy methods and ACE_ASSERT in them if called.
	
	* orbsvcs/orbsvcs/Notify/Sequence/EventBatch.h:
	* orbsvcs/orbsvcs/Notify/Sequence/EventBatch.inl:
	  Added an accessor for the current size of the EventBatch.
	  Note that this size can be greater than the batchsize.		 
	
	* orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.cpp:
	* orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.h:
	  Overloaded ProxyPushSupplier::push method.
	  The overloaded implementation executes the filtering and
	  dispatch in the current thread context. Now, this dispatch
	  doesn't immediately go remote but is stored in an event batch
	  waiting for the pacing interval to expire after which the
	  batchsize events are queued in the SequenceProxy's worker thread
	  to be finally dispatched to the remote consumer.

	* orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.h:
	  Removed <dispatch_immediate> and <cancel_timer> methods.
	  There was no need for these seperate methods.
	
	* orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
	  Modified the implementation so that the Pacing Timer is deployed
	  only if there is atleast 1 event queued to send, otherwise the
	  existing timer is removed. This will avoid needless timeouts. 

Sat Nov 16 08:22:38 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.h:
	* orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.h: Fixed typos that
	  lead to link errors.

	* tao/Asynch_Queued_Message.cpp: Fixed a warning in the daily
	  builds.  
	
Sat Nov 16 12:43:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.bor:
          Fixes error in this BCB makefile.

Fri Nov 15 18:29:28 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/LoadBalancing/LB_Random.h:
	* orbsvcs/orbsvcs/LoadBalancing/LB_Random.cpp (next_member):
	  (_tao_next_member):

	  Refactored random member selection code into a TAO-specific
	  static method.  This is possible since this random load
	  balancing strategy implementation is stateless.  This allows
	  other strategies to reuse the random member selection code
	  without instantiating the TAO_LB_Random class.

	* orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp (next_member):

          No loads have been reported for any of the locations the object
	  group members reside at.  If no loads have been reported to the
	  LoadManager, adaptive load balancing decisions cannot be made.
	  Fall back on a non-adaptive strategy, such as the Random load
	  balancing strategy, instead.  The Random load balancing strategy
	  is used since it is very lightweight and stateless.

Fri Nov 15 15:26:29 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Basic.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/LB_server.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/client.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.cpp:

	  Corrected ACE_RCSID macros.  They listed the wrong directory.

Fri Nov 15 15:13:20 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/LoadBalancer/Signal_Handler.cpp (activate):

	  sigwait() is not supported on MS Windows, meaning that signals
	  cannot be handled synchronously with the current implementation
	  of this signal handler.  Handle signals asynchronously through
	  the ORB's reactor instead.

	* orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp (init):

	  Fixed buffer overrun problem that was causing an unhandled
	  exception to be thrown on MS Windows.  The hexidecimal
	  representation of the time in milliseconds was supposed to be
	  embedded in a string buffer of 8 characters.  The decimal
	  representation, which is greater than 8 characters long, was
	  being embedded into the string instead.

	* orbsvcs/orbsvcs/LoadBalancing/LB_Component.h:
	* orbsvcs/orbsvcs/LoadBalancing/LB_Component.cpp:

	  Cosmetic and spelling fixes/updates.

	* orbsvcs/orbsvcs/LoadBalancing/LB_IORInterceptor.h:

	  CORBA::SystemException, not CORBA_SystemException.

Fri Nov 15 16:59:49 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.h:
	* orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.h: Fixed warnings
	  in Borland build.

Fri Nov 15 15:22:54 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:

          Added check to skip implied IDL generation for imported nodes.
          Thanks once again to Nanbor <nanbor@cse.wustl.edu> for his
          testing of the new CCM-related IDL features.

Fri Nov 15 14:51:31 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Asynch_Queued_Message.cpp:
	* tao/Asynch_Queued_Message.h:
	* tao/Synch_Queued_Message.cpp:
	* tao/Synch_Queued_Message.h:
	* tao/Queued_Message.cpp:
	* tao/Queued_Message.h: Added an extra default argument to the
	  constructor that indicates whether the class is heap allocated
	  or not.

	* tao/Transport.cpp: Changed the places where the
	  Asynch_Queued_Message was allocated on the heap to pass the
	  right value for the flag that indicates the status of creation
	  of the class.

	  Thanks to Chad Elliott for pinting out that if the
	  Asynch_Queued_Message was allocated on the heap, it may not get
	  destroyed if TAO_Asynch_Queued_Message::destroy () was
	  called.

Fri Nov 15 20:52:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/Event_Map_T.h:
          Added missing include to fix BCB compile error.

        * tests/Bug_1020_Basic_Regression/*.bor:
        * tests/Bug_1020_Regression/*.bor:
        * tests/Bug_1269_Regression/*.bor:
        * tests/Bug_1270_Regression/*.bor:
          Added new BCB makefiles to build these tests

        * tests/Makefile.bor:
          Added new tests for which there are now BCB makefiles.

Fri Nov 15 11:06:07 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/CosLoadBalancing.dsp:
	* orbsvcs/orbsvcs/CosLoadBalancing_Static.dsp:

	  Added LB_Client_{Component,ORBInitalizer}.{h,cpp} files to these
	  project files.

Fri Nov 15 10:51:04 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_cs.cpp:

          Changed the signature of the global <flat name>_upcast() method for
          components, used by sequences containing forward declared
          components. Thanks again to Nanbor <nanbor@cse.wustl.edu> for
          confirming my suspicion.

Fri Nov 15 09:29:31 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_component/component_ch.cpp:

          Fixed up some omissions and signatures in generated code. Thanks to
          Nanbor <nanbor@cse.wustl.edu> for uncovering them.

Thu Nov 14 19:45:18 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/DsLogAdmin.dsp: Added required paths to the
	  libraries.

Thu Nov 14 16:40:06 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/LoadBalancer/LoadMonitor.cpp (usage):
	* orbsvcs/LoadBalancer/LoadManager.cpp (usage):

	  Clarified usage message.

	  (parse_args):

	  If the "-h" command line option was supplied, print the usage
	  message and exit immediately.  Previously, the usage message was
	  printed but the executable never exited.

	* orbsvcs/orbsvcs/LoadBalancing/LB_ClientComponent.h:
	* orbsvcs/orbsvcs/LoadBalancing/LB_ClientComponent.cpp:
	* orbsvcs/orbsvcs/LoadBalancing/LB_ClientORBInitializer.h:
	* orbsvcs/orbsvcs/LoadBalancing/LB_ClientORBInitializer.cpp:

	  New sources that transparently add adaptive load balancing
	  support to a client.  They are used to transparently register
	  the existing LB_ClientRequestInterceptor.  This part of a set of
	  changes that enable the adaptive load balancing support in
	  Cygnus, i.e. TAO's new load balancer.

	* orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp (get_location):

	  Fixed problem where CosLoadBalancing::LocationNotFound exception
	  was propagated to the client, and interpreted as a
	  CORBA::UNKNOWN exception.  If loads at the supplied location
	  are not available continue the loop and attempt to retrieve
	  loads from the next location.

	* orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp
	  (built_in_strategy):

	  Corrected debugging statement.

Thu Nov 14 16:35:45 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Makefile: Added new tests to the daily builds.

Thu Nov 14 16:28:13 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Bug_1269_Regression/run_test.pl:
	* tests/Bug_1270_Regression/run_test.pl: Reduced the runtime
	  further to 4 minutes. 7 minutes is too high to blow away the
	  stack on machines like charanga!

Thu Nov 14 16:21:58 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Bug_1270_Regression/run_test.pl: Reduced the runtime from
	  70 minutes to 7 minutes. This will make them usable in the daily
	  builds.

Thu Nov 14 13:47:10 2002  Ossama Othman  <ossama@uci.edu>

	* TAO_IDL/be/be_visitor_operation/ami_cs.cpp
	  (gen_marshal_and_invoke):

	  Fixed "empty controlled statment" warning that occurred due to
	  an ACE_ASSERT disappearing when NDEBUG is defined.  That
	  ACE_ASSERT is to be executed when a oneway operation check
	  evaluates to true.  When NDEBUG is defined, there is nothing to
	  execute if that condition is true.  Moved the condition check
	  inside the ACE_ASSERT.  This is safe since no other code is
	  meant to be run if the oneway operation check/condition is
	  true, i.e. there are no side-effects.

Thu Nov 14 14:33:21 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Transport.h:
	* tao/Transport.cpp: Changed the semantics of one of the arguments
	  in the call close_connection_shared (). The argument was called
	  "disable_purge" and was used in exactly the opposite manner. The
	  condition that was used to purge the entry from the cache was
	  also topsy-turvy.

	  This was fixed the following way

	    - the argument is now called "purge".
	    - a value of 1 will purge the entry from the cache manager and
	      a value of 0 otherwise.

	  This should fix the failure of the Crash_On_Write test in our
	  daily builds.

Thu Nov 14 14:04:27 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/AV.dsp:

          Added missing dependency to project.

        * orbsvcs/orbsvcs/DsLogAdmin.dsp:

          Added missing link paths to release version.

Thu Nov 14 10:55:01 2002  Ossama Othman  <ossama@uci.edu>

	* tests/Portable_Interceptors/AMI/Server_Interceptor.cpp
	  (send_reply, send_exception):

	  Fixed unused argument warning in emulated exceptions case.

Thu Nov 14 10:04:52 2002  Ossama Othman  <ossama@uci.edu>

	* tests/Portable_Interceptors/AMI/client.cpp (test_ami):
	  (test_ami_errors):

	  Use a PortableServer::ServantBase_var instead of a
	  TAO::Utils::Servant_var.  MSVC++ 6 can't handle the member
	  templates in the latter.

Thu Nov 14 11:48:31 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/CosNotification.bor: Added a wild card character
	  to the list of files to be compiled.

Thu Nov 14 09:43:40 2002  Ossama Othman  <ossama@uci.edu>

	* tests/Portable_Interceptors/AMI/server.dsp:

	  Corrected library path for the TAO_Messaging library.

Wed Nov 13 17:18:35 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Connection_Handler.cpp: Release the OS resources only when
	  the reference count reaches zero. There may be lot of
	  furore over this decision. But doing this would help to
	  circumvent BUG 1294 and BUG 1361. The solution in BUG 1294, is
	  not scalable to situations explained in BUG 1361 which leads to
	  crashes. The only way to circumvent that is to release the OS
	  resources at the end of the lifetime of the handler.

	  Not exactly sure how I missed this yesterday.

Wed Nov 13 14:15:33 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Accept_Strategy.h:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Accept_Strategy.cpp:

	  New TAO_SSLIOP-specific TAO_Accept_Strategy implementation.
	  This accept strategy builds on on the TAO_Accept_Strategy
	  implementation.  It sub-classes that class, and overrides the
	  accept_svc_handler() method so that a timeout value may be
	  passed to the underlying peer acceptor.  This is necessary to
	  defend against a simple Denial-of-Service attack.  See the
	  comments in the header for details.  [Bug 1348]

	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp (init):

	  Added new "-SSLAcceptTimeout" option.  This option allows
	  applications to override the default 10 second TAO_SSLIOP
	  accept() timeout.

	  (make_acceptor):

	  Pass the timeout value to the SSLIOP_Acceptor's constructor.

	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.h:

	  Updated use the new TAO_SSLIOP_Accept_Strategy implementation
	  instead of the generic one supplied by TAO.  [Bug 1348]

	  Cache the accept timeout value in a member variable.

	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp
	  (TAO_SSLIOP_Acceptor):

	  Initialize the accept timeout member from the value passed to
	  this constructor from the SSLIOP_Factory.

	  (ssliop_open_i):

	  Pass the accept timeout value to the
	  TAO_SSLIOP_Accept_Strategy's constructor.  [Bug 1348]

	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp (ssliop_connect):

	  Only register the connection handler with the reactor when
	  creating a new connection.  Previously, the connection handler
	  was registered each time an invocation was made even if a
	  connection was previously established.

	* orbsvcs/tests/Security/Secure_Invocation/client.bor (TAO_IDL):
	* orbsvcs/tests/Security/Secure_Invocation/server.bor (TAO_IDL):

	  Removed "-GC" option from the TAO_IDL flags.  This test does not
	  require AMI callbacks.

Wed Nov 13 14:30:44 2002  Pradeep Gore  <pradeep@oomworks.com>

	* Repeated ChangeLogTag: Tue Nov 12 12:37:18 2002  Pradeep Gore
	  <pradeep@oomworks.com> 
	* orbsvcs/orbsvcs/CosNotification.dsp:
	  Updated.
	* Repeated only the removal of files as per ChangeLogTag: Mon Nov
	  11 20:11:56 2002  Pradeep Gore  <pradeep@oomworks.com> 

	* orbsvcs/orbsvcs/Notify/Object.h:
	* orbsvcs/orbsvcs/Notify/Object.cpp:
	  Added missing call to update_qos_properties
	* orbsvcs/orbsvcs/Notify/Proxy.h:
	* orbsvcs/orbsvcs/Notify/Proxy.cpp:
	* orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp
	* orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.h
	  Changed signature of <qos_changed> method to accept
	  QoSProperties.
	* orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
 	* orbsvcs/orbsvcs/Notify/ProxySupplier.cpp:
	  Rearranged code to avoid deadlock in <connect> methods.

Wed Nov 13 10:41:50 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/Log/NotifyLogNotification.h:
	* orbsvcs/orbsvcs/Log/NotifyLog_i.h:

	  Checked in these files again after yesterday's update loss.

Wed Nov 13 06:27:48 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp: Fixed a compile
	  error.

Tue Nov 12 14:34:37 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/IIOP_Connector.cpp:
	* tao/Strategies/UIOP_Connector.cpp:
	* tao/Strategies/SHMIOP_Connector.cpp:
	* orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp: Fixed unused
	  variable warnings in builds compiled with ACE_NDEBUG option
	  turned on. This makes the ACE_ASSERT dissappear.

Tue Nov 12 13:25:00 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/LF_CH_Event.cpp: Fixed compile error in no inline builds.

Tue Nov 12 13:13:05 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/TAO.dsp:
	* tao/TAO_Static.dsp: Added the new files.

Tue Nov 12 12:54:39 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/LF_Invocation_Event.inl: Fixed a typo.

Tue Nov 12 12:47:31 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	Fix for [BUG 1020]. Please see details of the bug at

	http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1020

        Please see the discussions in the above URL for details on
        the motivations for these changes. A very brief summary of the
        changes alone are mentioned.

	* tao/Transport.cpp(close_connection_shared): Wait on the
          leader follower if the handle is registered with the
          reactor.

        * tao/LF_Event.h:
        * tao/LF_Event.cpp:
        * tao/LF_Event.inl: Made the class TAO_LF_Event as an abstract
          base class. This helps us to strategize the type of
          behaviour required in different concrete classes which can
          in turn be used by other portions of the ORB to wait on LF.

	* tao/LF_Invocation_Event.h:
	* tao/LF_Invocation_Event.cpp:
	* tao/LF_Invocation_Event.inl: Concrete implementation of a
	  LF_Event class, where the state transitions along the invocation
	  path are consolidated.

	* tao/LF_CH_Event.h:
	* tao/LF_CH_Event.cpp: Concrete implementation of a LF_Event
	  class, where the state transitions of the connection handler are
	  consolidated.

	* tao/Queued_Message.h:
	* tao/Synch_Reply_Dispatcher.h: They now inherit from
	  TAO_LF_Invocation_Event class.

	* tao/Connection_Handler.h: This class inherits now from the
	  TAO_LF_CH_Event class.

	* tao/Makefile.bor:
	* tao/Makefile.tao: Added the new files to the list of compilable
	  files.

Tue Nov 12 12:37:18 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/Logging_Service/Notify_Logging_Service/Makefile:
	* orbsvcs/examples/Log/Notify/Makefile:
	  Updated dependencies.

	* orbsvcs/examples/Log/Notify/Notify_Consumer.h:
	  Removed the include of
	  orbsvcs/orbsvcs/Notify/Notify_EventChannel_i.h, which no longer exists.

Tue Nov 12 11:15:50 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/IIOP_Connector.cpp:
	* tao/Strategies/UIOP_Connector.cpp:
	* tao/Strategies/SHMIOP_Connector.cpp:
	* orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp: Added an assert
	  statement after decrementing the reference count. Point taken
	  from "Pragmatic Programmer".

Tue Nov 12 11:08:32 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Connection_Handler.h: Commented out the following calls
	  incr_pending_upcalls (), decr_pending_upcalls () and
	  pending_upcalls (), since there was no implementation and they
	  were not at all used.

	* tao/Connection_Handler.cpp: Cosmetic changes.

Tue Nov 12 10:17:05 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/Log/NotifyLogNotification.h:
	* orbsvcs/orbsvcs/Log/NotifyLog_i.h:

	  Removed the include of
	  orbsvcs/orbsvcs/Notify/Notify_EventChannel_i.h, which no longer exists.

Tue Nov 12 13:31:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
          Made the argument of addressing_mode() same as in header file so that
          doxygen documentation is generated for this method.

Mon Nov 11 23:04:34 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Application_Controlled.dsw:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/client.dsp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.dsp:

	  New MSVC++ 6 project files for this test.

Mon Nov 11 22:33:37 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Makefile (TAO_LB_LIBS):

	  Corrected order of libraries linked to the server binary.

	  (client):

	  Do not link server-side libraries.  They are completely
	  unnecessary for this client binary.

	* orbsvcs/tests/Makefile.bor (DIRS):

	  Added "LoadBalancing" directory to the list of directories to
	  recurse into.

	* orbsvcs/tests/LoadBalancing/Makefile.bor:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Makefile.bor:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Makefile.bor:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/client.bor:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.bor:

	  New Borland C++ Makefiles for this test.

Mon Nov 11 20:31:18 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/LoadBalancer/LoadManager.cpp (TAO_LB_run_load_manager):
	* orbsvcs/LoadBalancer/LoadMonitor.cpp (TAO_LB_run_load_monitor):

	  New global function that is run when the Load{Manager,Monitor}'s
	  ORB thread is run.  It is only used on Linux when multi-thread
	  support is enabled.  This is part of a work-around for the
	  problem where signals can only be handled in the main() thread
	  on Linux.

	  (ACE_TMAIN):

	  Spawn a new thread to run the LoadManager's ORB, and handle
	  signals in this (main()) thread.  This is the second part of a
	  work-around for the problem where signals can only be handled in
	  the main() thread on Linux.

	  Moved signal handler activation to just before the point where
	  the ORB is run.  There is no need to activate the signal handler
	  earlier than there.

Mon Nov 11 19:22:05 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.h:

	  Explicitly include "ace/Hash_Map_Manager_T.h" to pull in
	  ACE_Hash_Map_Manager_Ex template.

Mon Nov 11 19:15:42 2002  Ossama Othman  <ossama@uci.edu>

	* tests/Portable_Interceptors/AMI/AMI.dsw:
	* tests/Portable_Interceptors/AMI/client.dsp:
	* tests/Portable_Interceptors/AMI/server.dsp:

	  New MSVC++ project files for this test.

Mon Nov 11 18:03:37 2002  Ossama Othman  <ossama@uci.edu>

	* docs/interceptors.html:

	  Updated release notes about AMI interceptor support.

	  Updated CORBA spec URL to the 3.0.1 spec's URL.

	* tao/Messaging/Makefile.bor:
	* tao/Messaging/TAO_Messaging.dsp:
	* tao/Messaging/TAO_Messaging_Static.dsp:

	  Added AMI_ClientRequestInfo_i.{h,cpp} to these Make/project
	  files.

Mon Nov 11 17:27:22 2002  Carlos O'Ryan  <coryan@atdesk.com>

	* tao/Messaging/AMI_ClientRequestInfo_i.h:
	* tao/Messaging/AMI_ClientRequestInfo_i.cpp:
	* tao/Messaging/Makefile:
	  Add implementation class for AMI ClientRequestInfos.  [Bug 286]

	* TAO_IDL/be/be_codegen.cpp:
	  Move some #includes to the .cpp file, include
	  AMI_ClientRequestInfo_i.h when compiling with interceptors and
	  AMI.    [Bug 286]

	* TAO_IDL/be/be_visitor_operation/ami_cs.cpp:
	  Generate interceptor code for sendc_*** operations.  [Bug 286]

	* tests/Portable_Interceptors/Makefile:
	* tests/Portable_Interceptors/AMI/Makefile:
	* tests/Portable_Interceptors/AMI/run_test.pl:
	* tests/Portable_Interceptors/AMI/.cvsignore:
	* tests/Portable_Interceptors/AMI/Client_Interceptor.h:
	* tests/Portable_Interceptors/AMI/Client_Interceptor.cpp:
	* tests/Portable_Interceptors/AMI/Client_ORBInitializer.h:
	* tests/Portable_Interceptors/AMI/Client_ORBInitializer.cpp:
	* tests/Portable_Interceptors/AMI/Echo.h:
	* tests/Portable_Interceptors/AMI/Echo.cpp:
	* tests/Portable_Interceptors/AMI/Echo_Handler.h:
	* tests/Portable_Interceptors/AMI/Echo_Handler.cpp:
	* tests/Portable_Interceptors/AMI/Server_Interceptor.h:
	* tests/Portable_Interceptors/AMI/Server_Interceptor.cpp:
	* tests/Portable_Interceptors/AMI/Server_ORBInitializer.h:
	* tests/Portable_Interceptors/AMI/Server_ORBInitializer.cpp:
	* tests/Portable_Interceptors/AMI/Shared_Interceptor.h:
	* tests/Portable_Interceptors/AMI/Test.idl:
	* tests/Portable_Interceptors/AMI/client.cpp:
	* tests/Portable_Interceptors/AMI/server.cpp:
	  New regression test for the AMI interceptors.

Mon Nov 11 20:11:56 2002  Pradeep Gore  <pradeep@oomworks.com>

	Removed these files as they are no longer needed. All features and
	bug fixes have been absorbed in the new implementation as per
	ChangeLogTag: Sun Oct 27 01:04:09 2002  Pradeep Gore  <pradeep@oomworks.com>
	* orbsvcs/orbsvcs/Notify/Notify_AdminProperties.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_AdminProperties.h:
	* orbsvcs/orbsvcs/Notify/Notify_AdminProperties.i:
	* orbsvcs/orbsvcs/Notify/Notify_Buffering_Strategy.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Buffering_Strategy.h:
	* orbsvcs/orbsvcs/Notify/Notify_Channel_Objects_Factory.h:
	* orbsvcs/orbsvcs/Notify/Notify_Collection.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Collection.h:
	* orbsvcs/orbsvcs/Notify/Notify_Collection_Factory.h:
	* orbsvcs/orbsvcs/Notify/Notify_Command.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Command.h:
	* orbsvcs/orbsvcs/Notify/Notify_Command.i:
	* orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Constraint_Interpreter.h:
	* orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.h:
	* orbsvcs/orbsvcs/Notify/Notify_ConsumerAdmin_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_ConsumerAdmin_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_Event.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Event.h:
	* orbsvcs/orbsvcs/Notify/Notify_Event.i:
	* orbsvcs/orbsvcs/Notify/Notify_EventChannel_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_EventChannel_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Dispatch_Command.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Dispatch_Command.h:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Manager.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Manager.h:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Manager.i:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Manager_Objects_Factory.h:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Map.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Map.h:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Map.i:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Processor.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Event_Processor.h:
	* orbsvcs/orbsvcs/Notify/Notify_Factory.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Factory.h:
	* orbsvcs/orbsvcs/Notify/Notify_FilterAdmin_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_FilterAdmin_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_FilterFactory_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_FilterFactory_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_Filter_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Filter_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_ID_Pool_T.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_ID_Pool_T.h:
	* orbsvcs/orbsvcs/Notify/Notify_ID_Pool_T.i:
	* orbsvcs/orbsvcs/Notify/Notify_Listener_Filter_Eval_Command.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Listener_Filter_Eval_Command.h:
	* orbsvcs/orbsvcs/Notify/Notify_Listeners.h:
	* orbsvcs/orbsvcs/Notify/Notify_Lookup_Command.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Lookup_Command.h:
	* orbsvcs/orbsvcs/Notify/Notify_MT_Worker_Task.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_MT_Worker_Task.h:
	* orbsvcs/orbsvcs/Notify/Notify_POA_Factory.h:
	* orbsvcs/orbsvcs/Notify/Notify_ProxyConsumer_T.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_ProxyConsumer_T.h:
	* orbsvcs/orbsvcs/Notify/Notify_ProxyPushConsumer_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_ProxyPushConsumer_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_ProxyPushSupplier_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_ProxyPushSupplier_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_ProxySupplier_T.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_ProxySupplier_T.h:
	* orbsvcs/orbsvcs/Notify/Notify_Proxy_T.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Proxy_T.h:
	* orbsvcs/orbsvcs/Notify/Notify_QoSAdmin_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_QoSAdmin_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_QoSAdmin_i.inl:
	* orbsvcs/orbsvcs/Notify/Notify_SequenceProxyPushConsumer_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_SequenceProxyPushConsumer_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_SequenceProxyPushSupplier_i.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_SequenceProxyPushSupplier_i.h:
	* orbsvcs/orbsvcs/Notify/Notify_Source_Filter_Eval_Command.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_Source_Filter_Eval_Command.h:
	* orbsvcs/orbsvcs/Notify/Notify_StructuredEvents.cpp:
	* orbsvcs/orbsvcs/Notify/Notify_StructuredEvents.h:
	* orbsvcs/orbsvcs/Notify/Notify_StructuredProxyPushConsumer_i.cpp:
	  Removed.

	* orbsvcs/orbsvcs/Notify/Dispatch_Observer_T.cpp:
 	* orbsvcs/orbsvcs/Notify/Dispatch_Observer_T.h:
 	* orbsvcs/orbsvcs/Notify/Dispatch_Observer_T.inl:
	  Removed Dispatch Observer as error handling has moved to TAO_NS_Peer.

	* orbsvcs/orbsvcs/Notify/Event_Map_Observer.h:
 	* orbsvcs/orbsvcs/Notify/Event_Map_Observer_T.cpp:
 	* orbsvcs/orbsvcs/Notify/Event_Map_Observer_T.h:
 	* orbsvcs/orbsvcs/Notify/Event_Map_Observer_T.inl:
	  Removed Event_Map_Observer as Map changes are conveyed via
	  return values in Event_Map_T <insert> and <remove> methods.

	* orbsvcs/orbsvcs/Notify/Pending_Worker_T.cpp:
 	* orbsvcs/orbsvcs/Notify/Pending_Worker_T.h:
 	* orbsvcs/orbsvcs/Notify/Pending_Worker_T.inl:
	  Removed Pending_Worker as we have decided not to implement
	  retries for now.

	* orbsvcs/orbsvcs/Notify/Builder.cpp:
	  Removed code depending on Dispatch_Observer.

	* orbsvcs/orbsvcs/Notify/Consumer.h:
 	* orbsvcs/orbsvcs/Notify/Consumer.cpp:
	* orbsvcs/orbsvcs/Notify/Consumer.inl:
	  Added <dispatch_updates_i> method that invokes offer_change.
	  Modified <push> implementation to catch exceptions and inform
	  the base Peer class to handle exceptions while dispatching.
	  Removed code that depended the Dispatch_Observer.

	* orbsvcs/orbsvcs/Notify/EventType.h:
	* orbsvcs/orbsvcs/Notify/EventType.cpp: 
	  Added a <dump> debugging helper method that prints the contents
	  of the event type. 

	* orbsvcs/orbsvcs/Notify/EventTypeSeq.h:
	* orbsvcs/orbsvcs/Notify/EventTypeSeq.cpp:
	  - Added a <dump> debugging helper method that prints the contents
	  of the event sequence.
	  - Added a <populate_no_special> method that populates a
	  CosNotification::EventTypeSeq but excludes the special event
	  type.
	  - Added an <intersection> method that calculates the common
	  elements of two sequences.
	  - Modified the <init> method to correctly handle cases with
	  duplicates in the added and/or removed list.

	* orbsvcs/orbsvcs/Notify/Event_Manager.h:
	* orbsvcs/orbsvcs/Notify/Event_Manager.cpp:
	* orbsvcs/orbsvcs/Notify/Event_Manager.inl:
	  - Removed code related to : Event_Map_Observer,
	  Dispatch_Observer, Pending_Worker, Update_Removed_Worker and
	  Update_Added_Worker.
	  - Modified the <un_/publish>, <un_/subscribe> methods to return
	  the list of eventypes that are being seen for the first or last
	  time.
	  - Added <offer_change> and <subscription_change> methods to
	  handle update changes.
	  - Added <offered_types> and <subscription_types> that return the
	  current available types from the Consumer and Supplier Maps.
	  - Added worker classes TAO_NS_ProxyConsumer_Update_Worker and
	  TAO_NS_ProxySupplier_Update_Worker classes that inform proxys
	  regarding update changes.
	- Added <connect> and <disconnect> methods that we delegate to the
	  appropriate Event_Map and inform the newly connected Proxy of
	  types that are avialable in the channel.

	* orbsvcs/orbsvcs/Notify/Event_Map_T.cpp:
	* orbsvcs/orbsvcs/Notify/Event_Map_T.h:
	* orbsvcs/orbsvcs/Notify/Event_Map_T.inl:
	  - Added <connect> and <disconnect> methods that add  the proxy
	  to an updates list. This list is used to disseminate the
	  subscription/offer update changes.
	  - Added accessor method for the updates list and count of proxys
	  connected to this map.
	 - Removed code relating to Event_Map_Observer.
	 - The <insert> and <remove> methods now return 1 if the type
	  being inserted or removed is the first time/ last time.

	* orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp:
	  - Added checks for nil pointers and modified exception handling
	  code to be simpler.

	* orbsvcs/orbsvcs/Notify/Peer.cpp:
	* orbsvcs/orbsvcs/Notify/Peer.h:
	* orbsvcs/orbsvcs/Notify/Peer.inl:
	  - Added a <dispatch_updates> method that formats the event types
	  for final dispatch.
	  - Added a <handle_dispatch_exception> method that simply
	  destroys the offending Peer.
	  - Modified <dispatch_updates_i> to accept
	  CosNotification::EventTypeSeq's.
	- Removed <updates_dispatch_observer_> data member and code
	  related to it.
	- Removed <retry_count_> data member and retry related code.

	* orbsvcs/orbsvcs/Notify/Proxy.cpp:
	* orbsvcs/orbsvcs/Notify/Proxy.h:
	  - Removed added_, removed_ data members, <type_added> and
	  <type_removed> code because subscription/offer_change handling
	  logic has been simplified.
	  - Added <types_changed> method that enqueues a
	  TAO_NS_Method_Request_Updates object in the Proxys worker task queue.
	  - Renamed the <admin_subscription> to
	  <admin_types_changed>. This seems more appropriate.

	* orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
	* orbsvcs/orbsvcs/Notify/ProxyConsumer.h:
	   - Added calls to <connect>, <disconnect> and <offer_change>
	  instead of calling <publish> and <un_publish>

	* orbsvcs/orbsvcs/Notify/ProxyConsumer.ProxyConsumer_T.cpp:
	* orbsvcs/orbsvcs/Notify/ProxyConsumer.ProxyConsumer_T.h:
	  - Renaming to <admin_types_changed>
	  - Call <offer_change> instead of calling <publish> and <un_publish>

	* orbsvcs/orbsvcs/Notify/ProxySupplier.cpp:
	  - Calling <subscription_change> instead of <subscribe> and
	  <un_subscribe>.
	  - Added calls to <connect> and <disconnect>

	* orbsvcs/orbsvcs/Notify/ProxySupplier_T.cpp:
	* orbsvcs/orbsvcs/Notify/ProxySupplier_T.h:
	- Calling <subscription_change> instead of <subscribe> and
	  <un_subscribe>.
	- Renamed <admin_subscription> to <admin_types_changed>

	* orbsvcs/orbsvcs/Notify/Refcountable.cpp:
	- Print messages at debug level 1.

	* orbsvcs/orbsvcs/Notify/Subscription_Change_Worker.inl:
	- Renamed <admin_subscription> to <admin_types_changed>

 	* orbsvcs/orbsvcs/Notify/Supplier.cpp:
 	* orbsvcs/orbsvcs/Notify/Supplier.h:
	- Modified <dispatch_updates_i> signature.

	* orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:
	  Moved shutdown code fix from Notify_MT_Worker.cpp.

	* orbsvcs/orbsvcs/Notify/Types.h:
	  - Removed forward declaration for Event_Map_Observer,
	  Dispatch_Observer, Pending_Worker types that are no longer used.

 	* orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.h:
	* orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.h:
	  - Added missing virtual keyword to <push>

 	* orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp
	  - Changed the exception handling code to delegate to the Peer's
	  <handle_dispatch_exception> method.

	* orbsvcs/orbsvcs/Notify/Method_Request_Updates.cpp:
 	* orbsvcs/orbsvcs/Notify/Method_Request_Updates.h:
 	* orbsvcs/orbsvcs/Notify/Method_Request_Updates.inl:
	  Added a Method Request type that sends dispatch_updates to Peer
	  objects. Updates are also treated as events and
	  enqueued/dequeued in a queue(if any) of the Worker Task.
	  This replaces the earlier logic of using Pending_Worker.

	* orbsvcs/tests/Notify/Events.cpp:
	* orbsvcs/tests/Notify/Events.h:
	  - Added a -use_default_admin option that results in the test
	  obtaining a Consumer/SupplierAdmin interface via the
	  default_consumer/supplier_admin method.

	* orbsvcs/tests/Notify/Filter.cpp:
	* orbsvcs/tests/Notify/Filter.h:
	  - Added this test for Filter operations.
	  This test excercises the FilterAdmin code for a Consumer Admin.

	* orbsvcs/tests/Notify/MultiTypes.cpp:
	* orbsvcs/tests/Notify/MultiTypes.h:
	- Added this test to check the following -
	  + Consumers of different types should receive events
	  that are send by any kind of supplier.
	  + A nested upcall to the Notification Service via a
	  disconnect_XXX from within a push should succeed.

	* orbsvcs/tests/Notify/Updates.cpp:
	* orbsvcs/tests/Notify/Updates.h:
	  Completely revamped this test. This test tests subscription and
	  offer change calls and makes sure that the expected updates are
	  indeed received.

	* orbsvcs/tests/Notify/Basic/run_test.pl:
	  Added the new Filter and MultiTypes tests.

	* orbsvcs/tests/Notify/Basic/Makefile
	* orbsvcs/tests/Notify/Basic/Makefile.bor
	* orbsvcs/tests/Notify/Notify_Tests.dsw
	* orbsvcs/tests/Notify/Basic/Basic.dsw
	  Modified to include the new Filter and MultiTypes tests and
	  updated dependencies.

	* orbsvcs/orbsvcs/Makefile.CosNotification:
	* orbsvcs/orbsvcs/CosNotification.dsp:
	* orbsvcs/orbsvcs/CosNotification.bor:
	  Removed old Notify files, added Method_Request_Updates file and
	  updated dependencies.

	* orbsvcs/Notify_Service/Makefile:
	  Updated dependencies.

Mon Nov 11 14:28:39 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/GIOP_Message_Base.cpp (consolidate_fragments): When growing
	  the message block to increase the allocated memory, we now use
	  the length () of the available message block as the basis for
	  growing instead of the size (). Simon McQueen of PrismTech ran
	  several experiments while investigating problems related to
	  [BUGID 1356] and is convinced this is the right way to go, since
	  this uses less memory. Since I dont foresee problems, his patch
	  is being accepted for the release. Thanks to Simon for putting
	  in lot of effort to narrow down the problem to this area.

Mon Nov 11 10:43:59 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.dsp:
	  Added TAO_CosEvent.lib to the list of libraries for Release
	  build only to fix a link problem on MSVC.

	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.cpp
	  (write_records): Initialize the local variable <l> to 0 to fix a
	  build warning.

Mon Nov 11 09:28:43 2002  Priyanka Gontla  <pgontla@ociweb.com>

	* orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
	  Get the whole hostname name including the domain instead
	  of just the hostname.
	  Thanks to Kobi Cohen-Arazi <kobi@mivzak.com> for pointing
	  out a exception thats raised.

	* orbsvcs/tests/ImplRepo/run_test.pl:
	  cosmetic changes.

Sun Nov 10 20:24:59 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.h:

	  Changed handling of reopened modules. In the case where a
	  module and its member have both been seen before, tao_ifr
	  now assumes that it is re-processing the IDL file in which
	  the module and member were first seen, and ignores the member.
	  It is possible that there is actually an illegal name clash, but
	  it is not possible to tell the difference in every case, so we
	  choose the behavior assuming that the common case will be the
	  re-processing of an already-loaded IDL file. Thanks to Nick
	  Cross <nick.cross@prismtechnologies.com> for reporting the
	  problem when loading CosNaming.idl twice and then trying to
	  look at the IFR contents.

        * orbsvcs/IFR_Service/ifr_adding_visitor_structure.cpp:

	  Cosmetic changes.

Sun Nov 10 18:02:51 UTC 2002  Don Hinton  <dhinton@ieee.org>

	* TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp: Fixed a problem
	  with previous patch, Wed Oct 16 17:16:38 2002  Jeff Parsons
	  <parsons@isis-server.isis.vanderbilt.edu>, where the logic was
	  reversed.  Thanks to Jon Franklin for noticing the problem and
	  providing the patch.

Sun Nov 10 08:19:21 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/IIOP_Connector.cpp:
	* tao/Connection_Handler.cpp:
	* tao/IIOP_Connection_Handler.cpp: Some debugging statements were
	  either out of format or totally useless for any debugging
	  purposes. Fixed some of them that I saw in the path that
	  actually hinders my debugging.

Sat Nov 09 09:47:37 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* orbsvcs/orbsvcs/RTEventLog.dsp: The release build was not
	  generating a different name from the debug build without
	  following our naming convention.

Fri Nov 08 19:18:58 2002  Irfan Pyarali  <irfan@oomworks.com>

	* orbsvcs/tests/Notify/Basic:

	  - Renamed the following file to make consistent:

	    - AdminProperties_Test.* to AdminProperties.*
	    - Events_Test.* to Events.*
	    - LifeCycleTest.* to LifeCycle.*

	  - Updated the following files to reflect the above described
	    name changes:

	    - Basic/Basic.dsw
	    - Basic/Basic.mpc
	    - Makefile
	    - Makefile.bor
	    - README

	  - Added run_test.pl so that these tests can be run in the
	    nightly built.

	* orbsvcs/tests/Notify/performance-tests/RedGreen: Added
	  run_test.pl so that these tests can be run in the nightly built.

	* orbsvcs/tests/Notify:

	  Updated the following project files so that they can be included
	  in the mega Notify test workspace:

	  orbsvcs/tests/Notify/Notify_Tests.dsw

	  - Basic/ConnectDisconnect.dsp
	  - Basic/IdAssignment.dsp
	  - Basic/Simple.dsp
	  - Basic/Updates.dsp
	  - Blocking/Structured_Consumer.dsp
	  - Blocking/Structured_Supplier.dsp
	  - Discarding/Sequence_Consumer.dsp
	  - Discarding/Sequence_Supplier.dsp
	  - Discarding/Structured_Consumer.dsp
	  - Discarding/Structured_Supplier.dsp
	  - MT_Dispatching/Structured_Consumer.dsp
	  - MT_Dispatching/Structured_Supplier.dsp
	  - Ordering/Sequence_Consumer.dsp
	  - Ordering/Sequence_Supplier.dsp
	  - Ordering/Structured_Consumer.dsp
	  - Ordering/Structured_Supplier.dsp
	  - Sequence_Multi_ETCL_Filter/Sequence_Consumer.dsp
	  - Sequence_Multi_ETCL_Filter/Sequence_Supplier.dsp
	  - Sequence_Multi_Filter/Sequence_Consumer.dsp
          - Sequence_Multi_Filter/Sequence_Supplier.dsp
	  - Structured_Filter/Structured_Filter_Consumer.dsp
	  - Structured_Filter/Structured_Filter_Supplier.dsp
	  - Structured_Multi_Filter/Structured_Multi_Filter_Consumer.dsp
	  - Structured_Multi_Filter/Structured_Multi_Filter_Supplier.dsp
	  - performance-tests/Filter/Sequence_Consumer.dsp
	  - performance-tests/Filter/Sequence_Supplier.dsp
	  - performance-tests/Filter/Structured_Consumer.dsp
	  - performance-tests/Filter/Structured_Supplier.dsp
	  - performance-tests/RedGreen/RedGreen.dsp
	  - performance-tests/Throughput/Throughput.dsp

	* orbsvcs/tests/Notify/Notify_Tests.dsw: Add projects, updated
	  names, and updated dependencies.

	* orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter: Renamed file to
	  fix missing "e":

	  Added   Sequence_Multi_ETCL_Filter.mpc
	  Removed Sequenc_Multi_ETCL_Filter.mpc

	* orbsvcs/tests/Notify/Basic/IdAssignment.h: Fixed filename in
	  comments.

	* orbsvcs/tests/Notify/Basic/Simple.cpp:
	* orbsvcs/tests/Notify/Basic/IdAssignment.cpp:
	* orbsvcs/tests/Notify/Basic/ConnectDisconnect.cpp:

	  Reduce debugging statements.

	* $ACE_ROOT/bin/auto_run_tests.lst: Updated to run Notify test
	  nightly.

Fri Nov  8 13:19:46 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Connection_Handler.cpp (svc_i): Cosmetic fixes.

Fri Nov 08 10:47:41 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* tests/Abstract_Interface/Abstract_Interface_Server.dsp: Fixed
	  the broken release configuration.

Fri Nov 08 10:03:22 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* orbsvcs/orbsvcs/RTEventLog.dsp: Fixed the broken release build
	  configuration.

Thu Nov 07 12:21:21 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* TAOACE.dsw:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.dsw:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Logging_Service.dsp:
	* orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.dsp:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.dsp:
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.dsp:
	* orbsvcs/examples/Log/Basic/Client.dsp:
	* orbsvcs/examples/Log/Event/Log_CEC_Simple_Consumer.dsp:
	* orbsvcs/examples/Log/Event/Log_CEC_Simple_Supplier.dsp:
	* orbsvcs/examples/Log/Notify/Log_Notify_Simple_Consumer.dsp:
	* orbsvcs/examples/Log/Notify/Log_Notify_Simple_Supplier.dsp:
	* orbsvcs/examples/Log/RTEvent/Log_RTEvent_Simple_Consumer.dsp:
	* orbsvcs/examples/Log/RTEvent/Log_RTEvent_Simple_Supplier.dsp:
	* orbsvcs/orbsvcs/RTEventLog.dsp:
	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.dsp:
	* tests/IDL_Test/idl_test.dsp: Fixed broken workspaces and projects.

Thu Nov  7 12:03:18 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Incoming_Mesage_Queue.cpp (duplicate): In duplicate () the
	  copy constructor should be called instead of the plain
	  constructor. Thanks to Simon McQueen <sm@prismtechnologies.com>
	  for pointing this out.

Thu Nov  7 09:17:04 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* utils/nslist/nsadd.cpp: Fixed a compile error caused undeclared
	  variables.

Wed Nov  6 20:09:14 2002  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

	* utils/nslist/nsadd.cpp: Enhanced the utilty so that it can add
	  arbitrary paths to Naming Service entries.  Thanks to Paul
	  Caffrey <denginere@hotmail.com> for this fix.

Thu Nov  7 06:44:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Makefile.bor:
          Added Security directory

        * orbsvcs/tests/Security/Makefile.bor:
          Added new BCB makefle to build subdirectories

        * orbsvcs/tests/Security/Secure_Invocation/Makefile.bor:
        * orbsvcs/tests/Security/Secure_Invocation/client.bor:
        * orbsvcs/tests/Security/Secure_Invocation/server.bor:
          Added these new BCB makefiles. Thanks to Oleg Kraynov
	  <mustafa@gema.ru> for creating these.

Wed Nov  6 11:43:01 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/examples/CosEC/RtEC_Based/lib/Makefile: Fixed an error
	  which occurs when the right libraries havent been built. Thanks
	  to Gautam Thaker for pointing this out.

Wed Nov  6 11:35:01 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Bug_1020_Basic_Regression/Server_Task.h: Fixed fuzz
	  errors.

Wed Nov  6 11:32:58 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * tests/Bug_1020_Regression/Echo.cpp:
	* tests/Bug_1020_Regression/Echo.h:
	* tests/Bug_1020_Regression/Echo_Callback.cpp:
	* tests/Bug_1020_Regression/Echo_Callback.h:
	* tests/Bug_1020_Regression/ORB_Task.cpp:
	* tests/Bug_1020_Regression/ORB_Task.h:
	* tests/Bug_1020_Regression/Server_Task.cpp:
	* tests/Bug_1020_Regression/Test.idl: Fixed fuzz errors.

Tue Nov 05 17:32:22 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp:
	* orbsvcs/orbsvcs/Notify/EventChannel.cpp:
	* orbsvcs/orbsvcs/Notify/FilterAdmin.cpp:
	* orbsvcs/orbsvcs/Notify/Proxy_T.cpp:
	* orbsvcs/orbsvcs/Notify/SupplierAdmin.cpp:

	  Corrected the way IDSequences are populated. Thanks to Yamuna
	  for helping to debug this.

Tue Nov 05 12:01:25 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/Notify/Any/PushSupplier.cpp:
	  ENV variable was being used in <init>, changed it back to
	  ACE_ENV_ARG_DECL. 

Tue Nov  5 08:28:23 2002  Douglas C. Schmidt  <schmidt@tango.doc.wustl.edu>

	* TAO_IDL/be/be_visitor_valuetype/field_cs.cpp (visit_enum): Changed
	  "val)/" to "val)" to avoid a bug.  Thanks to Jian Chen for
 	  reporting the fix and to Marc Alter
 	  <marc.alter@fr.thalesgroup.com> for the original bug report.

Mon Nov  4 19:03:12 CST 2002 Pradeep Gore  <pradeep@oomworks.com>

	* (Removed previous bogus ChangeLog entry).
	* orbsvcs/orbsvcs/CosNotification.bor:
          Thanks to Christopher Kohlhoff <chris@kohlhoff.com>, Johnny
          Willemsen <jwillemsen@remedy.nl>, Irfan, Nanbor and Bala for help in
          correcting the .bor file.

        * tao/Messaging/Makefile.bor:
          Applied change in INCLUDE provided by Christopher Kohlhoff
          <chris@kohlhoff.com>.

        * orbsvcs/orbsvcs/Notify/Builder.cpp:
          In method <build_filter_factory> create a filter factory if we
          could not obtain one as a dynamic service.

        * orbsvcs/orbsvcs/Notify/Event_Map_Observer_T.cpp:
          TAO_NS_Update_Added_Worker<PROXY>::work, moved call to
          type_added inside the "if" statement.

          Following files were modified for backward compatibility as some
          application might be calling their <init_svc> method.
        * orbsvcs/orbsvcs/Notify/Notify_Default_CO_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_CO_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Default_Collection_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_Collection_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Default_POA_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_POA_Factory.h:

        * orbsvcs/orbsvcs/Notify/Notify_EventChannelFactory_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_EventChannelFactory_i.h:
          static <create> method maintained for backward compatibility.

        * orbsvcs/orbsvcs/Notify/Notify_Service.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Service.h:
          In method TAO_NS_Notify_Service::init - added old options for
          backward compatibility.
          Revived Service Object
          Notify_Default_Event_Manager_Objects_Factory.

        * orbsvcs/orbsvcs/Notify/Properties.cpp:
        * orbsvcs/orbsvcs/Notify/Properties.h:
          Defined TAO_NS_DEFAULT_UPDATES_PERIOD instead of using a magic
          number for the subscription/publication change update
          notification interval.

        * orbsvcs/orbsvcs/Notify/Proxy.cpp:
          Added missing initialization of updates_off_ data member.

        * orbsvcs/orbsvcs/Notify/Service.h:
          Defined the string name for the
	  Notify_Default_Event_Manager_Objects_Factory. 

        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.cpp:
          Check if narrow fails because CosEventComm client was connecting
          and does not support NotifySubscribe.

        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.cpp:
          Replaced unnecessary calls to _narrow with _duplicate. Thanks to
          Irfan for pointing this out.

        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
          Remove explicit instantiation of Dynamic_Service<TAO_NS_Service>
          as its now defined in Notify_EventChannelFactory_i.cpp.

Mon Nov  4 14:21:18 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Bug_1020_Regression: Another test that has the capability
	  of stressing things a bit more for this bug to show up. This
	  test is structured in such a manner that multipel Multi-threaded
	  clients can connect to a server. The clients crash at periodic
	  intervals. This is a slightly improvised form of the basic
	  test. Thanks to Carlos O'Ryan for donating this test.

	* tests/Bug_1020_Regression/client.cpp:
	* tests/Bug_1020_Regression/Echo_Callback.cpp:
	* tests/Bug_1020_Regression/Echo_Callback.h:
	* tests/Bug_1020_Regression/Echo.cpp:
	* tests/Bug_1020_Regression/Echo.h:
	* tests/Bug_1020_Regression/Makefile:
	* tests/Bug_1020_Regression/ORB_Task.cpp:
	* tests/Bug_1020_Regression/ORB_Task.h:
	* tests/Bug_1020_Regression/run_test.pl:
	* tests/Bug_1020_Regression/server.cpp:
	* tests/Bug_1020_Regression/Server.cpp:
	* tests/Bug_1020_Regression/Server.h:
	* tests/Bug_1020_Regression/Server_Task.cpp:
	* tests/Bug_1020_Regression/Server_Task.h:
	* tests/Bug_1020_Regression/Test.idl: Files for this test.


Mon Nov  4 14:18:15 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Bug_1020_Basic_Regression/README: Added information about
	  the motivation and purpose of this test.

Mon Nov  4 13:44:48 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Bug_1020_Basic_Regression: A new regression test for BUG
	  1020. This is a simple test which was failing with 1.2.1. The
	  test has Multi-threaded client communicating with a
	  Multi-threaded server. The client is crashed to see whether the
	  server crashes.

	* tests/Bug_1020_Basic_Regression/client.cpp:
	* tests/Bug_1020_Basic_Regression/Client_Task.cpp:
	* tests/Bug_1020_Basic_Regression/Client_Task.h:
	* tests/Bug_1020_Basic_Regression/Echo_Caller.cpp:
	* tests/Bug_1020_Basic_Regression/Echo_Caller.h:
	* tests/Bug_1020_Basic_Regression/Echo.cpp:
	* tests/Bug_1020_Basic_Regression/Echo.h:
	* tests/Bug_1020_Basic_Regression/Makefile:
        * tests/Bug_1020_Basic_Regression/server.cpp:
	* tests/Bug_1020_Basic_Regression/Server_Task.cpp:
	* tests/Bug_1020_Basic_Regression/Server_Task.h:
	* tests/Bug_1020_Basic_Regression/Test.idl: New files added for
	  this test.

Mon Nov  4 12:24:51 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h: Added a
	  missing exception specification from the definition to the
	  declaration of create_member (). This should fix  compile errors
	  on Linux builds.

Mon Nov 04 11:10:14 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/Notify/Notify_Service.cpp:
	  in method <init_main_thread> change argument to
	  ACE_ENV_ARG_DECL_NOT_USED.

	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
	  Added code for explicit template instantiation.

Mon Nov 04 10:47:41 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
	  In <create_filter> method : Added check to include EXTENDED_TCL
	  string as a valid constraint grammar.

Sun Nov  3 19:13:49 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h
	  (member_count):

	  Corrected exception specification so that it matches the method
	  definition's exception specification.

	* orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp
	  (member_count):

	  Removed extra line (cosmetic change).

Sun Nov  3 16:02:55 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Makefile.PortableGroup:
	* orbsvcs/orbsvcs/PortableGroup.bor:
	* orbsvcs/orbsvcs/PortableGroup.dsp:
	* orbsvcs/orbsvcs/PortableGroup_Static.dsp:

	  Removed PG_Group_Guard.{h,cpp} from these Makefiles and project
	  files.  Those files no longer exist.

Sun Nov  3 15:59:59 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/LB_ORT.idl:

	  Updated to CORBA 3.0 conventions.  Use the CORBA 3.0
	  "typeprefix" keyword instead of "#pragma prefix".

Sun Nov  3 15:59:57 2002  Ossama Othman  <ossama@uci.edu>

	The following fix some problems with the infrastructure-controlled
	membership support in TAO's PortableGroup library:

	* orbsvcs/orbsvcs/PortableGroup/PG_Factory_Set.h
	  (TAO_PG_Factory_Node):

	  Replaced GenericFactory object reference attribute with a
	  FactoryInfo attribute.  The latter is necessary to correctly
	  implement infrastructure-controlled membership

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h
	  (delete_member):

	  New method used to implement the
	  ObjectGroupManager::remove_member() method when the object group
	  in question is under infrastructure control.  The
	  ObjectGroupManager will call back on the GenericFactory.

	  (check_minimum_number_members):

	  New method that creates new members if the object group in
	  question is under infrastructure control.  Enough new members
	  will be created to satisfy the MinimumNumberMembers property of
	  the object group (assuming there are enough unused
	  application-supplied GenericFactorys).

	  (create_member):

	  New method used to create a single member via the
	  infrastructure.  This method is only used internally by the
	  infrastructure.  It should not be confused with the
	  ObjectGroupManager::create_member() method.

	  (populate_object_group):

	  Removed FactoryCreationId and ObjectId parameters.  They are no
	  longer used by this method.

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp:

	  No need to include `PG_Group_Guard.h'.  That file has been
	  removed.

	  (TAO_PG_GenericFactory):

	  Pass the "this" pointer to the ObjectGroupManager
	  implementation.  The ObjectGroupManager will potentially call
	  back on the GenericFactory in the infrastructure-controlled
	  membership case.

	  (create_object):

	  Reorganized this method so that the TAO_PG_Group_Guard class is
	  no longer needed.  In particular, the FactoryCreationId is

	  The object group's factory set is now bound to the factory map
	  in this method instead of the populate_object_group() method.
	  This allowed the latter method to be cleaned up.

	  (delete_object_i):

	  Updated to access FactoryInfo field in the TAO_PG_Factory_Node
	  structure that replaced the old GenericFactory object reference
	  field.

	  (populate_object_group):

	  Fixed problem where only the number of factories equal to the
	  initial number of members were bound to the factory map.  All
	  factories should be bound to the map, but only
	  InitialNumberMembers factories should be invoked.

	  Refactored member creation code to the new create_member()
	  method since the same code is also used by the new
	  check_minimum_number_members() method.

	* orbsvcs/orbsvcs/PortableGroup/PG_Group_Guard.h:
	* orbsvcs/orbsvcs/PortableGroup/PG_Group_Guard.cpp:

	  Remove these files.  The "guard" implementation contained in
	  these files is no longer necessary due to improvements in the
	  TAO_PG_GenericFactory::create_object() method.

	* orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h:
	* orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp
	  (_tao_add_member):

	  TAO-specific object group member addition method intended for
	  use by TAO's GenericFactory implementation.  It merely calls the
	  new protected add_member_i() method in a way that prevents that
	  method from performing remote member type checking via the
	  CORBA::Object::_is_a() call.  TAO's GenericFactory
	  implementation already performs member type checking in the
	  infrastructure-controlled case.  This is an optimization to
	  prevent redundant remote type checks.

	  (add_member):

	  Refactored object group member addition code to the new
	  protected add_member_i() method.  It calls the add_member_i()
	  method in a way that allows member type checking to occur.

	  (add_member_i):

	  New protected underlying and non-locking implementation of the
	  add_member() and _tao_add_member() methods.

	  (member_count):

	  New accessor method that returns the number of members currently
	  in a given object group.  Used by the new
	  TAO_PG_GenericFactory::check_minimum_number_members() method.

	  (generic_factory):

	  Mutator method used to set the cached pointer to the
	  TAO_PG_GenericFactory object which the TAO_PG_ObjectGroupManager
	  will call back on.

Sun Nov  3 11:04:27 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Event/EC_Gateway_UDP.h: Fixed a compile errors
	  in single threaded builds.

Sun Nov  3 10:18:15 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Notify/Notify_Service.cpp: Fixed a compile error
	  with minimum builds. Rearranged includes to have local includes
	  first.

Sun Nov 03 11:00:27 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/CosNotification.bor:
	  Added missing .obj extension to targets. Thanks to Johnny
	  Willemsen <jwillemsen@remedy.nl> for pointing this out.

	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Server.cpp:
	  Removed calls to initalize old Notification factories. This is
	  not needed now.

Sat Nov  2 19:58:51 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Bug_1269_Regression/ORB_Task.cpp:
	* tests/Bug_1269_Regression/Server_Timer.cpp:
	* tests/Bug_1269_Regression/client.cpp:
	* tests/Bug_1269_Regression/shutdown.cpp:
	* tests/Bug_1270_Regression/ORB_Task.cpp:
	* tests/Bug_1270_Regression/Server_Timer.cpp:
	* tests/Bug_1270_Regression/client.cpp:
	* tests/Bug_1270_Regression/shutdown.cpp: Fixed compile errors on
	  platforms where exceptions have been disabled.

	* tests/Bug_1270_Regression/run_test.pl:
	* tests/Bug_1269_Regression/run_test.pl: Changed the cutoff times
	  so that the tests would run without displaying errors on my
	  box. I would love these tests to run in our daily builds. But we
	  cannot run these, since they run for more than 75 mins on my two
	  processor box!

Sat Nov 02 20:46:08 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/CosNotification.bor:
	  Modified to add new Notification files.

Sat Nov  2 19:56:31 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Synch_Refcountable.cpp: Cosmetic fix.

Sat Nov 02 18:10:44 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/tests/Notify/Basic/AdminProperties_Test.dsp:
	  Inserted missing , in constructor.

	* orbscvs/orbsvcs/Notify/Notify_Service.cpp:
	  Removed ACE_DEFAULT_THREAD_PRIORITY to threadpool task. Thanks
	  to Bala for suggesting a fix.

	* orbscvs/orbsvcs/Notify/Thread_Pool_Task.cpp:
	  Modified call to <activate> to use ACE_DEFAULT_THREAD_PRIORITY.

	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
	  Changed code to obtain the notify service.

	* orbsvcs/Logging_Service/Notify_Logging_Service/svc.conf:
          Modified the .conf file to use the revised Notify Service
	  directive.

Sat Nov  2 10:48:46 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Utils/Servant_Var.h:
	* tao/Utils/Servant_Var.inl: Fixed errors in non-native exceptions
	  build.

Fri Nov  1 20:12:09 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp (connect):
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.h: Added the overloaded
	  connect () method without the timeout. The implementation just
	  calls the method with timeout value. It shouldnt be necessary,
	  but one build in the borland compiler warns about one of the
	  connect () methods hiding the other one. Hopefully, this should
	  resolve the warning.

Fri Nov 01 20:09:44 2002  Pradeep Gore  <pradeep@oomworks.com>

        * orbsvcs/tests/Notify/Basic/AdminProperties_Test.dsp:
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.dsp
        * orbsvcs/tests/Notify/Basic/Events_Test.dsp:
        * orbsvcs/tests/Notify/Basic/IdAssignment.dsp:
        * orbsvcs/tests/Notify/Basic/LifeCycleTest.dsp:
        * orbsvcs/tests/Notify/Basic/Simple.dsp:

          Modified project files to correct .pdb target.

        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.cpp:

          In method <run_test> removed duplicate call to Sequence Consumer.

        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.cpp:
          Changed code to obtain the notify service for colocation.

	* orbsvcs/tests/Notify/Basic/AdminProperties_Test.dsp:
	  Changed the default values used when the test is run without any
	  parameters.

        * orbsvcs/tests/Notify/Blocking/notify.conf:
        * orbsvcs/tests/Notify/Discarding/notify.conf:
        * orbsvcs/tests/Notify/MT_Dispatching/notify_mtdispatching.conf:
        * orbsvcs/tests/Notify/Ordering/notify.conf:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/notify.conf:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/notify.conf:
        * orbsvcs/tests/Notify/performance-tests/Filter/notify.conf:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/listener.conf:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/lookup.conf:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/reactive.conf:

          Modified the .conf files to use the revised Notify Service directive.

        * orbsvcs/tests/Notify/Structured_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/run_test.pl:

          Added missing definition for $notify_conf

        * orbsvcs/tests/Notify/Structured_Filter/notify.conf:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/notify.conf:

          Added missing notify.conf file.

Fri Nov  1 19:12:49 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Makefile.dirs: Added tao/Utils directory to the list of
	  directories. Need to add this directory for Win32 and
	  Borland. Need to make sure that they are fine on one before
	  propagating things to others.

Fri Nov  1 19:06:45 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Utils/Auto_Functor.cpp:
	* tao/Utils/Auto_Functor.h:
	* tao/Utils/Auto_Functor.inl:
	* tao/Utils/Implicit_Deactivator.cpp:
	* tao/Utils/Implicit_Deactivator.h:
	* tao/Utils/ORB_Destroyer.cpp:
	* tao/Utils/ORB_Destroyer.h:
	* tao/Utils/PolicyList_Destroyer.cpp:
	* tao/Utils/PolicyList_Destroyer.h:
	* tao/Utils/PolicyList_Destroyer.inl:
	* tao/Utils/RIR_Narrow.cpp:
	* tao/Utils/RIR_Narrow.h:
	* tao/Utils/Servant_Var.cpp:
	* tao/Utils/Servant_Var.h: ACE'ified code. Made them exception
	  safe even if native exceptions have been turned off.

Fri Nov 01 14:38:15 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* orbsvcs/Logging_Service/Logging_Service.dsw:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.dsw:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.dsp:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Logging_Service.dsp:
	  Renamed Basic_Logging_Service.dsp to Logging_Service.dsp.  This
	  may fix the unknown project error in the nightly build.

Fri Nov 01 11:09:29 2002  Pradeep Gore  <pradeep@oomworks.com>

	* orbsvcs/orbsvcs/Notify/Method_Request_Shutdown.cpp:
	  Changed <execute> method parameter to
	  ACE_ENV_SINGLE_ARG_DECL_NOT_USED

        * orbsvcs/orbsvcs/Notify/Service.h:
          Corrected the comment above the <init> method.

        * orbsvcs/orbsvcs/Notify/Service.h:
          Added a #define to define the string used to load the Cos
          Notification Service.

        * orbsvcs/orbsvcs/Notify/Notify_Service.h:
        * orbsvcs/orbsvcs/Notify/Notify_Service.cpp:
          Added class TAO_NS_CosNotification_Service_Initializer.
          This is a helper to load the Cos Notification service into the service conf. for static links.

        * orbsvcs/Notify_Service/svc.conf:
          Changed the conf file to load the Cos Notification wih the static command.

        * orbsvcs/Notify_Service/Notify_Service.cpp:
          Changed the string to obtain the Cos Notification Service via
	  the Service Configurator.

Fri Nov  1 09:44:43 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/DsNotifyLogAdmin.dsp:

          Fixed a project setting I overlooked in

          Thu Oct 31 16:46:11 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

Fri Nov  1 07:25:36 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/MProfile_Connection_Timeout/README:
	* tests/MProfile_Connection_Timeout/run_test.pl: Added these files
	  to the test.

	* tests/MProfile_Connection_Timeout/client.cpp:
	* tests/MProfile_Connection_Timeout/server.cpp:
	* tests/MProfile_Connection_Timeout/test.idl:
	* tests/MProfile_Connection_Timeout/test_i.cpp:
	* tests/MProfile_Connection_Timeout/test_i.h: Improved error
	  checking so that any problems will be signalled as errors in our
	  daily builds.

Fri Nov  1 00:44:22 2002  Yamuna Krishnamurthy  <yamuna@oomworks.com>

	* orbsvcs/orbsvcs/Notify/Event_Map_T.h:

	  Fixed compile errors in debian build.

Thu Oct 31 22:33:04 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* TAOACE.dsw: Added ProtableServer library as a dependency for
	  Messaging library.

	* tests/MProfile_Connection_Timeout/client.bor:
	* tests/MProfile_Connection_Timeout/server.bor:
	* tests/MProfile_Connection_Timeout/Makefile.bor: Added the
	  borland Makefiles.

	* tests/MProfile_Connection_Timeout/client.dsp:
	* tests/MProfile_Connection_Timeout/server.dsp:
	* tests/MProfile_Connection_Timeout/MProfile_Connection_Timeout.dsw:
          Workspace and project files for Win32 builds

	* tests/MProfile_Connection_Timeout/MProfile_Connection_Timeout.mpc:
	  MakefileProject creator.

Thu Oct 31 17:56:55 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/MProfile_Connection_Timeout/client.cpp (run_test):
	  Cosmetic fixes.

	* tests/MProfile_Connection_Timeout/Makefile: Added the Makefile
	  for the test.

Thu Oct 31 17:33:55 2002  Yamuna Krishnamurthy  <yamuna@oomworks.com>

	* orbsvcs/orbsvcs/Notify/Dispatch_Observer_T.inl:
	* orbsvcs/orbsvcs/Notify/Event_Map_Entry_T.inl:
	* orbsvcs/orbsvcs/Notify/Event_Map_T.h:
	* orbsvcs/orbsvcs/Notify/Event_Map_T.inl:
	* orbsvcs/orbsvcs/Notify/Container_T.inl:

	  Added ACE_TYPENAME for type names qualified by template
	  parameters.

Thu Oct 31 17:09:50 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/MProfile_Connection_Timeout:
	* tests/MProfile_Connection_Timeout/client.cpp:
	* tests/MProfile_Connection_Timeout/server.cpp:
	* tests/MProfile_Connection_Timeout/test.idl:
	* tests/MProfile_Connection_Timeout/test_i.cpp:
	* tests/MProfile_Connection_Timeout/test_i.h: New test for BUG ID
	  1284. This is just a preliminary checkin. Other parts of the
	  test are coming in shortly.

Thu Oct 31 16:46:11 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosNotification.dsp:

          Added link path to ETCL library.

        * orbsvcs/orbsvcs/DsEventLogAdmin.dsp:
        * orbsvcs/orbsvcs/DsNotifyLogAdmin.dsp:

          Added setting for release version, and fixed export settings for debug
          and release versions.

        * orbsvcs/orbsvcs/Notify/Notify_Service.cpp:

          Cosmetic changes.

        * orbsvcs/orbsvcs/Notify/Service.h:

          Added missing 'virtual' to a pure virtual function declaration.

Thu Oct 31 15:42:04 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.h:
	* orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
	* orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.h:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.h: Replicated the
	  changes from "Thu Oct 31 14:48:39 2002  Balachandran Natarajan
	  <bala@isis-server.isis.vanderbilt.edu>" for the remaining
	  protocols.

Thu Oct 31 15:40:31 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Event/EC_Gateway_UDP.cpp (handle_timeout): Fixed
	  a stupid typo :(

Thu Oct 31 14:48:39 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	This is a fix for BUGID 1284. Please see

	http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1284 for more
	details. This fix does the following

	- The invocation class selects a timeout from the two options that
	  it has access to, viz. a user defined timeouts for connection
	  establishment or the roundtrip timeout defined by the user.

	- If the user defined connection timeout policy is used and if the
	  call to TAO_Transport::connect () returns an errno of ETIME, the
	  invocation class tries the next endpoint in the profile.

	- If the roundtrip timeout is used, we raise a CORBA::TIMEOUT
	  exception.

	The connection timeout policy if set, overrides the roundtrip
	timeout policy value. To get the semantics right, the following
	changes were performed:

	* tao/Transport_Connector.cpp:
	* tao/Transport_Connector.h: Added another connect () method with
	  a timeout value. Made the connect () methods non-pure-virtual,
	  such that we could share some code and maintain backward
	  compatibility. Further, the pure-virtual method make_connection
	  () passes a timeout value. This shouldnt break backward
	  compatibility either.

	* tao/IIOP_Connector.cpp:
	* tao/IIOP_Connector.h: Added a timeout argument to the
	  make_connection () method. This method gets called from
	  TAO_Connector::connect () method which has a timeout. The
	  implementation of the make_connection () method is now changed
	  to just use the timeout value that is passed instead of
	  selecting a timeout value.

	* tao/Invocation.cpp: Selects a timeout from the two possible
	  alternatives and passes one of the values to the connect ()
	  call. Based on the timeout value used and the return value
	  handles errors as explained above.

	* tao/Strategies/DIOP_Connector.cpp:
	* tao/Strategies/DIOP_Connector.h:
	* tao/Strategies/SHMIOP_Connector.cpp:
	* tao/Strategies/SHMIOP_Connector.h:
	* tao/Strategies/UIOP_Connector.cpp:
	* tao/Strategies/UIOP_Connector.h: Changes to the protocols within
	  TAO. Changes to other protocols will follow.

Thu Oct 31 13:59:50 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/GIOP_Message_Base.cpp: Fixed a typo in the comments.

Thu Oct 31 13:08:23 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Event/EC_Gateway_UDP.cpp (handle_timeout): Fixed
	  compile errors in single threaded builds.

Thu Oct 31 12:07:51 2002  Yamuna Krishnamurthy  <yamuna@oomworks.com>

	* orbsvcs/orbsvcs/Notify/Notify_Service.cpp:
	* orbsvcs/orbsvcs/Notify/Sequence/EventBatch.cpp:

	  Fixed debian build compile warnings.

Thu Oct 31 11:58:24 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/tests/EC_MT_Mcast/MCast.cpp: Fixed compile error in
	  builds where exceptions have been turned off.

Thu Oct 31 10:51:12 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* docs/Smart_Proxies.html: Fixed a few typos.

Thu Oct 31 10:52:50 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/Container_i.cpp:
        * orbsvcs/orbsvcs/IFRService/InterfaceDef_i.cpp:

          Added checks for successful opening of an ACE_Configuration
          section so that subsequent iteration of values or subsections
          (which will fail) can be skipped. Thanks to Nick Cross
          <nick.cross@prismtechnologies.com> for reporting the bug.

Thu Oct 31 10:50:16 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tao/ValueBase.h:
        * tao/ValueBase.i:

          Restored const version of ValueBase_var operator that casts to
          ValueBase*.

Thu Oct 31 00:46:22 2002  Yamuna Krishnamurthy  <yamuna@oomworks.com>

	* orbsvcs/tests/Notify/Makefile:

	  Removed the old Throughput test.

Wed Oct 30 19:06:59 2002  Yamuna Krishnamurthy  <yamuna@oomworks.com>

	* orbsvcs/orbsvcs/Notify/Event_Manager.cpp:
	* orbsvcs/orbsvcs/Notify/Event.cpp:
	* orbsvcs/orbsvcs/Notify/Types.cpp:
	* orbsvcs/orbsvcs/Notify/Factory.cpp:

	  Added template instantiations to fix link errors.


Wed Oct 30 19:38:20 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* orbsvcs/orbsvcs/AV/UDP.cpp (TAO_AV_UDP_Object::handle_input):
	  Improve debugging message.

Wed Oct 30 12:49:32 2002  Irfan Pyarali  <irfan@oomworks.com>

	* tao/PortableServer/PortableServer_ORBInitializer.cpp
	  (register_poa_current): Moved registration of POA Current from
	  post_init() to pre_init().  Thanks to Ossama for pointing this
	  out.

Wed Oct 30 09:01:12 2002  Ossama Othman  <ossama@uci.edu>

	* tao/PortableServer/PortableServer_ORBInitializer.cpp
	  (register_poa_current):

	  Removed obsolete/incorrect comment regarding the lack of
	  reference counting in the TAO_ORBInitInfo object.
	  TAO_ORBInitInfo is now properly reference counted.

Wed Oct 30 11:38:36 2002  Irfan Pyarali  <irfan@oomworks.com>

	* Following are fixes for bug 1344.  Thanks to Ossama for pointing
	  this out.

	* tao/PortableServer/Object_Adapter.cpp (create): Moved the
	  registration of the POA Current to the
	  PortableServer_ORBInitializer.  If POA Current is resolved
	  before RootPOA, this code executes does not execute in time.

	* tao/PortableServer/PortableServer_ORBInitializer.cpp
	  (register_poa_current): POA Current is now registered in
	  TAO_PortableServer_ORBInitializer::post_init().

	* tao/ORB_Core.i (poa_current): Simply return <poa_current>.  It
	  should have been correctly initialized.

	* tests/POA/Current: Added new test to ensure that accessing the
	  POA current before the RootPOA does not cause any problems.

	  The following files were added:

	  - tests/POA/Current/Current.cpp
	  - tests/POA/Current/Current.dsp
	  - tests/POA/Current/Current.dsw
	  - tests/POA/Current/Current.mpc
	  - tests/POA/Current/Makefile
	  - tests/POA/Current/makefile.bor
	  - tests/POA/Current/run_test.pl

	  The following files were modified:

	  - $ACE_ROOT/bin/auto_run_tests.lst
	  - tests/TAO_Tests.dsw
	  - tests/POA/Makefile
	  - tests/POA/Makefile.bor
	  - tests/POA/README

Wed Oct 30 13:15:01 CET 2002  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

	* orbsvcs/tests/EC_MT_Mcast/MCast.cpp (run_orb_within_thread):

	  Added missing ACE_DECLARE_NEW_CORBA_ENV.

Tue Oct 29 17:50:59 2002  Ossama Othman  <ossama@uci.edu>

	* tao/TAO_Singleton_Manager.cpp (fini, _set_unexpected):

	  Call set_unexpected() in the global namespace when using
	  MSVC++.  MSVC++ doesn't place set_unexpected() in the "std"
	  namespace.  Thanks to Irfan for pointing the build problem.

Tue Oct 29 19:20:29 2002  Yamuna Krishnamurthy  <yamuna@cs.wustl.edu>

	* orbsvcs/orbsvcs/Notify/Service.h:

	  Make the init (int,char**) method abstract.

Tue Oct 29 11:37:37 2002  Yamuna Krishnamurthy  <yamuna@oomworks.com>

	* orbsvcs/orbsvcs/Makefile.CosNotification:

	  Generated dependencies. Added the cleanup of the tao_idl
	  generated files for Notify/Event_Forwarder.idl.

Tue Oct 29 09:34:59 CET 2002  Oliver Kellogg <oliver.kellogg@sysde.eads.net>

	* orbsvcs/tests/EC_MT_Mcast/MCast.cpp: Use ACE_OS::sleep() instead
	  of sleep(). Thanks to Johnny.

Tue Oct 29 00:33:27 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Makefile.CosNotification (realclean):

	  Fixed typo where the command to be executed for this target was
	  placed in the target's dependency list.  Addresses several build
	  errors.

Tue Oct 29 07:38:44 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/EC_MT_Mcast/Makefile.bor:
          Added new BCB makefile for this test.

Mon Oct 28 22:11:12 2002  Ossama Othman  <ossama@uci.edu>

	* tao/TAO_Singleton_Manager.cpp:

	  Do not pull the std::unexpected() function into the global
	  namespace through a "using" clause to avoid a conflict with some
	  STL implementations (e.g. STLPort) that already do that.

	  (init, _set_unexpected):

	  If the compiler's C++ library defines the "std" namespace,
	  explicitly call std::set_unexpected.  This fix was motivated by
	  Kobi Cohen Arazi <kobi@mivzak.com>.

Mon Oct 28 19:18:25 2002  Yamuna Krishnamurthy  <yamuna@oomworks.com>

	* orbsvcs/orbsvcs/Makefile.CosNotification:

	* orbsvcs/orbsvcs/Notify/Service.h:
	* orbsvcs/orbsvcs/Notify/Pending_Worker_T.h:
	* orbsvcs/orbsvcs/Notify/Pending_Worker_T.cpp:
	* orbsvcs/orbsvcs/Notify/ThreadPool_Task.h:
	* orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:

	  Added init methods with base class signatures to avoid compile
	  warnings

	* orbsvcs/orbsvcs/Notify/EventChannelFactory.h:
	* orbsvcs/orbsvcs/Notify/Admin.h:
	* orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp:

	  Made the TAO_NS_Object_Id_Seq definition public so it can be
	  accessed from other classes.

	* orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:

	  Put the pacing_interval_.value () into an ACE_Time_Value before
	  checking with ACE_Time_Value::zero.

	* orbsvcs/orbsvcs/Notify/Factory.cpp:

	  Removed duplicate template instantitaion of TAO_NS_EventType.

Mon Oct 28 17:19:58 2002  Irfan Pyarali  <irfan@oomworks.com>

	* tests/POA/MT_Servant_Locator/MT_Servant_Locator.cpp: Fixed
	  ACE_ENV warnings.

Mon Oct 28 16:55:11 2002  Irfan Pyarali  <irfan@oomworks.com>

	* tests/POA/MT_Servant_Locator/Makefile: Fixed and updated
	  dependencies.

Mon Oct 28 16:48:23 2002  Irfan Pyarali  <irfan@oomworks.com>

	* tests/POA/MT_Servant_Locator/MT_Servant_Locator.cpp: <Task::event_>
	  was being used in both preinvoke() and postinvoke().  This led
	  to a deadlock if the second signal() was missed since the event
	  was already signaled. Solution was to give both preinvoke() and
	  postinvoke() their own event variables.

Mon Oct 28 14:20:32 2002  Irfan Pyarali  <irfan@oomworks.com>

	* tao/PortableServer/POA.cpp (locate_servant_i): We no longer
	  need to use the non-servant upcall idiom for calling
	  ServantLocator::preinvoke() since we are now let of the lock
	  altogether before calling the servant locator.
	  ServantLocator::postinvoke() is also handled in a similar
	  manner.

          Note that it is possible for some other thread to reset the
	  servant locator once the lock is released.  However, this
	  possiblility also exists for postinvoke() which is also called
	  outside the lock.

	  Thanks to Ashok Sadasivan <ashok_sadasivan@hotmail.com> for
	  pointing this out.

	* tao/PortableServer/Object_Adapter.cpp (prepare_for_upcall):
	  Check the state before releasing the lock since it may already
	  have been released for Servant Locators.

	* tao/PortableServer/Object_Adapter: Moved State enumeration from
	  protected to public section.  Also added accessor and set method
	  of the state.

	* tests/POA/MT_Servant_Locator: Added new test to ensure that the
	  POA allows multiple simultaneous calls to Servant Locators.

	  The following files were added:

	  - tests/POA/MT_Servant_Locator/MT_Servant_Locator.cpp
	  - tests/POA/MT_Servant_Locator/MT_Servant_Locator.dsp
	  - tests/POA/MT_Servant_Locator/MT_Servant_Locator.dsw
	  - tests/POA/MT_Servant_Locator/MT_Servant_Locator.mpc
	  - tests/POA/MT_Servant_Locator/Makefile
	  - tests/POA/MT_Servant_Locator/makefile.bor
	  - tests/POA/MT_Servant_Locator/run_test.pl
	  - tests/POA/MT_Servant_Locator/test.idl

	  The following files were modified:

	  - $ACE_ROOT/bin/auto_run_tests.lst
	  - tests/TAO_Tests.dsw
	  - tests/POA/Makefile
	  - tests/POA/Makefile.bor
	  - tests/POA/README

Mon Oct 28 14:20:32 2002  Irfan Pyarali  <irfan@oomworks.com>

	* Following are fixes for bug 1317.  Thanks to Ossama for pointing
	  this out.

	* tao/TAO_Internal.cpp (open_services_i): If available, allow the
	  Adapter Factory to setup by calling init().  This is similar to
	  what we do for RT-CORBA.

	* tao/ORB_Core.cpp (poa_factory_name): Added accessor.

	* tao/RTPortableServer/RT_Object_Adapter_Factory.h: Changed
	  inheritance from TAO_Adapter_Factory to
	  TAO_Object_Adapter_Factory to get the base class' init()
	  functionality.

Mon Oct 28 18:38:35 CET 2002  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

	* orbsvcs/tests/Makefile:
	* orbsvcs/tests/Makefile.am:
	* orbsvcs/tests/Makefile.bor:
	* orbsvcs/tests/EC_MT_Mcast/AddrServer.cpp:
	* orbsvcs/tests/EC_MT_Mcast/AddrServer.h:
	* orbsvcs/tests/EC_MT_Mcast/Consumer.cpp:
	* orbsvcs/tests/EC_MT_Mcast/Consumer.h:
	* orbsvcs/tests/EC_MT_Mcast/MCast.cpp:
	* orbsvcs/tests/EC_MT_Mcast/MCast.dsp:
	* orbsvcs/tests/EC_MT_Mcast/MCast.dsw:
	* orbsvcs/tests/EC_MT_Mcast/Makefile:
	* orbsvcs/tests/EC_MT_Mcast/README:
	* orbsvcs/tests/EC_MT_Mcast/Supplier.cpp:
	* orbsvcs/tests/EC_MT_Mcast/Supplier.h:
	* orbsvcs/tests/EC_MT_Mcast/svc.conf:
	* orbsvcs/tests/EC_MT_Mcast/run_test.pl:
	  Added a regression test for the multithreading problem in class
	  TAO_ECG_UDP_Receiver.

Mon Oct 28 18:21:18 CET 2002  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

	* orbsvcs/orbsvcs/Event/EC_Gateway_UDP.{h,cpp}:
	  TAO_ECG_UDP_Receiver member request_map_ may be accessed
	  concurrently. Added a mutex, request_map_protector_.
	  Thanks to Andreas Koehler <andreas.koehler@sysde.eads.net>
	  for tracking down the bug and providing the fix.

Sun Oct 27 09:04:33 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/Event_Forwarder.idl:
          Fixed fuzz build errors.

Sun Oct 27 09:04:33 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Property.h:
        * orbsvcs/orbsvcs/Notify/POA_Helper.h:
        * orbsvcs/orbsvcs/Notify/Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Notify/Constraint_Interpreter.h:
          Fixed fuzz build errors.

Sun Oct 27 01:04:09 2002  Pradeep Gore  <pradeep@oomworks.com>

        Updated framework for TAO's Notification Service:
        - Fixes bugs related to Notification Object Lifecycle,
        - Fixes bugs related to incorrect ID assignments,
        - Fixes implementation of SequenceProxys and Event Batch.
        - Contains base framework for adding RT-CORBA extensions.

        Added Files:
        * orbsvcs/orbsvcs/NotifyExt.idl:
	  Defines extensions to The Notification Service to support
	  threadpools. The threadpool parameters are passed to the set_qos
	  method as QoS name-value pair. For the Cos Notify, a threadpool
	  is created as an ACE_Task object. 

	* orbsvcs/orbsvcs/Notify_Forwarder.idl:
	  An internal interface to context switch the event propagation
	  from the proxyconsumer to proxysupplier. This is achieved by the
	  caller thread invoking the <forward> method of this
	  interface. Colocation ensures that this call is invoked in the
	  context of the thread associated with the target object. 
	  The Event_Forwarder extends the  
	  CosNotifyChannelAdmin::StructuredProxyPushSupplier interface.
	
        * orbsvcs/orbsvcs/Notify/Admin.cpp :
        * orbsvcs/orbsvcs/Notify/Admin.h :
        * orbsvcs/orbsvcs/Notify/Admin.inl:
	  Base class implementation for the Notify Admin Interfaces.
  	
        * orbsvcs/orbsvcs/Notify/AdminProperties.cpp:
        * orbsvcs/orbsvcs/Notify/AdminProperties.h :
        * orbsvcs/orbsvcs/Notify/AdminProperties.inl:
          Maintains the AdminProperties that can be applied per
          eventchannel.
 
        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.cpp:
        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.h:
        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.inl :
          Buffering Strategy for queue and discrading policies.

        * orbsvcs/orbsvcs/Notify/Builder.cpp:
        * orbsvcs/orbsvcs/Notify/Builder.h:
        * orbsvcs/orbsvcs/Notify/Builder.inl :
	  Builder for the EventChannelFactory, EventChannel, Admin and
	  proxy objects. 
    
        * orbsvcs/orbsvcs/Notify/Constraint_Interpreter.cpp :
        * orbsvcs/orbsvcs/Notify/Constraint_Interpreter.h:
        * orbsvcs/orbsvcs/Notify/Constraint_Visitors.cpp :
        * orbsvcs/orbsvcs/Notify/Constraint_Visitors.h:
          Implementation of interfaces to the ETCL Filtering code.
  
        * orbsvcs/orbsvcs/Notify/Consumer.cpp :
        * orbsvcs/orbsvcs/Notify/Consumer.h:
        * orbsvcs/orbsvcs/Notify/Consumer.inl:
	  Wrapper for the Consumer that connects to a proxy object.

        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.cpp :
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.h:
        * orbsvcs/orbsvcs/Notify/ConsumerAdmin.inl :
	  Consumer Admin Implementation.

        * orbsvcs/orbsvcs/Notify/Container.cpp:
        * orbsvcs/orbsvcs/Notify/Container.h:
        * orbsvcs/orbsvcs/Notify/Container.inl :
        * orbsvcs/orbsvcs/Notify/Container_T.cpp:
        * orbsvcs/orbsvcs/Notify/Container_T.h :
        * orbsvcs/orbsvcs/Notify/Container_T.inl:
	  Base class for the Factory-Container objects in Notify
	  viz. Factory, Channel and Admin objects. This class manages the
	  lifetimes of the POA's for activating the EC objects as well as
	  the POA for activating the Proxys. 
	
        * orbsvcs/orbsvcs/Notify/Destroy_Callback.h :
          Callback for each Notify Object that supports the <release>
          method which is invoked when the objects reference count
          falls to 0.
  
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp :
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.h:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.inl :
          Implements to CosNotifyFilter interface.

        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.h :
        * orbsvcs/orbsvcs/Notify/ETCL_FilterFactory.inl:
          Implements to CosNotifyFilterFactory interface.

        * orbsvcs/orbsvcs/Notify/Event.cpp:
        * orbsvcs/orbsvcs/Notify/Event.h :
        * orbsvcs/orbsvcs/Notify/Event.inl:
	  Abstract base class for all types of Notify Events.

        * orbsvcs/orbsvcs/Notify/EventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/EventChannel.h :
        * orbsvcs/orbsvcs/Notify/EventChannel.inl:
	  EventChannel interface implementation.

        * orbsvcs/orbsvcs/Notify/EventChannelFactory.cpp :
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.h:
        * orbsvcs/orbsvcs/Notify/EventChannelFactory.inl :
	  EventChannel Factory Interface implementation.

        * orbsvcs/orbsvcs/Notify/EventType.cpp:
        * orbsvcs/orbsvcs/Notify/EventType.h:
        * orbsvcs/orbsvcs/Notify/EventType.inl:
	  Abstraction for the Notify EventType.

        * orbsvcs/orbsvcs/Notify/EventTypeSeq.cpp:
        * orbsvcs/orbsvcs/Notify/EventTypeSeq.h :
        * orbsvcs/orbsvcs/Notify/EventTypeSeq.inl:
	  Helper class to manage a sequence of EventTypes.

        * orbsvcs/orbsvcs/Notify/Event_Manager.cpp :
        * orbsvcs/orbsvcs/Notify/Event_Manager.h:
        * orbsvcs/orbsvcs/Notify/Event_Manager.inl:
          An event manager that contains the supplier and consumer event
	  maps.Consumers and Supppliers connect to the EventManager and
	  inform it of any subscription/offer changes.

        * orbsvcs/orbsvcs/Notify/Event_Map_Entry_T.cpp:
        * orbsvcs/orbsvcs/Notify/Event_Map_Entry_T.h :
        * orbsvcs/orbsvcs/Notify/Event_Map_Entry_T.inl:
          An event map entry is maintained per eventtype.
          The entry contains a collection of proxys that are assigned
          to the same eventtype.

        * orbsvcs/orbsvcs/Notify/Event_Map_T.cpp :
        * orbsvcs/orbsvcs/Notify/Event_Map_T.h:
        * orbsvcs/orbsvcs/Notify/Event_Map_T.inl:
  	  Template definition of the lookup data structure that maps
	  EventTypes to recipient lists.

        * orbsvcs/orbsvcs/Notify/Factory.cpp :
        * orbsvcs/orbsvcs/Notify/Factory.h:
        * orbsvcs/orbsvcs/Notify/Factory.inl:
          An default factory that creates Notify objects.

        * orbsvcs/orbsvcs/Notify/FilterAdmin.cpp :
        * orbsvcs/orbsvcs/Notify/FilterAdmin.h:
          Implementation of the filter admin interface.

        * orbsvcs/orbsvcs/Notify/FilterFactory.h :
          Interface for FilterFactories. This allows us to plug
          different filterfactories if required.
  
        * orbsvcs/orbsvcs/Notify/ID_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/ID_Factory.h :
        * orbsvcs/orbsvcs/Notify/ID_Factory.inl:
	  A Factory class for generating the ID's associated with the
	  Notify Objects.Note that each TAO_NS_POA used one of these. 
	  Note that the previous implementation of Notification created
	  unique id's for *each* category of Objects. so
	  e.g. ConsumerAdmins went from 0,1,2... and ProxySuppliers went
	  from 0,1,2... Now ConsumerAdmins and ProxySuppliers would share
	  Id's 0,1,2... 3,4,5. The spec. requires Ids to be unique, It
	  does not require each category to be unique. moreover
	  CORBA::ULongs are wide enough so that we don't get into any
	  recycling of Ids. This simplification fixes many nagging bugs in
	  Notification.
	
        * orbsvcs/orbsvcs/Notify/Method_Request.cpp :
        * orbsvcs/orbsvcs/Notify/Method_Request.h:
        * orbsvcs/orbsvcs/Notify/Method_Request.inl :
	  Base class for command objects in the activation queue.
	
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.cpp :
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.h :
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch.inl :
          Method request for Event dispatching. Contains the event to
          be dispatched and also evaluates the proxy supplier and
          consumer admin filters.  

        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch_No_Filtering.cpp :
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch_No_Filtering.h :
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch_No_Filtering.inl :
          Dispatch method request to push the event to the target
	  consumer without any filtering. This is used when sending
          queued events (e.g. via suspend) that don't have to pass a
          filter because they have already been through it. 

	* orbsvcs/orbsvcs/Notify/Method_Request_Lookup.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Lookup.h :
        * orbsvcs/orbsvcs/Notify/Method_Request_Lookup.inl :
	  Command object to lookup the consumer list in the Event_Map.
	  Also evaluates the ProxyConsumer and ConsumerAdmin filters.
	
        * orbsvcs/orbsvcs/Notify/Method_Request_Shutdown.cpp :
        * orbsvcs/orbsvcs/Notify/Method_Request_Shutdown.h :
        * orbsvcs/orbsvcs/Notify/Method_Request_Shutdown.inl:
	  Command Object to signal shutdown of the activation queue.

        * orbsvcs/orbsvcs/Notify/Notify_Service.cpp :
        * orbsvcs/orbsvcs/Notify/Notify_Service.h:
        * orbsvcs/orbsvcs/Notify/Notify_Service.inl :
	  Service Object that allows clients to create and manage Cos Notify
	  Factory.
	
        * orbsvcs/orbsvcs/Notify/Object.cpp:
        * orbsvcs/orbsvcs/Notify/Object.h:
        * orbsvcs/orbsvcs/Notify/Object.inl :
        * orbsvcs/orbsvcs/Notify/Object_T.cpp:
        * orbsvcs/orbsvcs/Notify/Object_T.h:
        * orbsvcs/orbsvcs/Notify/Object_T.inl :
	  Defines the base Notifiy Object that is used to implement the
	  basic behavior of Notify Classes.

        * orbsvcs/orbsvcs/Notify/POA_Helper.cpp:
        * orbsvcs/orbsvcs/Notify/POA_Helper.h :
        * orbsvcs/orbsvcs/Notify/POA_Helper.inl:
          A helper class that manages the lifetime of POA objects.
	
        * orbsvcs/orbsvcs/Notify/Peer.cpp:
        * orbsvcs/orbsvcs/Notify/Peer.h :
        * orbsvcs/orbsvcs/Notify/Peer.inl:
          Base class for Consuemrs and Suppliers that connect to the
          proxys.

        * orbsvcs/orbsvcs/Notify/Properties.cpp:
        * orbsvcs/orbsvcs/Notify/Properties.h :
        * orbsvcs/orbsvcs/Notify/Properties.inl:
          Holds the properties accessible globally.

        * orbsvcs/orbsvcs/Notify/Property.h:
          Forward declaration of the QoS/Admin properties supported by
          Notify.

        * orbsvcs/orbsvcs/Notify/PropertySeq.cpp:
        * orbsvcs/orbsvcs/Notify/PropertySeq.h:
        * orbsvcs/orbsvcs/Notify/PropertySeq.inl:
          A helper class to manage Property Sequences.

        * orbsvcs/orbsvcs/Notify/Property_Boolean.cpp:
        * orbsvcs/orbsvcs/Notify/Property_Boolean.h :
        * orbsvcs/orbsvcs/Notify/Property_Boolean.inl:
          Implementation of a oolean property type.

        * orbsvcs/orbsvcs/Notify/Property_T.cpp :
        * orbsvcs/orbsvcs/Notify/Property_T.h:
        * orbsvcs/orbsvcs/Notify/Property_T.inl:
          Template type for encapsulating Notify Property types.

        * orbsvcs/orbsvcs/Notify/Proxy.cpp :
        * orbsvcs/orbsvcs/Notify/Proxy.h:
        * orbsvcs/orbsvcs/Notify/Proxy.inl:
          Base Proxy type.

        * orbsvcs/orbsvcs/Notify/ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.h:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer.inl:
          Base class for all ProxyConsumers.

        * orbsvcs/orbsvcs/Notify/ProxyConsumer_T.cpp:
        * orbsvcs/orbsvcs/Notify/ProxyConsumer_T.h :
        * orbsvcs/orbsvcs/Notify/ProxyConsumer_T.inl:
          Template class that implements ProxyConsumer interface methods.       
 
        * orbsvcs/orbsvcs/Notify/ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.h:
        * orbsvcs/orbsvcs/Notify/ProxySupplier.inl:
          Base class for all ProxySuppliers.

        * orbsvcs/orbsvcs/Notify/ProxySupplier_T.cpp:
        * orbsvcs/orbsvcs/Notify/ProxySupplier_T.h :
        * orbsvcs/orbsvcs/Notify/ProxySupplier_T.inl:
          Template class that implements ProxySupplier interface methods.       

        * orbsvcs/orbsvcs/Notify/Proxy_T.cpp
        * orbsvcs/orbsvcs/Notify/Proxy_T.h :
        * orbsvcs/orbsvcs/Notify/Proxy_T.inl:
          Template class that implements Proxy interface
          methods.       

        * orbsvcs/orbsvcs/Notify/QoSProperties.cpp:
        * orbsvcs/orbsvcs/Notify/QoSProperties.h:
        * orbsvcs/orbsvcs/Notify/QoSProperties.inl:
          Container of the common QoS properties supported by the
          Notification.

        * orbsvcs/orbsvcs/Notify/Reactive_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Reactive_Task.h:
        * orbsvcs/orbsvcs/Notify/Reactive_Task.inl:
          A worker task that executes the command object in the context
          of the caller thread. 

        * orbsvcs/orbsvcs/Notify/Refcountable.cpp:
        * orbsvcs/orbsvcs/Notify/Refcountable.h:
        * orbsvcs/orbsvcs/Notify/Refcountable.inl:
          A base class for Notify Objects that wish to be refcounted. 
          If a destroy_callback is supplied, it is invoked when the
          ref. count falls to 0.

        * orbsvcs/orbsvcs/Notify/Service.h :
	  Interface that defines a ACE_Service_Object for clients to
	  create Notify Factories. Using this clients can obtain various
	  types of the Notify Factory implementations. (CosNotify and
	  Real-Time Notify).  
	
        * orbsvcs/orbsvcs/Notify/Subscription_Change_Worker.cpp:
        * orbsvcs/orbsvcs/Notify/Subscription_Change_Worker.h:
        * orbsvcs/orbsvcs/Notify/Subscription_Change_Worker.inl:
	  Helper class for propagating Admin level subscription changes
          to proxys.

        * orbsvcs/orbsvcs/Notify/Supplier.cpp:
        * orbsvcs/orbsvcs/Notify/Supplier.h:
        * orbsvcs/orbsvcs/Notify/Supplier.inl:
          A base wrapper class for encapsulation the remote supplier
          that has connect to a proxy.  

        * orbsvcs/orbsvcs/Notify/SupplierAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/SupplierAdmin.h:
        * orbsvcs/orbsvcs/Notify/SupplierAdmin.inl:
          Supplier Admin implementation.

        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.h:
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.inl:
          A worker task that creates a thread pool and executes the 
          enqueued Method_Request command objects in the worker thread 
          context.

        * orbsvcs/orbsvcs/Notify/Types.cpp
        * orbsvcs/orbsvcs/Notify/Types.h:
        * orbsvcs/orbsvcs/Notify/Types.inl:
          Class that defines the commonly used Types in Notification.

        * orbsvcs/orbsvcs/Notify/Worker_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Worker_Task.h:
        * orbsvcs/orbsvcs/Notify/Worker_Task.inl:
        Base abstract worker task that is used by Notification objects
        to execute a command object.

        * orbsvcs/orbsvcs/Notify/Any/AnyEvent.cpp:
        * orbsvcs/orbsvcs/Notify/Any/AnyEvent.h:
        * orbsvcs/orbsvcs/Notify/Any/AnyEvent.inl:
        Abstraction of the Any event received by a CosEvent Channel
        style proxy consumer.

        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushConsumer.inl:
        Implementation of the CosEC ProxyPushConsumer

        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.cpp :
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.h :
        * orbsvcs/orbsvcs/Notify/Any/CosEC_ProxyPushSupplier.inl :
        Implementation of the CosEC ProxyPushSupplier.

        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushConsumer.inl:
        Implementation of the Notification ProxyPushConsumer.

        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Any/ProxyPushSupplier.inl:
        Implementation of the Notification ProxyPushSupplier.

        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.cpp :
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Any/PushConsumer.inl :
        Impkementation of the PushConsumer that connects to the Any
        style Proxy Supplier. 

        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.h :
        * orbsvcs/orbsvcs/Notify/Any/PushSupplier.inl:
        Implementation of the PushSupplier that connects to the Any
        style Proxy Consumer. 

        * orbsvcs/orbsvcs/Notify/Sequence/EventBatch.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/EventBatch.h:
        * orbsvcs/orbsvcs/Notify/Sequence/EventBatch.inl:
        Helper class that manages the Sequence proxy's EventBatch.

        * orbsvcs/orbsvcs/Notify/Sequence/Method_Request_Dispatch_EventBatch.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/Method_Request_Dispatch_EventBatch.h:
        * orbsvcs/orbsvcs/Notify/Sequence/Method_Request_Dispatch_EventBatch.inl:
        A command object that stores an event batch destined for
        dispatch to a sequence consumer.           

        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushConsumer.inl:
        Implementation of the Notify SequenceProxyPushConsumer interface.

        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequenceProxyPushSupplier.inl:
        Implementation of the Notify SequenceProxyPushSupplier
        interface.

        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.inl:
        Wrapper to manage the SequenceConsumer that connects to the
        Sequence Proxy.
 
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushSupplier.inl:
        Wrapper to manage the SequenceSupplier that connects to the
        Sequence Proxy.
        
        * orbsvcs/orbsvcs/Notify/Structured/StructuredEvent.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredEvent.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredEvent.inl:
        Notify's StructuredEvent's internal representation in the
        Notification.

        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushConsumer.inl:
        Implementation of the Notification StructuredProxyPushConsumer.

        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredProxyPushSupplier.inl:
        Implementation of the Notification StructuredProxyPushSupplier.

        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushConsumer.inl:
        Wrapper to manage the StructuredConsumer that connects to the
        Structured Supplier Proxy.
        
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.cpp:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.h:
        * orbsvcs/orbsvcs/Notify/Structured/StructuredPushSupplier.inl:
          Wrapper to manage the StructuredSupplier that connects to the
          Structured Consumer Proxy.

        * orbsvcs/Notify_Service/Notify_Server.cpp:
        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/Notify_Service/svc.conf:

          Changes to obtain the Notification Factory via Service Object.

        * orbsvcs/orbsvcs/CosNotification.dsp:
        * orbsvcs/orbsvcs/Makefile.CosNotification:

          New source and idl files added.

Sat Oct 26 14:44:33 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ORT/server.bor:
          Fixed this BCB makefile.

Sat Oct 26 14:03:59 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV/pluggable_av_log:
          Removed this file from the repo.

Sat Oct 26 13:59:33 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV/media_timer.cpp:
          Fixed incorrect include because of file rename.

Sat Oct 26 12:28:12  UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV/media-timer.{h,cpp}:
        * orbsvcs/orbsvcs/AV/media_timer.{h,cpp}:
          Renamed media-timer to media_timer because the BCB5 Static linker
          has problems with the - in the filename.

        * orbsvcs/orbsvcs/AV/RTCP.cpp:
        * orbsvcs/orbsvcs/AV.bor:
        * orbsvcs/orbsvcs/AV.dsp:
        * orbsvcs/orbsvcs/AV_Static.dsp:
        * orbsvcs/orbsvcs/Makefile.av:
          Updated these files because of the file rename

        * tests/ORT/ServerRequestInterceptor.h:
          Fixed fuzz error

Fri Oct 25 21:48:30 2002  Ossama Othman  <ossama@uci.edu>

	* tao/PortableServer/POA.cpp (adapter_name_i):

	  Fixed problem where the RootPOA's adapter name was not included
	  in the returned adapter name sequence.  CORBA 3.0 requires it to
	  be included.

	  Fixed incorrect nil POA reference check.  Use
	  "CORBA::is_nil(poa)" instead of
	  "poa == PortableServer::POA::_nil()".

	  Slightly optimized and cleaned up this method.

	* tests/ORT/ObjectReferenceFactory.idl:
	* tests/ORT/ObjectReferenceFactory.h:
	* tests/ORT/ObjectReferenceFactory.cpp:

	  New PortableInterceptor::ObjectReferenceFactory implementation
	  designed to excerise the
	  PortableInterceptor::IORInfo::current_factory() attributed, the
	  POA's ObjectReferenceFactory support.

	* tests/ORT/ServerORBInitializer.h:
	* tests/ORT/ServerORBInitializer.cpp:

	  New server side ORBInitializer that registers the new server
	  request interceptor and the existing IOR interceptor.

	* tests/ORT/ServerRequestInterceptor.h:
	* tests/ORT/ServerRequestInterceptor.cpp:

	  New server request interceptor thats tests some of the
	  ORT-specific methods in the ServerRequestInfo object passed to
	  the server request interception points.

	* tests/ORT/ORT_test_IORInterceptor.cpp (components_established):

	  Swap out the current ObjectReferenceFactory with the customized
	  ObjectReferenceFactory implemented by this test.  The goal is
	  test the PortableInterceptor::IORInfo::current_factory attribute
	  internals, in addition to the POA's
	  PortableInterceptor::ObjectReferenceFactory support.

	* tests/ORT/server.cpp (main):

	  Use a child POA when activating the servant and obtaining an
	  object reference for it.  This forces a POA hierarchy to be
	  reflected in the AdapterName sequence returned from
	  PortableInterceptor::ServerRequestInfo::adapter_name() instead
	  of a single (root) POA.

	  Removed TAO-specific calls on the TAO_ORB_Core.  The
	  equivalent portable calls in the
	  PortableInterceptor::ServerRequestInfo object will be invoked
	  via the new ServerRequestInterceptor instead.

	* tests/ORT/ORT_test_IORInterceptor_ORBInitializer.h:
	* tests/ORT/ORT_test_IORInterceptor_ORBInitializer.cpp:

	  Removed this ORBInitializer in favor of the new one described
	  above.

	* tests/ORT/ORT_test_IORInterceptor.h:
	* tests/ORT/ORT_test.idl:
	* tests/ORT/ORT_test_i.h:
	* tests/ORT/ORT_test_i.cpp:

	  Cosmetic updates.

	* tests/ORT/Makefile:
	* tests/ORT/server.bor:
	* tests/ORT/server.dsp:

	  Added new files and removed deprecated ones.

Fri Oct 25 09:56:51 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tao/ValueBase.h:
        * tao/ValueBase.i:
        * TAO_IDL/be/be_valuetype.cpp:

          Restored the const cast to pointer operator for valuetype _var
	  classes.

Fri Oct 25 09:49:31 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * examples/OBV/Typed_Events/Event_Types_impl.cpp:

          Added missing .in() in an assignment of _var class contents to a
	  pointer,  and 'this->' in several places where a member variable
	  is referenced. 

Thu Oct 24 19:48:21 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* Re-did this after the great reversion "Wed Oct 23 16:32:36 2002
	  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>"

Thu Oct 24 19:44:38 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/DsEventLogAdmin.dsp:
	* orbsvcs/orbsvcs/DsNotifyLogAdmin.dsp: Fixed Release
	  configurations.  Include paths, library paths, and library lists
	  have been added.

Thu Oct 24 19:32:08 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* Reverted the changes made in the following entries:
	Thu Oct 24 10:59:20 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>
	Thu Oct 24 10:39:10 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>
	Thu Oct 24 09:29:59 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>
	Thu Oct 24 000:33:17 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>
	Wed Oct 23 23:51:51 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>
	Wed Oct 23 23:37:32 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>
	Wed Oct 23 22:48:09 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>
	Wed Oct 23 16:32:36 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>
	Wed Oct 23 13:38:59 2002  Nanbor Wang  <nanbor@cs.wustl.edu>
	Wed Oct 23 10:26:59 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>.
	  Basically the changes made were not right. Hence the need for
	  reversion to yesterday mornings status.

Thu Oct 24 10:59:20 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * examples/Load_Balancing/Identity_Server.cpp:
        * examples/Load_Balancing_persistent/Identity_Server.cpp:
        * examples/POA/DSI/client.cpp:
          More replacement of char* with typedef name.

Thu Oct 24 10:39:10 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/LifeCycle_Service/Factory_Trader.cpp:
        * orbsvcs/examples/Log/Basic/TLS_Client.cpp:
        * orbsvcs/examples/Log/Event/Event_Supplier.cpp:
        * orbsvcs/examples/Log/Notify/Notify_Supplier.cpp:
        * orbsvcs/examples/Log/RTEvent/RTEvent_Supplier.cpp:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.cpp:
        * orbsvcs/orbsvcs/AV/Flows_T.cpp:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Connection_Manager.cpp:
        * orbsvcs/tests/AVStreams/Component_Switching/Connection_Manager.cpp:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/sender.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/LB_server.cpp:
        * orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.cpp:
        * orbsvcs/tests/Property/client.cpp:
        * orbsvcs/tests/Property/server.cpp:

          More replacement of char* with typedef name.

Thu Oct 24 09:29:59 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp:

          String literal conversions to typedef name that were overlooked in

          Wed Oct 23 23:37:32 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>.

Thu Oct 24 000:33:17 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * examples/POA/DSI/Database_i.cpp:
        * examples/POA/DSI/Database_i.h:
        * examples/RTCORBA/Activity/Activity.cpp:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
	* orbsvcs/Notify_Service/Notify_Service.cpp:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Vault.cpp:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Vault.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/LB_server.cpp:

	  Replaced char * arguments with corresponding typedefs in cases where
	  the IDL compiler now generates the typedef name.

Wed Oct 23 23:51:51 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tests/Makefile:
	* tests/Makefile.bor:
	* tests/TAO_Tests.dsw:

	  Added the new abstract interface test to the suite.

Wed Oct 23 23:37:32 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp:

	  Converted many occurrences of a string literal arg to the typedef name
	  'const cosPropertyService::PropertyName' since this is now what the
	  IDL compiler generates in the method signature.

	* orbsvcs/orbsvcs/Trader/Trading_Loader.cpp:

	  Same as above for two overlooked occurrences of a string literal where
	  'const CosTrading::LinkName' is generated.

Wed Oct 23 22:48:09 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/examples/Log/Basic/Client.dsp:
        * orbsvcs/examples/Log/Event/Log_CEC_Simple_Consumer.dsp:
        * orbsvcs/examples/Log/Event/Log_CEC_Simple_Supplier.dsp:
        * orbsvcs/examples/Log/Notify/Log_Notify_Simple_Consumer.dsp:
        * orbsvcs/examples/Log/Notify/Log_Notify_Simple_Supplier.dsp:
        * orbsvcs/examples/Log/RTEvent/Log_RTEvent_Simple_Consumer.dsp:
        * orbsvcs/examples/Log/RTEvent/Log_RTEvent_Simple_Supplier.dsp:

	  Added all include and link paths - they somehow got wiped out.

Wed Oct 23 16:32:36 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/examples/CosEC/RtEC_Based/lib/Makefile: Added a check to
	  ensure that the contents are not compiled if the dependant
	  libraries are not available. Thanks to Sandeep Neema
	  <neemask@corvette.vuse.vanderbilt.edu> for reporting this.

Wed Oct 23 13:38:59 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* orbsvcs/orbsvcs/DsEventLogAdmin.dsp:
	* orbsvcs/orbsvcs/DsNotifyLogAdmin.dsp: Fixed Release
	  configurations.  Include paths, library paths, and library lists
	  were missing somwhow.

Wed Oct 23 11:21:50 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* tests/Abstract_Interface/Abstract_Interface_Client.dsp:
	* tests/Abstract_Interface/Abstract_Interface_Server.dsp: Renamed
	  projects.

	* tests/Abstract_Interface/Abstract_Interface.dsw: Fixed project
	  paths.

Wed Oct 23 10:26:59 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_argument/arglist.cpp
        * TAO_IDL/be/be_visitor_argument/argument.cpp
        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp
        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp
        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp
        * TAO_IDL/be/be_visitor_argument/upcall_ss.cpp
        * TAO_IDL/be/be_visitor_argument/vardecl_ss.cpp
        * TAO_IDL/be/be_visitor_exception/exception_ctor.cpp
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp
        * TAO_IDL/be/be_visitor_operation/interceptors_info_rettype.cpp
        * TAO_IDL/be/be_visitor_operation/rettype.cpp
        * TAO_IDL/be/be_visitor_sequence/buffer_type.cpp
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp
        * TAO_IDL/be/be_visitor_typedef/any_op_ch.cpp

	  Modified code generation to generate the typedef name for
	  typedef'd strings, along with the typedef name for the
	  corresponding _var and _out classes, when used in operation
	  parameters and inside generated function bodies. Generated
	  constructors for exceptions with typedef'd string members
	  were not changed - there seems to be no way to make happy
	  all the compilers we support. Thanks to Goran Stojsic
	  <goran.stojsic@etk.ericsson.se> for pointing out that
	  generating char* for typedef'd strings in operations
 	  parameters will prevent the application from using the
	  typedef name, since the compiler will report that a pure
	  virtual skeleton method was not overridden in such a case.
	  This fix will probably cause numerous headaches, but it is
	  the Right Thing (TM) to do, so the problems will be dealt
	  with as they appear.

        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.h
        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.cpp
        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.h
        * orbsvcs/orbsvcs/Log/Log_i.cpp
        * orbsvcs/orbsvcs/Log/Log_i.h
        * orbsvcs/orbsvcs/Naming/Naming_Context_Interface.cpp
        * orbsvcs/orbsvcs/Naming/Naming_Context_Interface.h
        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp
        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h
        * orbsvcs/orbsvcs/PortableGroup/PG_PropertyManager.cpp
        * orbsvcs/orbsvcs/PortableGroup/PG_PropertyManager.h
        * orbsvcs/orbsvcs/Property/CosPropertyService_i.cpp
        * orbsvcs/orbsvcs/Property/CosPropertyService_i.h
        * orbsvcs/orbsvcs/Security/PrincipalAuthenticator.cpp
        * orbsvcs/orbsvcs/Security/PrincipalAuthenticator.h
        * orbsvcs/orbsvcs/Trader/Constraint_Interpreter.cpp
        * orbsvcs/orbsvcs/Trader/Constraint_Interpreter.h
        * orbsvcs/orbsvcs/Trader/Service_Type_Repository.cpp
        * orbsvcs/orbsvcs/Trader/Service_Type_Repository.h
        * orbsvcs/orbsvcs/Trader/Trader.cpp
        * orbsvcs/orbsvcs/Trader/Trader.h
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.cpp
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.h
        * orbsvcs/orbsvcs/Trader/Trader_Utils.cpp
        * orbsvcs/orbsvcs/Trader/Trader_Utils.h
        * orbsvcs/orbsvcs/Trader/Trading_Loader.cpp
        * Examples/Load_Balancing/Identity_Client.cpp
        * Examples/Load_Balancing/Load_Balancer_i.cpp
        * Examples/Load_Balancing/Load_Balancer_i.h
        * Examples/Load_Balancing_persistent/Identity_Client.cpp
        * Examples/Load_Balancing_persistent/Load_Balancer_i.cpp
        * Examples/Load_Balancing_persistent/Load_Balancer_i.h
        * Examples/OBV/Typed_Events/Event_Types_impl.cpp
        * tests/Param_Test/param_test_i.cpp
        * tests/Param_Test/param_test_i.h
        * orbsvcs/tests/Interoperable_Naming/ncontextext_client_i.cpp
        * orbsvcs/tests/Property/client.cpp
        * orbsvcs/tests/Trading/Offer_Exporter.cpp
        * orbsvcs/tests/Trading/Offer_Importer.cpp
        * orbsvcs/tests/Trading/Service_Type_Exporter.cpp
        * orbsvcs/tests/Trading/Simple_Dynamic.cpp
        * orbsvcs/tests/Trading/Simple_Dynamic.h

	  Application files modified to use string typedef names
	  instead of char*.

Tue Oct 22 23:31:45 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/DsLogAdmin.dsp: Added proper include paths for
	  the release builds.

Tue Oct 22 18:22:24 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/Logging_Service/*/*.dsp: Fixed the project files. There
	  are still some problems that needs ironing out.

Tue Oct 22 18:17:59 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/Notify/Notify_FilterFactory_i.cpp:
        * tests/Notify/MT_Dispatching/Structured_Consumer.cpp:
        * tests/Notify/MT_Dispatching/Structured_Supplier.cpp:
        * tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Consumer.cpp:
        * tests/Notify/Structured_Filter/Structured_Consumer.cpp:
        * tests/Notify/performance-tests/Filter/Sequence_Consumer.cpp:

          Changed the string selecting the Extended Trader Constraint Language
          grammar from "ETCL" to EXTENDED_TCL" as required by the spec. Thanks
          to Dmitry Khrapov <yavannadil@yahoo.com> for reporting the oversight.

Tue Oct 22 17:53:58 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

	  Added a generated newline after the (optional) precompiled header
	  include. Thanks to Victor Kirk <vkirk@technology.serco.com> for
	  reporting the bug and submitting a patch.

Tue Oct 22 17:18:34 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/util/utl_identifier.cpp:
	* TAO_IDL/util/utl_scope.cpp:

	  Fixed a bug in handling the 'Object' keyword when it is
	  escaped. Thanks to Ole Husgaard <osh@sparre.dk> for reporting
	  the bug. This closes [BUGID:1324].

Tue Oct 22 15:11:09 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* orbsvcs/orbsvcs/AV.dsp:
	* orbsvcs/orbsvcs/CosConcurrency.dsp:
	* orbsvcs/orbsvcs/CosEvent.dsp:
	* orbsvcs/orbsvcs/CosLifeCycle.dsp:
	* orbsvcs/orbsvcs/CosLoadBalancing.dsp:
	* orbsvcs/orbsvcs/CosNaming.dsp:
	* orbsvcs/orbsvcs/CosNotification.dsp:
	* orbsvcs/orbsvcs/CosTime.dsp:
	* orbsvcs/orbsvcs/CosTrading.dsp:
	* orbsvcs/orbsvcs/DsLogAdmin.dsp:
	* orbsvcs/orbsvcs/FT_ORB.dsp:
	* orbsvcs/orbsvcs/Fault_Tolerance.dsp:
	* orbsvcs/orbsvcs/PortableGroup.dsp:
	* orbsvcs/orbsvcs/Svc_Utils.dsp: Went over all project files in
	  TAOACE.dsw and fixed the Custom Build settings for all IDL
	  files.  Some of the settings were missing for some reason.
	  Thanks to John Morey <jmorey@mmintl.com> for reporting the
	  problem.

Tue Oct 22 10:15:36 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Connection_Handler.cpp: Fixed a unused variable warning.

Mon Oct 21 23:17:32 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.dsp (RSC): Fixed
	  the project file to prevent compile errors on Win32.

Mon Oct 21 22:45:02 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	Bug fix for [BUGID 1269,1270]. Thanks to Carlos O'Ryan for
        donating this patch.

	* tao/Connection_Handler.cpp:
	* tao/Connection_Handler.h:
	* tao/Connection_Handler.inl:
	* tao/Connector_Impl.cpp:
	* tao/IIOP_Connection_Handler.cpp:
	* tao/IIOP_Connection_Handler.h:
	* tao/Invocation.cpp:
	* tao/LF_Connect_Strategy.cpp:
	* tao/Muxed_TMS.cpp:
	* tao/Notify_Handler.cpp:
	* tao/Synch_Refcountable.cpp:
	* tao/TAO_Server_Request.cpp:
	* tao/IIOP_Connector.cpp:
	* tao/IIOP_Transport.cpp:
	* tao/IIOP_Transport.h:
	* tao/Transport.cpp:
	* tao/Transport.h: Changes to the ORB Core. The details are as
	  follows

	  - It eliminates the two refcounts in the connection handler and
	    combines as one refcount.

	  - The transport_ field in the Connection_Handler class is
 	    atomically modified.

	  - Closing connections are also atomic.

	  - When the connection is closed all the activations in the
	    reactor are removed.

	  For all the other gory details like the motivation for these
	  changes, it is advised you refer to BUGID's 1202, 1269 and
	  1270.

	* tao/Strategies/DIOP_Connection_Handler.cpp:
	* tao/Strategies/DIOP_Connection_Handler.h:
	* tao/Strategies/DIOP_Transport.cpp:
	* tao/Strategies/DIOP_Transport.h:
	* tao/Strategies/SHMIOP_Connection_Handler.cpp:
	* tao/Strategies/SHMIOP_Connection_Handler.h:
	* tao/Strategies/SHMIOP_Transport.cpp:
	* tao/Strategies/SHMIOP_Transport.h:
	* tao/Strategies/UIOP_Connection_Handler.cpp:
	* tao/Strategies/UIOP_Connection_Handler.h:
	* tao/Strategies/UIOP_Transport.cpp:
	* tao/Strategies/UIOP_Transport.h:
	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.h:
	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.h:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.cpp:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.h:

	  Changes to the pluggable protocols to reflect the changes in the
	  ORB Core.


Mon Oct 21 21:51:07 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/DLL_ORB/Makefile.Tests_Client_Module: Added TAO_ROOT
	  definition to fix the compileation problems.

Mon Oct 21 18:17:06 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* rules.tao.GNU: Used awk for library versioning instead of
	  perl. Thanks to Craig Rodrigues for providing this patch.

Mon Oct 21 14:29:54 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* examples/AMH/Sink_Server/run_test.pl:
	* examples/Simple/time-date/run_test.pl:
	* orbsvcs/examples/RtEC/Simple/run_test.pl:
	* orbsvcs/examples/Security/Send_File/run_test.pl:
	* orbsvcs/tests/AVStreams/Component_Switching/run_test.pl:
	* orbsvcs/tests/AVStreams/Multicast/run_test.pl:
	* orbsvcs/tests/CosEvent/Basic/run_test.pl:
	* orbsvcs/tests/EC_Mcast/run_test.pl:
	* orbsvcs/tests/EC_Throughput/run_test.pl:
	* orbsvcs/tests/Event/Basic/exhaustive_test.pl:
	* orbsvcs/tests/Event/Basic/run_test.pl:
	* orbsvcs/tests/Event/Performance/run_test.pl:
	* orbsvcs/tests/Miop/McastHello/run_test.pl:
	* orbsvcs/tests/Notify/Blocking/run_test.pl:
	* orbsvcs/tests/Notify/Discarding/run_test.pl:
	* orbsvcs/tests/Notify/MT_Dispatching/run_test.pl:
	* orbsvcs/tests/Notify/Ordering/run_test.pl:
	* orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/run_test.pl:
	* orbsvcs/tests/Notify/Sequence_Multi_Filter/run_test.pl:
	* orbsvcs/tests/Notify/performance-tests/Filter/run_test.pl:
	* orbsvcs/tests/Security/Big_Request/run_test.pl:
	* orbsvcs/tests/Security/Callback/run_test.pl:
	* orbsvcs/tests/Security/MT_SSLIOP/run_test.pl:
	* orbsvcs/tests/Security/Secure_Invocation/run_test.pl:
	* orbsvcs/tests/Security/SecurityLevel1/run_test.pl:
	* performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl:
	* performance-tests/Cubit/TAO/IDL_Cubit/run_test_lite.pl:
	* performance-tests/Latency/Single_Threaded/default_configuration.pl:
	* performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/run-test.pl:
	* performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/run-test.pl:
	* performance-tests/RTCorba/Thread_Pool/native-svc.conf:
	* performance-tests/RTCorba/Thread_Pool/native-svc.conf.xml:
	* performance-tests/RTCorba/Thread_Pool/run_test.pl:
	* performance-tests/RTCorba/Thread_Pool/svc.conf-native:
	* performance-tests/Throughput/run_test.pl:
	* tests/AMI/run_test.pl:
	* tests/Connect_Strategy_Test/run_test.pl:
	* tests/Connection_Purging/run_test.pl:
	* tests/LongUpcalls/run_test.pl:
	* tests/MT_BiDir/run_test.pl:
	* tests/MT_Client/run_test.pl:
	* tests/MT_Server/run_test.pl:
	* tests/No_Server_MT_Connect_Test/run_test.pl:
	* tests/OctetSeq/run_test1.pl:
	* tests/OctetSeq/run_test2.pl:
	* tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:
	* tests/RTCORBA/Server_Protocol/run_test.pl:
	* tests/Strategies/run_test.pl: Changed to use the svcconf file
	  extension ($PerlACE::svcconf_ext) defined in PerlACE::Run_Test
	  to switch between conventional svc.conf files and XML-based
	  svc.conf files.  The default file extension is ".conf".  To use
	  XML-based format, you need to define an environment variable
	  ACE_RUNTEST_SVCCONF_EXT as ".conf.xml".

Mon Oct 21 14:27:44 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/DLL_ORB/Makefile.Test_Client_Module:
	* tests/DLL_ORB/Makefile.Test_Server_Module: Fix for the makefile
	  problem that lead to a link being created for a library that
	  didnt exist. Thaks to Craig Rodrigues <crodrigu@bbn.com> for
	  providing the patch.

Mon Oct 21 06:38:41 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/DsLogAdmin.dsp: Fixed link errors in Win32
	  builds.

Mon Oct 21 11:03:06 UTC 2002  Don Hinton  <dhinton@ieee.org>

	* docs/compiler.html: Updated tao_idl compiler option documentation
	  for the "-t", temporary directory, options.

Sun Oct 20 08:18:28 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/ImplRepo_Service/Makefile: Fixed a typo that broke the minimum builds.

Sun Oct 20 00:23:03 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.cpp:
	  Renamed the variables loc1 and loc2 as location1 and
	  location2. The variables loc1 and loc2 is a legacy left over in
	  UNIX, which denotes pointers to characters matched by regular
	  expressions. This should fix compile errors in SunCC builds.

Sun Oct 20 00:10:14 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/ImplRepo_Service/Makefile: Fixed the problems with this
	  change "Fri Oct 18 15:52:11 2002 Priyanka Gontla
	  <pgontla@ociweb.com>".

Sat Oct 19 09:47:43 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Makefile: Prevent ImplRepo from being compiled
	  in minimum_corba setting. The fix "Fri Oct 18 15:52:11 2002
	  Priyanka Gontla  <pgontla@ociweb.com>" seems goofy. Need to get
	  Craig and Priyanka to take a look.

Sat Oct 19 08:40:46 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Log/EventLog_i.cpp:
	* orbsvcs/orbsvcs/Log/EventLog_i.h:
	* orbsvcs/orbsvcs/Log/NotifyLog_i.cpp:
	* orbsvcs/orbsvcs/Log/NotifyLog_i.h:
	* orbsvcs/orbsvcs/Log/RTEventLog_i.cpp:
	* orbsvcs/orbsvcs/Log/RTEventLog_i.h: Renamed the class
	  LogConsumer declared by the same name in all the translation
	  units as TAO_Rtec_LogConsumer, TAO_Notify_LogConsumer and
	  TAO_Event_LogConsumer. This should fix link time warnings in
	  SUNCC builds.

Fri Oct 18 23:32:11 2002  Mayur Deshpande  <mayur@ics.uci.edu>

	* examples/AMH/Sink_Server/Timer_Handler.cpp (handle_timeout):

	  Changed the ResponseHandler to a _var instead of a _ptr. This
 	  not only takes care of deleting the pointer in exceptional
 	  circumstances but the code is also much cleaner.  Thanks to
 	  Ossama Othman <ossama.ece.uci.edu> for the tip and code-review.

Fri Oct 18 22:23:53 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/lex.yy.cpp:

          Fixed a problem with the SunCC preprocessor. When processing a
          non-quoted scoped name, as may occur in #pragma version, typeid,
          or typeprefix, this preprocessor regards the double colons as
          separate tokens and bookends them with spaces. Had to add code to
          check for this and strip out the spaces.

Fri Oct 18 16:49:04 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/run_test.pl:
	  Added the file to the new directory created for the test.

Fri Oct 18 16:11:23 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Log/Log_i.cpp (Log_i): Patch to prevent compile
	  errors on OpenBSD. Thanks to Frank Hunleth <frank@hunleth.com>
	  for the patch. The problem is because of a type conversion from
	  unsigned long to time_t. Looks like time_t is an int on
	  OpenBSD.

	* orbsvcs/orbsvcs/Log/Log_i.h: Some cosmetic fixes.

Fri Oct 18 16:09:37 2002  Priyanka Gontla  <pgontla@ociweb.com>

	* orbsvcs/ImplRepo_Service/README.txt:
	* orbsvcs/ImplRepo_Service/README:
	  Removed README and added README.txt instead as doxygen
	  is looking for only txt files besides the normal implementation,
	  header and inline files.

	  Thanks to Bala for pointing the reason why the index.html is not
	  getting generated via doxygen.

Fri Oct 18 15:52:11 2002  Priyanka Gontla  <pgontla@ociweb.com>

	* orbsvcs/tests/ImplRepo/Makefile:
	* orbsvcs/tests/ImplRepo/NameService/Makefile:
	* orbsvcs/ImplRepo_Service/Makefile:
	* orbsvcs/orbsvcs/Makefile:
	  Applied the patches provided by Craig Rodrigues so that
	  Implementation Repostory and related tests will be compiled
	  only when ImplRepo is added to the list of TAO_ORBSVCS
	  in platform_macros.

	  Thanks to Craig Rodrigues for pointing this out and for
	  the patches.

Fri Oct 18 15:59:58 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* examples/AMH/Sink_Server/mt_server.cpp:
	* examples/AMH/Sink_Server/st_server.cpp: Removed strange inl file
	  inclusions in the above files.

Fri Oct 18 15:56:04 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* examples/AMH/Sink_Server/Base_Server.h: Included the inline
	  file in the header file.

Fri Oct 18 15:46:29 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/orbsvcs/Makefile.CosLoadBalancing: Removed the check for
	  'ami' and 'interceptors' from this file. Most of the Makefiles
	  in the orbsvcs adds the check in the top level Makefile, with a
	  reason.

	* orbsvcs/orbsvcs/Makefile: Moved the check here. The main reason
	  for having the check here is that, once the list of Makefiles
	  that needs to be run is built, it writes out the
	  ORBSVCS_COMPONENTS.list file,  even if the actual Makefile for the
	  said service is not executed. This creates problems for the
	  tests and examples that depends on the contents within the
	  ORBSVCS_COMPONENTS.list file.

Fri Oct 18 15:40:11 2002  Priyanka Gontla  <pgontla@ociweb.com>

	* orbsvcs/ImplRepo_Service/ImR_Activator.bor:
	  Corrected the NAME of the executable.
	  Thanks to Christian Barheine <cbarheine@sympatec.com>
	  for finding the problem and also for the patch.

Fri Oct 18 10:30:20 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* examples/AMH/Sink_Server/Base_Server.cpp: Fixed a warning in
	  g++ builds.

Thu Oct 17 18:35:29 2002  Mayur Deshpande  <mayur@ics.uci.edu>

	* examples/AMH/Sink_Server/Base_Server.inl:
	* examples/AMH/Sink_Server/Client_Task.cpp:
	* examples/AMH/Sink_Server/Client_Task.h:
	* examples/AMH/Sink_Server/MT_AMH_Server.cpp:
	* examples/AMH/Sink_Server/MT_AMH_Server.h:
	* examples/AMH/Sink_Server/Timer_Handler.h:
	* examples/AMH/Sink_Server/AMH_Servant.cpp:
	* examples/AMH/Sink_Server/AMH_Servant.h:
	* examples/AMH/Sink_Server/Base_Server.cpp:
	* examples/AMH/Sink_Server/Base_Server.h:
	* examples/AMH/Sink_Server/Makefile:
	* examples/AMH/Sink_Server/README:
	* examples/AMH/Sink_Server/Sink_Server.mpc:
	* examples/AMH/Sink_Server/Timer_Handler.cpp:
	* examples/AMH/Sink_Server/client.bor:
	* examples/AMH/Sink_Server/client.cpp:
	* examples/AMH/Sink_Server/mt_server.bor:
	* examples/AMH/Sink_Server/mt_server.cpp:

	  Addressed number of @@ comments left by Ossama on previous
	  code-review. Fleshed out classes into .h and .cpp and .inl
	  files, added more error-handling, compliance to ACE/TAO
	  coding-rules, passing by references instead of pointers/value,
	  and tons of other fixes.  Thanks Ossama!

Thu Oct 17 14:45:08 2002  Mayur Deshpande  <mayur@ics.uci.edu>

	* tao/PortableServer/AMH_Response_Handler.cpp:

	  Changed all the 'transport->send_message ()' from the default
	  parameter for 'message_semantics' (TAO_Transport::Two_Way) to
	  TAO_Transport::TAO_Reply.  Doing this blocks the sender until
	  the reply is sent. This change suggested by Balachandran
	  Natarajan <bala@isis-server.isis.vanderbilt.edu> fixes a bug
	  reported by Martin Johnson <mjhn@bigpond.net.au> where an AMH
	  server crashed when it was sending back huge payload (>16K) to a
	  multithreaded (>50) client.

Thu Oct 17 14:47:50 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp
	  (populate_object_group, process_criteria):

	  Explicitly cast an unsigned short value to unsigned long.
	  Borland C++ apparently gets confused and assumes that the
	  unsigned short value is signed.  Silences a warning.

Thu Oct 17 21:04:49 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* orbsvcs/orbsvcs/Log/Log_i.cpp: Add missing template instantiation
	  TAO_Unbounded_Sequence<DsLogAdmin::TimeInterval>.

Thu Oct 17 12:19:32 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Makefile:

	  Added the Messaging and Naming library to the link line.

Thu Oct 17 11:58:49 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_valuetype.cpp:

	  Fixed a bug in code generation of the inheritance list for
	  valuetypes that support abstract interfaces.

        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:

	  Fixed a mistake in the changes made in

	  Wed Oct 16 17:16:38 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

	  and made the same changes to code generation for abstract
	  interfaces.

        * tao/ObjectReferenceTemplateC.cpp:
        * tao/ObjectReferenceTemplateC.h:
        * tao/Messaging/MessagingC.cpp:
        * tao/Messaging/MessagingC.h:
        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/Default_ORTC.h:

	  Modified hand-crafted code to correspond to the changes above.

Thu Oct 17 10:47:32 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Makefile:

	  Check whether the CosLoadBalancing library was built. This
	  check was there already but at the wrong place.

Wed Oct 16 17:16:38 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:

          Fixed a problem with MSVC not being able to invoke fully
          qualified member methods (except in the initializer), which
          appeared when the _tao_obv_narrow() method calls the
          corresponding method of a base class. If the base class has
          the same local name, the ACE_NESTED_CLASS macro breaks and
          the call goes into an endless loop. For MSVC, identical
          methods using the flat name are generated for each class,
          and called by derived classes. Thanks to Don Hinton
          <dhinton@ieee.org> for reporting the bug and Jon Franklin
	  <jfranklin@dctd.saic.com> for providing a patch.

Wed Oct 16 12:37:07 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Makefile:
	  Added the new Makefile to compile "directories" under this
	  directory.

Wed Oct 16 12:23:29 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu

	* orbsvcs/tests/LoadBalancing/GenericFactory:
	  Added a new directory "Application_Controlled".
	  This directory contains all the files required for testing
	  the object group creation and deletion with
	  application-controlled membership.

Wed Oct 16 11:49:21 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/fe/idl.ll:
	* TAO_IDL/fe/lex.yy.cpp:
	* TAO_IDL/ast/ast_decl.cpp:
	* TAO_IDL/util/utl_scope.cpp:
	* TAO_IDL/include/ast_decl.h:
	* TAO_IDL/include/utl_scope.h:

	  Fixed a bug in typeprefix propagation by moving a class member
	  and accessors from UTL_Scope to AST_Decl, and changing code
	  where the accessors are called.

Tue Oct 15 20:05:48 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/run_test.pl:

	  Use TerminateWaitKill() instead of WaitKill() when terminating
	  the LoadManager binary.  The LoadManager handles the SIGTERM and
	  SIGINT signals to allow for graceful shutdown in order to clean
	  up remote resources.  TerminateWaitKill() sends a SIGTERM signal
	  (as opposed to SIGKILL) to the process in question, thus
	  giving the LoadManager the chance to shutdown gracefully.  This
	  addresses a bogus exit status from the LoadManager binary.

Tue Oct 15 19:49:53 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/PortableGroup/PG_Group_Guard.h:
	* orbsvcs/orbsvcs/PortableGroup/PG_Group_Guard.cpp:

	  New guard implementation designed to improve exception safety
	  when creating object groups.  It is used internally by the
	  TAO_PG_GenericFactory class.

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h
	  (delete_object_i):

	  Made this method public so that the new TAO_PG_Group_Guard class
	  may invoke it.

	  (populate_object_group):

	  Made factory creation ID argument "const" to prevent subtle bugs
	  from being potentially introduced in the future.

	  This method now accepts a reference to the factory set
	  associated with a given factory creation ID.

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp
	  (create_object):

	  The factory set is now instantiated in this method and passed to
	  the populate_object_group() method.  This change was necessary
	  to improve exception safety when cleaning up resources created
	  during a failed attempt at creating an object group.

	  Use a TAO_PG_Group_Guard to improve exception safety in the
	  presence of a failed object group creation attempt.

	  (delete_object):

	  Upon successful destruction of remote object group members
	  through their corresponding factories, unbind the factory set
	  that contained those factories from the internal factory map.
	  Closes a resource leak.

	  (process_criteria):

	  If the desired minimum number of members is less than the number
	  of supplied GenericFactorys, add a new element containing the
	  name and value of the MinimumNumberMembers property to the unmet
	  criteria sequence that is the attribute of the
	  PortableGroup::CannotMeetCriteria exception to be thrown.

Tue Oct 15 17:34:07 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp:
	  Made a change in the delete_object () function.
	  There is a check to see if the factory set is bound
	  to the factory map or not. If we do not find an entry
	  in the map, a exception was thrown.
	  In the case of application-controlled membership, we do
	  not have a factory set bound to the factory map at all.
	  So the else case can be removed.
	  Thanks to Ossama Othman <ossama@uci.edu> for helping
	  me track down this problem.

Tue Oct 15 17:25:04 2002  Krishnakumar B  <kitty@cse.wustl.edu>

        * orbsvcs/ImplRepo_Service/Makefile: Updated dependencies.

Tue Oct 15 17:03:01 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tests/Abstract_Interface/server.cpp:
	* tests/Abstract_Interface/client.cpp: TAO_ENV* macros were
	  used. Changed those to use ACE_ENV* macros. This shodl also fix
	  a fuzz error with this test.

Tue Oct 15 12:55:00 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Makefile.SSLIOP (CPPFLAGS, LDFLAGS, LIBS):

	  Append PLATFORM_SSL_{CPPFLAGS,LDFLAGS,LIBS} to each of these
	  variables, respectively.  Addresses build issues on platforms
	  where OpenSSL is not installed in a location known to the
	  compiler and linker.  Thanks to Werner Buchert <medat.de> for
	  pointing out the problem.

Tue Oct 15 14:31:49 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/ConstantDef_i.cpp:

          Changed the type of a local variable to match the signature of the
          method call it is passed to. Thanks to Werner Buchert
          <w.buchert@medat.de> for reporting the bug.

Tue Oct 15 14:10:29 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tests/IDL_Test/Makefile:

          Updated dependencies.

Tue Oct 15 13:34:15 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/fe/lex.yy.cpp:
	* TAO_IDL/fe/idl.ll:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/util/utl_idlist.cpp:
        * TAO_IDL/util/utl_scope.cpp:

	  Changes to make a typeprefix directive in an inner scope override
	  one in an outer scope, even if the outer scope directive comes later
	  in the IDL file. These changes were documented in, but mistakenly
	  left out of

	  Mon Oct 14 15:44:05 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

Tue Oct 15 11:43:40 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tests/Abstract_Interface/test_i.cpp:

          Fixed an incorrect environment macro.

        * tests/Abstract_Interface/Makefile:

          Updated dependencies.

Tue Oct 15 11:16:37 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:

          Refinement of earlier fix to avoid incorrect generated code in the
          interceptor class of an operation that returns a string.

        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:

          Fixec a bug in code generation for abstract interfaces.

Tue Oct 15 10:48:46 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/CDR_Encaps_Codec.cpp: Cosmetic fix.

Tue Oct 15 10:05:01 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tao/Messaging/MessagingC.cpp:
        * tao/Messaging/MessagingC.h:
        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/Default_ORTC.h:

          Fixed some things I overlooked before get these files to match up
          with generated code.

Mon Oct 14 18:52:06 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/PortableGroup/PG_Default_Property_Validator.cpp
	  (validate_criteria):

	  Reduce the length of the invalid criteria sequence in an effort
	  to optimize the copying that will occur when the
	  PortableGroup::InvalidCriteria exception is thrown.  Reducing
	  the length is fast since no deallocations should occur.

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h
	  (populate_object_group):

	  Accept an "initial number of members" value.  It will be used
	  when creating the initial object group members via the
	  infrastructure.

	* orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp
	  (create_object, process_criteria):

	  Moved criteria validation code to the process_criteria() method.

	  Verify that the InitialNumberMembers property is larger than the
	  MinimumNumberMembers property.  It doesn't make sense to create
	  members numbering less than the minimum.  Throw a
	  PortableGroup::CannotMeetCriteria exception in that case.

	  Populate the "unmet_criteria" attribute of the
	  PortableGroup::CannotMeetCriteria exception before throwing that
	  exception.  Previously, a default constructed exception was
	  thrown.

	  (populate_object_group):

	  In the infrastructure controlled membership case, initially
	  create the number of members specified in the
	  InitialNumberMember property.  Previously, the number of initial
	  members was the same as the number of FactoryInfos, which is
	  undesirable since members were always automatically created.

	* orbsvcs/orbsvcs/PortableGroup/PG_conf.h
	  (TAO_PG_MINIMUM_NUMBER_MEMBERS):

	  The default minimum number of members value should always be
	  equal to (or greater) the default initial number of members
	  value (TAO_PG_INITIAL_NUMBER_MEMBERS).  This is a precautionary
	  measure to meant avoid errors introduced by only changing one of
	  the default values.

Mon Oct 14 19:21:19 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/examples/Log/RTEvent/Makefile: Added a missing library.

Mon Oct 14 17:50:12 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tests/Abstract_Interface/Abstract Interface Client.dsp:
        * tests/Abstract_Interface/Abstract Interface Server.dsp:
        * tests/Abstract_Interface/Abstract_Interface.dsw:
        * tests/Abstract_Interface/Makefile:
        * tests/Abstract_Interface/Makefile.bor:
        * tests/Abstract_Interface/README:
        * tests/Abstract_Interface/client.bor:
        * tests/Abstract_Interface/client.cpp:
        * tests/Abstract_Interface/run_test.pl:
        * tests/Abstract_Interface/server.bor:
        * tests/Abstract_Interface/server.cpp:
        * tests/Abstract_Interface/test.idl:
        * tests/Abstract_Interface/test_i.cpp:
        * tests/Abstract_Interface/test_i.h:

	  New test for abstract interfaces.

Mon Oct 14 17:35:56 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/Default_ORTC.h:

          Modified these files to correspond with changes to generated code in

          Mon Oct 14 15:44:05 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

Mon Oct 14 17:15:23 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

	* tests/IDL_Test/repo_id_mod.idl:

	  New file added to test 'typeprefix', 'typeid' and #pragma version.

        * tests/IDL_Test/Makefile:
	* tests/IDL_Test/Makefile.bor:
	* tests/IDL_Test/idl_test.dsp:
	* tests/IDL_Test/main.cpp:

	  Files modified with addition of new test to the suite.

Mon Oct 14 15:44:05 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_cs.cpp:

	  Fixed mistakes in code generation for sequences of valuetypes.
	  Thanks to Sean M. Paus <spaus@cdtd.saic.com> for pointing out
	  the problem.

        * TAO_IDL/be/be_visitor_root/root.cpp:

	  Fixed cut and paste error in visitor instantiation for generation
	  of Any operators for forward declared interfaces. Thanks to
	  Antonio Saraiva <Antonio_Saraiva@csgsystems.com> for reporting the
	  bug.

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/util/utl_idlist.cpp:

	  Changed behavior of typeprefix so that an inner scope directive
	  overrides an outer one. This behavior is not explicitly required
	  by the CORBA specification, but it is assumed that this is the
	  intention. This point will be submitted as an OMG issue shortly.
	  Thanks to Jonathan Biggar <jon@floorboard.com> for his advice on
	  this matter

        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:

	  Fixed a problem with interceptors where there is a name clash
	  if an operation has a return type called 'result'. Thanks to
	  Ossama <ossama@doc.ece.uci.edu> for suggesting the fix.

        * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/any_op_cs.cpp:

	  Fixed another name clash with the 'result' identifier, this
	  time in the body of the Any extraction operator.

        * tao/ValueBase.h:
        * tao/ValueBase.i:
        * tao/ValueFactory.h:
        * tao/ValueFactory.i:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:

	  Removed both cast operators from class ValueFactoryBase_var,
	  since they do not appear in the C++ mapping, and removed the
	  const cast operator from ValueBase_var, since it was causing a
	  problem with the HP-UX 11.11 compiler, and valuetypes do not
	  support const operations anyway. Thanks to Torsten Kuepper
	  <Torsten.Kuepper@nokia.com> for the bug report and the valuetype
	  expertise.

        * tao/corbafwd.h:

	  Added dk_Event to enum DefinitionKind.

Mon Oct 14 11:32:16 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* docs/releasenotes/index.html:

	  Amended entry to show new status of Telecom Log Service.
	  Changed point of contact to D A Hanvey.

Sun Oct 13 22:14:23 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile: Added
	  a missing library  to the Makefile.

Sun Oct 13 13:47:21 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/server.cpp:
	  Changed the name of the Class LB_Basic_Test to LB_server to
	  be in sync with the name of the file.
	  Also changed the semantics of the destroy () method to
	  resolve the compiler errors.

Sat Oct 12 22:59:15 2002  Krishnakumar B  <kitty@cse.wustl.edu>

        * orbsvcs/ImplRepo_Service/XML_ContentHandler.h:
        * orbsvcs/ImplRepo_Service/XML_ContentHandler.cpp:
        * orbsvcs/ImplRepo_Service/Server_Repository.cpp:

          Changed to support the native exception in ACEXML.

Fri Oct 11 12:18:11 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/tests/Makefile:

	  Added `LoadBalancing' test directory to the directory list.

	* orbsvcs/tests/LoadBalancing/Makefile:

	  New top-level Load Balancing test Makefile.

	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/server.cpp:

	  More code review comments.

	* orbsvcs/tests/LoadBalancing/GenericFactory/Makefile:

	  Only build this test if the "CosLoadBalancing" ORBSVCS component
	  was built.

Fri Oct 11 10:38:26 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp
	  (locations_of_members):

	  Made reference to TAO_PG_MemberInfoSet non-const once again
	  since const iterators for the ACE_Unbounded_Set container are
	  currently unimplemented.  Fixes a compile-time problem.

Fri Oct 11 09:59:59 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp
	  (remove_member):

	  Added implementations for this method.

Fri Oct 11 09:41:43 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Makefile:

	  Re-enabled the Telecom Logging Service by default.

	  Fixed some Telecom Logging Service dependencies.

Thu Oct 10 16:03:08 2002  Ossama Othman  <othman@cs.wustl.edu>

        * TAO version 1.2.5 released.

Thu Oct 10 07:27:19 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Svc_Utils.dsp:

	  Fixed typo in TAO_IDL "pre_include" directive in the DLL Release
	  configuration custom build step for TimeBase.idl.  "pre_include"
	  was spelled "pre_incluxde".  Fixes "more pops than pushes"
	  #pragma warnings in Win32 DLL Release builds.

Wed Oct  9 13:30:54 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/DsLogAdmin_Static.dsp:
	* orbsvcs/orbsvcs/FT_ORB.dsp:

	  Removed redundant and unnecessary "-I../../tao" TAO_IDL
	  preprocessor directive.  Addresses some compile-time errors.

Wed Oct  9 13:25:31 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/DsEventLogAdmin.dsp:
	* orbsvcs/orbsvcs/DsLogAdmin.dsp:
	* orbsvcs/orbsvcs/DsNotifyLogAdmin.dsp:
	* orbsvcs/orbsvcs/RTEventLog.dsp:

	  Fixed custom build step for the "DLL Release" configuration.
	  Previously, the Microsoft IDL compiler "midl" was invoked by
	  default, which is obviously incorrect.  TAO's IDL compiler is
	  now invoked.

Wed Oct  9 09:56:40 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.h:

	  No need to explicitly include "tao/corba.h".

	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.cpp:

	  DOC group coding style fixes.

Wed Oct  9 09:28:28 2002  Ossama Othman  <ossama@uci.edu>

	* TAOACE.dsw:
	* TAOACE_Static.dsw:

	  Corrected project dependencies for DsNotifyLogAdmin project.

	* orbsvcs/orbsvcs/Svc_Utils.dsp:

	  More fixes for redundant "-I../../tao" preprocessor directives.
	  Addresses compile-time problems in the "DLL Release"
	  configuration.

	* orbsvcs/orbsvcs/Makefile (TAO_ORBSVCS):

	  Due to popular demand and broken builds, temporarily removed the
	  four Logging Services from the list of ORB services to build.

Tue Oct  8 16:28:05 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Basic.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Basic.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Test.idl:
	* orbsvcs/tests/LoadBalancing/GenericFactory/client.cpp:
	  Addressed the code review comments by Ossama.

Tue Oct  8 11:56:39 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/LoadBalancing/LoadBalancer_i.cpp:
	* orbsvcs/orbsvcs/LoadBalancing/LoadBalancer_i.h:
	* orbsvcs/orbsvcs/LoadBalancing/LoadBalancer_i.i:
	* orbsvcs/orbsvcs/LoadBalancing/LoadBalancing_Strategy.cpp:
	* orbsvcs/orbsvcs/LoadBalancing/LoadBalancing_Strategy.h:
	* orbsvcs/orbsvcs/LoadBalancing/LoadBalancing_Strategy.i:
	* orbsvcs/orbsvcs/LoadBalancing/Minimum_Dispersion.cpp:
	* orbsvcs/orbsvcs/LoadBalancing/Minimum_Dispersion.h:
	* orbsvcs/orbsvcs/LoadBalancing/ReplicaLocator.cpp:
	* orbsvcs/orbsvcs/LoadBalancing/ReplicaLocator.h:
	* orbsvcs/orbsvcs/LoadBalancing/ReplicaProxy.cpp:
	* orbsvcs/orbsvcs/LoadBalancing/ReplicaProxy.h:
	* orbsvcs/orbsvcs/LoadBalancing/ReplicaProxy.i:
	* orbsvcs/orbsvcs/LoadBalancing/Round_Robin_Strategy.cpp:
	* orbsvcs/orbsvcs/LoadBalancing/Round_Robin_Strategy.h:

	  Removed sources left over from the old load balancer prototype.
	  They are no longer used.

Tue Oct  8 11:29:21 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/LogRecordStore.cpp:

	  Removed explicit template instantion for
	  ACE_Equal_To<DsLogAdmin::RecordId>.  A DsLogAdmin is a 64 bit
	  unsigned interger.  A template specialization for such an
	  integer already exists in "ace/Functor.*"  Fixes a compile-time
	  problem in explicit template instantation builds.

Tue Oct  8 10:05:50 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Svc_Utils.dsp:

	  Removed redundant/unnecessary "-I../../tao" TAO_IDL preprocessor
	  directive.  Redundant directives currently cause problems in
	  generated stubs.  Fixes a compile-time problem in Windows "DLL
	  Release" builds.

Tue Oct  8 09:44:43 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/Logging_Service/Basic_Logging_Service/Makefile (LDLIBS):

	  No need to link the TAO_Messaging library.  Addresses a
	  link-time error in builds that disable CORBA Messaging support.

Tue Oct  8 09:36:38 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Makefile (MKLIST):

	  The basic Telecom Logging Service library code depends on the
	  TAO_ETCL library.  Build the latter when building the logging
	  service library.  Addresses some link-time errors.

Tue Oct  8 09:15:44 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile
	  (LDLIBS):

	  Explicitly link the TAO_Svc_Utils library to the service
	  binary.  This is necessary for statically linked builds.

Tue Oct  8 11:15:04 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/examples/Log/Notify/Makefile:

	  Added missing library link - DsEventLogAdmin.

Mon Oct  7 17:35:28 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/DsLogAdmin.dsp:

	  Added missing TAO_ETCL{d}.lib to the library link/input list.
	  Addresses "unresolved symbol" link-time errors in MSVC++ 6.0
	  builds.

Mon Oct  7 17:16:42 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/DsLogAdmin_Static.dsp:

	  Added missing `DsLogNotification.idl' and corresponding
	  stub/skeleton files to the project.  Addresses build problems in
	  our Win32 static builds.

Mon Oct  7 17:04:45 2002  Ossama Othman  <ossama@uci.edu>

	* TAOACE.dsw:
	* TAOACE_Static.dsw:

	  Added missing Telecom Logging Service projects and project
	  dependencies.

Mon Oct  7 16:49:28 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Makefile.DsLogAdmin (ACE_SHLIBS):
	* orbsvcs/orbsvcs/Makefile.DsEventLogAdmin (ACE_SHLIBS):
	* orbsvcs/orbsvcs/Makefile.DsNotifyLogAdmin (ACE_SHLIBS):
	* orbsvcs/orbsvcs/Makefile.RTEventLogAdmin (ACE_SHLIBS):

	  More library link order corrections.

Mon Oct 07 15:18:52 2002  Nanbor Wang  <nanbor@cs.wustl.edu>

	* examples/PluggableUDP/tests/SimplePerformance/client.dsp:
	* examples/PluggableUDP/tests/SimplePerformance/server.dsp:
	* examples/TypeCode_Creation/TypeCode_Creation.dsp:
	* orbsvcs/IFR_Service/TAO_IFR_BE_DLL.dsp:
	* orbsvcs/IFR_Service/tao_ifr.dsp:
	* orbsvcs/examples/Notify/Subscribe/Subscribe.dsp:
	* orbsvcs/orbsvcs/CosLoadBalancing.dsp:
	* orbsvcs/orbsvcs/DsEventLogAdmin.dsp:
	* orbsvcs/orbsvcs/DsNotifyLogAdmin.dsp:
	* orbsvcs/orbsvcs/RTEventLog.dsp:
	* orbsvcs/orbsvcs/ETCL/ETCL.dsp:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Consumer.dsp:
	* orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Supplier.dsp:
	* orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Multi_Filter_Consumer.dsp:
	* orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Multi_Filter_Supplier.dsp:
	* tao/Domain/TAO_Domain.dsp:
	* tao/DynamicInterface/TAO_DynamicInterface_Static.dsp:
	* tao/IFR_Client/TAO_IFR_Client.dsp:
	* tao/IFR_Client/TAO_IFR_Client_Static.dsp:
	* tao/TypeCodeFactory/TypeCodeFactory.dsp:
	* tao/TypeCodeFactory/TypeCodeFactory_Static.dsp:
	* tests/MT_Timeout/MT_Timeout_Server.dsp: Disabled the generation
	  of precompiled headers.  They were taking up too much disk space
	  on the nightly build machines.  Thanks to Ossama for noticing
	  this.

Mon Oct  7 10:14:10 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/examples/Log/Basic/Makefile:
	* orbsvcs/examples/Log/Event/Makefile:
	* orbsvcs/examples/Log/Notify/Makefile:
	* orbsvcs/examples/Log/RTEvent/Makefile:

	  Fixed order library link order.

	  Corrected TAO_ORBSVCS component checks where appropriate.
	  Addresses some minimum CORBA build issues.

Mon Oct  7 17:07:10 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* tao/PortableServer/Servant_Base.cpp:
	  Remove explicit template instantiations for ACE_Atomic_Op.
	  They are now being instantiated in ACE.

Mon Oct  7 17:45:02 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/Logging_Service/Basic_Logging_Service/Makefile:
	* orbsvcs/Logging_Service/Event_Logging_Service/Makefile:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Makefile:
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile:

	  Fixed order of LDLIBS.

Sun Oct  6 09:35:07 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/Logging_Service/Event_Logging_Service/Makefile (LDLIBS):
	* orbsvcs/Logging_Service/Notify_Logging_Service/Makefile (LDLIBS):
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile (LDLIBS):
	* orbsvcs/Logging_Service/Basic_Logging_Service/Makefile (LDLIBS):

	  Corrected order of libraries to link.  Order matters on UNIX
	  platforms.  Addresses some "undefined reference" errors.

Sun Oct  6 09:28:18 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Makefile (MKLIST):

	  The new Telecom Logging Service implementation depends on other
	  services in some cases.  Build those other services if
	  necessary.  Addresses minimum CORBA build issues.

	  Added {Event,Notify,RTEvent} Logging service specific
	  "TAO_ORBSVCS" components.  Previously "Log" was used for all
	  four logging service types.  That was too coarse-grained to
	  allow disabling builds of some logging services when other
	  services they depend on are not built.

	* orbsvcs/Logging_Service/Event_Logging_Service/Makefile:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Makefile:
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile:

	  Only build the service if its corresponding TAO_ORBSVCS
	  component was built.  Addresses minimum CORBA build issues.

Sun Oct  6 08:44:27 2002  Ossama Othman  <ossama@uci.edu>

	* tao/PortableServer/Object_Adapter.cpp (init):

	  Fixed "unused argument" warnings.

	* orbsvcs/orbsvcs/Log/Log_i.cpp (set_week_mask):

	  Fixed "multiple variable definition" error exhibited by MSVC++
	  6.0.  MSVC++ 6.0 doesn't correctly handle variables declared in
	  a "for" scope.  They are visible outside the "for" scope.  This
	  sometimes causes "multiple variable definition" errors when a
	  variable of the same name is declared both in the "for" scope
	  and outside it.

Fri Oct  4 19:31:51 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Basic.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Basic.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Makefile:
	* orbsvcs/tests/LoadBalancing/GenericFactory/client.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/server.cpp:
	  Fixed the code review comments given by Ossama.

Fri Oct 04 19:23:08 2002  Irfan Pyarali  <irfan@oomworks.com>

	* tao/PortableServer/Object_Adapter.cpp (init):
	* tao/PortableServer/PortableServer.cpp: Moved the registration of
	  PortableServer_ORBInitializer with the
	  PortableInterceptor::ORBInitializer to the
	  Object_Adapter_Factory::init().  This way we don't do the
	  registration in the static constructor of POA_Initializer and
	  thus avoid the problem described in Bug 1315.

	  Thanks to Ossama for pointing out this problem.

Fri Oct  4 18:07:35 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.dsw:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.dsp:

	* orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.dsw:
	* orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.dsp:

	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.dsw:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.dsp:

	* orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.dsw:
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.dsp:

	* orbsvcs/Logging_Service/Logging_Service.dsw:

	  Files added.

Fri Oct  4 18:03:17 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.dsw:
	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.dsp:

	  Files added.

Fri Oct  4 17:56:04 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/examples/Log/Basic/Client.dsw:
	* orbsvcs/examples/Log/Basic/Client.dsp:

	* orbsvcs/examples/Log/Event/Simple.dsw:
	* orbsvcs/examples/Log/Event/Log_CEC_Simple_Consumer.dsp:
	* orbsvcs/examples/Log/Event/Log_CEC_Simple_Supplier.dsp:

	* orbsvcs/examples/Log/Notify/Simple.dsw:
	* orbsvcs/examples/Log/Notify/Log_Notify_Simple_Consumer.dsp:
	* orbsvcs/examples/Log/Notify/Log_Notify_Simple_Supplier.dsp:

	* orbsvcs/examples/Log/RTEvent/Simple.dsw:
	* orbsvcs/examples/Log/RTEvent/Log_RTEvent_Simple_Consumer.dsp:
	* orbsvcs/examples/Log/RTEvent/Log_RTEvent_Simple_Supplier.dsp:

	  Files added.

Fri Oct  4 17:52:17 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/orbsvcs/RTEventLog.dsp:
	* orbsvcs/orbsvcs/DsNotifyLogAdmin.dsp:
	* orbsvcs/orbsvcs/DsEventLogAdmin.dsp:

	  Files added for Logging Service.

	* orbsvcs/orbsvcs/DsLogAdmin.dsp:

	  Amended to include LogNotification and
	  DsLogNotification.idl.

Fri Oct  4 17:50:06 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* TAOACE.dsw:

	  New projects added - DsLogAdmin
	                       DsEventLogAdmin
	                       DsNotifyAdmin
	                       RTEventLog

	* orbsvcs/orbsvcs/orbsvcs.dsw

	  New projects added - DsLogAdmin
	                       DsEventLogAdmin
	                       DsNotifyAdmin
	                       RTEventLog

	* orbsvcs/tests/tests.dsw

	  New project added - Basic_Log_Test.dsp

Fri Oct  4 14:01:05 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.cpp:
	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.h:
	* orbsvcs/tests/Log/Basic_Log_Test/client.cpp:

	  Emulated exceptions fixed.

Fri Oct  4 13:56:19 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.cpp:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.h:

	* orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.cpp:
	* orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.h:

	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Server.cpp:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.h:

	* orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.cpp:
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.h:

	  Emulated exceptions fixed.

Fri Oct  4 13:51:22 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/examples/Log/Basic/main.cpp:
	* orbsvcs/examples/Log/Basic/TLS_Client.cpp:
	* orbsvcs/examples/Log/Basic/TLS_Client.h:

	* orbsvcs/examples/Log/Event/Event_Consumer.cpp:
	* orbsvcs/examples/Log/Event/Event_Consumer.h:
	* orbsvcs/examples/Log/Event/Event_Supplier.cpp:
	* orbsvcs/examples/Log/Event/Event_Supplier.h:

	* orbsvcs/examples/Log/Notify/Notify_Consumer.cpp:
	* orbsvcs/examples/Log/Notify/Notify_Consumer.h:
	* orbsvcs/examples/Log/Notify/Notify_Supplier.cpp:
	* orbsvcs/examples/Log/Notify/Notify_Supplier.h:

	* orbsvcs/examples/Log/RTEvent/RTEvent_Consumer.cpp:
	* orbsvcs/examples/Log/RTEvent/RTEvent_Consumer.h:
	* orbsvcs/examples/Log/RTEvent/RTEvent_Supplier.cpp:
	* orbsvcs/examples/Log/RTEvent/RTEvent_Supplier.h:

	  Emulated exceptions fixed.

Fri Oct  4 13:41:44 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/orbsvcs/Log/BasicLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/BasicLog_i.cpp:
	* orbsvcs/orbsvcs/Log/EventLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/EventLog_i.cpp:
	* orbsvcs/orbsvcs/Log/EventLogNotification.cpp:
	* orbsvcs/orbsvcs/Log/RTEventLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/RTEventLog_i.cpp:
	* orbsvcs/orbsvcs/Log/RTEventLogNotification.cpp:
	* orbsvcs/orbsvcs/Log/NotifyLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/NotifyLog_i.cpp:
	* orbsvcs/orbsvcs/Log/NotifyLogNotification.cpp:
	* orbsvcs/orbsvcs/Log/Iterator_i.cpp:
	* orbsvcs/orbsvcs/Log/Log_i.cpp:
	* orbsvcs/orbsvcs/Log/LogMgr_i.cpp:
	* orbsvcs/orbsvcs/Log/LogNotification.cpp:
	* orbsvcs/orbsvcs/Log/Log_Constraint_Interpreter.cpp:
	* orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:
	* orbsvcs/orbsvcs/Log/LogRecordStore.cpp:
	* orbsvcs/orbsvcs/Log/LogRecordStore_persist.cpp:
	* orbsvcs/orbsvcs/Log/PersistStore.cpp:

	* orbsvcs/orbsvcs/Log/BasicLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/BasicLog_i.h:
	* orbsvcs/orbsvcs/Log/EventLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/EventLog_i.h:
	* orbsvcs/orbsvcs/Log/EventLogNotification.h:
	* orbsvcs/orbsvcs/Log/RTEventLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/RTEventLog_i.h:
	* orbsvcs/orbsvcs/Log/RTEventLogNotification.h:
	* orbsvcs/orbsvcs/Log/NotifyLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/NotifyLog_i.h:
	* orbsvcs/orbsvcs/Log/NotifyLogNotification.h:
	* orbsvcs/orbsvcs/Log/Iterator_i.h:
	* orbsvcs/orbsvcs/Log/Log_i.h:
	* orbsvcs/orbsvcs/Log/LogMgr_i.h:
	* orbsvcs/orbsvcs/Log/LogNotification.h:
	* orbsvcs/orbsvcs/Log/Log_Constraint_Interpreter.h:
	* orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.h:
	* orbsvcs/orbsvcs/Log/LogRecordStore.h:
	* orbsvcs/orbsvcs/Log/LogRecordStore_persist.h:
	* orbsvcs/orbsvcs/Log/PersistStore.h:

	  Emulated exception fixes.

Thu Oct  3 18:26:48 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/run_test.pl:

	  Fixed problem where server process was not spawned with correct
	  command line arguments.  The server must know what the
	  LoadManager's IOR is.

	  Give time for the LoadManager to create its IOR file before
	  spawning the server process.

	* orbsvcs/tests/LoadBalancing/GenericFactory/client.cpp (main):
	* orbsvcs/tests/LoadBalancing/GenericFactory/server.cpp (main):

	  More comments for Jai.

Thu Oct  3 18:04:56 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Basic.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/server.cpp (main):

	  Code review.  Left a bunch of comments for Jai.

	* orbsvcs/tests/LoadBalancing/GenericFactory/Makefile:

	  Updated broken dependencies.

	  (IDL_HDR, SRC):

	  Fixed typos that prevented this test from compiling.

	  (client):

	  No need to link in the TAO_DynamicInterface library.  This test
	  doesn't use DII.  Fixes a link-time error.

Thu Oct  3 11:16:37 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/EventLogFactory_i.cpp (create_with_id):

	  Fixed a compile-time error I introduced.

	  Left "@@" comments for David.

Thu Oct  3 11:05:57 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/BasicLogFactory_i.cpp (create_with_id):

	  Minor tweak to the ACE_CHECK_RETURN macro argument.  Return a
	  nil reference instead of the return value of _var._retn().  This
	  is a precautionary measure to prevent potential memory leaks
	  in emulated exception builds.

Thu Oct  3 10:56:23 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/EventLog_i.cpp (activate):

	  Fixed compile-time error.

Thu Oct  3 07:21:44 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation/Collocation_Test_Stubs.bor:
        * tests/Collocation/Diamond.bor:
          Fixed BCB makefiles

Thu Oct  3 07:08:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Log/LogNotification.h:
          Fixed fuzz error about incorrect @file tag

Thu Oct  3 05:46:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/LoadBalancer/LoadMonitor.bor:
          Fixed this BCB makefile

Wed Oct  2 21:48:07 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/Log_i.cpp (query_i):

	  Improved exception-safety, and thus a potential memory leak.

	* orbsvcs/orbsvcs/Log/BasicLogFactory_i.cpp (create_with_id):

	  Fixed incorrect code that used the auto_ptr<> template in an
	  attempt to make the code exception-safe.  auto_ptr<> doesn't
	  apply in this case since the object in question is reference
	  counted.  Use a PortableServer::ServantBase_var instead to
	  eventually transfer ownership to the POA.  This addresses a
	  potential memory access violation due to improper memory
	  management through the reference counting mechanism.
	  Furthermoee, it also cleans up an unnecessary, and
	  non-exception-safe, call to the servant's _remove_ref() method.
	  This bug was made obvious by the change below where the
	  servant's destructor was made protected.  Protected destructors
	  in reference counted classes are your friend!

	  The above change obviates the need for explicit auto_ptr<>
	  template instantiations.

Wed Oct  2 21:40:31 2002  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

	* orbsvcs/tests/LoadBalancing/GenericFactory/Test.idl:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Makefile:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Basic.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/Basic.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.h:
	* orbsvcs/tests/LoadBalancing/GenericFactory/LB_server.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/client.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/server.cpp:
	* orbsvcs/tests/LoadBalancing/GenericFactory/run_test.pl:
	  Added a test under the new directory orbsvcs/tests/LoadBalancing
	  to test the Object Group creation.
	  This test uses the application-controlled membership, that is
	  the application will populate the object group.

Wed Oct  2 17:42:42 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/EventLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/EventLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/EventLog_i.cpp:
	* orbsvcs/orbsvcs/Log/EventLog_i.h:
	* orbsvcs/orbsvcs/Log/Log_i.cpp:
	* orbsvcs/orbsvcs/Log/Log_i.h:

	  More memory leak, emulated and native exception fixes.

Wed Oct  2 17:25:18 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:

	  Fixed incorrect use of emulated exception macros.

Wed Oct  2 17:13:22 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/BasicLog_i.h:
	* orbsvcs/orbsvcs/Log/BasicLog_i.cpp:

	  Fixed emulated exception support.

Wed Oct  2 17:01:13 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Log/LogNotification.h:
	* orbsvcs/orbsvcs/Log/Log_i.h:

	  Doxygen-ated these headers.

	* orbsvcs/orbsvcs/Log/LogNotification.cpp:
	* orbsvcs/orbsvcs/Log/Log_i.cpp:

	  Fixed a large number of memory leaks.

	  Fixed emulated exception support.

	  Removed unnecessary static_cast hacks.  Use the ".in()"
	  accessors in the "_var" variables introduced in the above memory
	  leak fixes instead.  "Use the C++ mapping Luke."

	  Updated to conform to ACE/TAO coding/style guidelines.

	  Added missing ACE_RCSID macros.

Tue Oct  1 23:27:48 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/LoadBalancer/Monitor_Signal_Handler.h:
	* orbsvcs/LoadBalancer/Monitor_Signal_Handler.cpp:

	  New signal handler designed to ensure proper cleanup of load
	  monitors registered with the LoadManager in "PULL" style load
	  monitoring configurations.  Signals are handled synchronously in
	  the multi-threaded build case through an Active Object, and
	  asynchronously through the ORB's Reactor in the single-threaded
	  build case using the same signal handler employed by the
	  LoadManager binary.

	* orbsvcs/LoadBalancer/LoadMonitor.cpp (main):

	  Instantiate and activate the Monitor_Signal_Handler to allow for
	  graceful shutdown of the LoadMonitor executable.

	* orbsvcs/LoadBalancer/LoadMonitor.bor (OBJFILES):
	* orbsvcs/LoadBalancer/Makefile.LoadMonitor (SRC)
	* orbsvcs/LoadBalancer/LoadMonitor.dsp:
	* orbsvcs/LoadBalancer/LoadMonitor_Static.dsp:

	  Added `Monitor_Signal_Handler' and `Signal_Handler' to the list
	  of source/object files.

Tue Oct  1 14:53:46 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/LoadBalancing/LB_Location_Index_Map.cpp:

	  Corrected explicit template instantiations so that the template
	  parameters match those in the typedef in the corresponding
	  header file.

Tue Oct  1 14:47:42 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * docs/releasenotes/index.html:

	  Updated IDL compiler section.

Tue Oct  1 13:20:31 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

	* TAO_IDL/be/be_visitor_valuetype/valuetype_obv_ch.cpp:
	* TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:

	  Fixed change below to work with nested nodes. Thanks to Bala
	  <baba@isis-server.isis.vanderbilt.edu> for pointing out the
	  problem.

Tue Oct  1 10:49:39 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * tao/AbstractBase.cpp:
        * tao/AbstractBase.h:

	  Removed the refcounting stuff. It is all handled by the derived
	  class, whether interface or valuetype.

	* TAO_IDL/ast/ast_interface_fwd.cpp:
	* TAO_IDL/ast/ast_module.cpp:
	* TAO_IDL/ast/ast_structure_fwd.cpp:

	  Fixed a bug in redefinition of forward declarations that shows up
	  when multiple forward declarations are made in separate module
	  openings, and the full declaration is in yet another. Thanks to
	  Nick S. Petrov <nicksp@ci.nnov.ru> for sending in the example IDL
	  file that uncovered the bug.

	* TAO_IDL/be/be_visitor_interface/base_proxy_impl_ch.cpp:

	  Fixed indentation in the generated inheritance list.

	* TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:

	  Added missing generated utility function for extracting the
	  valuetype from an abstract interface.

	* TAO_IDL/be/be_visitor_valuetype/valuetype_obv_ch.cpp:
	* TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:

	  Added generated destructors for the OBV classes. While not necessary
	  for correct build or behavior, they provide a place to set
	  breakpoints when debugging, to follow the chain of destructors.

Tue Oct 01 07:10:28 2002  Christopher Kohlhoff  <chris@kohlhoff.com>

        * orbsvcs/tests/Log/Makefile.bor:
        * orbsvcs/tests/Log/Basic_Log_Test/Makefile.bor:
          Added Borland makefiles for the new Log test.

        * orbsvcs/orbsvcs/DsLogAdmin.bor:
          Added missing files.

        * orbsvcs/orbsvcs/Log/PersistStore.cpp:
          For portability, compare against ACE_INVALID_HANDLE rather than
          -1, and use ACE_OS::read rather than ::read. This fix should
          allow the file to compile with Borland C++.

Mon Sep 30 12:25:11 2002  Ossama Othman  <ossama@uci.edu>

	* TAOACE.dsw:

	  Once again added ImR_Activator project dependencies.  They were
	  lost when the below ImR_Activator.dsp change was made.

Mon Sep 30 11:40:20  2002 Priyanka Gontla <pgontla@doc.ece.uci.edu>

        * orbsvcs/ImplRepo_Service/ImR_Activator.dsp:

	  Replaced 'ImR_Activator ' with ImR_Activator. The empty space at
	  the end seems to have been causing the problems.

Sat Sep 28 22:16:50 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/fe/idl.ll:
	* TAO_IDL/fe/lex.yy.cpp (idl_store_pragma):

	  When parsing a #pragma version directive, added a check and remove
	  for a trailing space that the SunCC preprocessor puts there for
	  some reason. This trailing space interferes with the check for a
	  valid version number. Thanks to Andrew T. Finnell
	  <andrew@activesol.net> for reporting the bug.

	* TAO_IDL/ast/ast_decl.cpp (compute_repoID):

	  Fixed some mistakes in computing the prefix and version when
	  computing the repository ID.

Sat Sep 28 18:29:12 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

	  Fixed yet another typo.

Sat Sep 28 16:18:08 2002  Ossama Othman  <ossama@uci.edu>

	* tao/PortableServer/AMH_Response_Handler.h:
	* examples/AMH/Sink_Server/AMH_Servant.cpp:
	* examples/AMH/Sink_Server/AMH_Servant.h:
	* examples/AMH/Sink_Server/Base_Server.cpp:
	* examples/AMH/Sink_Server/Base_Server.h:
	* examples/AMH/Sink_Server/Timer_Handler.cpp:
	* examples/AMH/Sink_Server/client.cpp:
	* examples/AMH/Sink_Server/mt_server.cpp:
	* examples/AMH/Sink_Server/st_server.cpp:

	  Code review, comments, etc.

	* orbsvcs/LoadBalancer/Signal_Handler.h:
	* orbsvcs/LoadBalancer/Signal_Handler.cpp:

	  Removed LoadManager-specific comments and error messages from
	  this class.  There is nothing LoadManager-specific about this
	  class.  Perhaps it might be useful to move this class to the
	  TAO_Svc_Utils library.

Sat Sep 28 13:57:30 2002  Mayur Deshpande  <mayur@ics.uci.edu>

	* tao/PortableServer/AMH_Response_Handler.h:

	  This seems like a 'stop-gap' fix right now due to pressure to
	  cut the beta.  Having the PortableServer ResponseHandler class
	  derive  from a Ref-counted Object seems to solve the problem of
	  ResponseHandlers not being reference counted (and we don't
	  require any IDL-compiler changes), since reference-counting in
	  CORBA::Object seems to be a no-op.  Whether this is the class
	  that should have the functionality of ref-counting is debatable.
	  It could also be added to the client-side or server-side RH but
	  that would require IDL-compiler changes.

	  Ossama also raises the question of why the server-side
	  ResponseHandler was inheriting from the client-side RH.  Though
	  I think I know the reason for this, I'll have to work it out
	  fully and then docuemnt it somewhere.  Another issue is the
	  dreaded diamond inheritance that is here in the current
	  hierarchy.  Though g++ didn;t have any problems doing the 'right
	  thing' : i.e., calling the correct reference-counting class,
	  we'll have to try and get rid of it, if possible.  Thanks to
	  Martin Johnson <mjhn@bigpond.net.au>  for bringing up the
	  memory-leak in: Sat Sep 28 13:55:56 2002  Mayur Deshpande
	  <mayur@ics.uci.edu> that led to all this.

Sat Sep 28 13:55:56 2002  Mayur Deshpande  <mayur@ics.uci.edu>

	* examples/AMH/Sink_Server/Timer_Handler.cpp (Timer_Handler):

	  The ResponseHandler 'duplicated' in the AMH_Servant was
	  not released here after it was used.  This caused a
	  memory-leak.  This has been fixed now along with the change in:
	  Sat Sep 28 13:57:30 2002  Mayur Deshpande  <mayur@ics.uci.edu>

Sat Sep 28 13:30:32 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/examples/Log:

	  Removed the folders `Client' and `test'.

Sat Sep 28 13:11:22 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/Logging_Service/Basic_Logging_Service/README:
	* orbsvcs/Logging_Service/Event_Logging_Service/README:
	* orbsvcs/Logging_Service/Notify_Logging_Service/README:
	* orbsvcs/Logging_Service/README:
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/README:
	* orbsvcs/tests/Log/README:
	* orbsvcs/tests/Log/Basic_Log_Test/README:

	  Added the above README files to describe the Logging
	  Service examples.

Sat Sep 28 01:49:01 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

	  Fixed typo.

Sat Sep 28 01:12:53 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* Branch qubdhanvey01 merged.

Sat Sep 28 01:10:32 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/orbsvcs/Makefile.DsEventLogAdmin:
	* orbsvcs/orbsvcs/Makefile.DsNotifyLogAdmin:
	* orbsvcs/orbsvcs/Makefile.RTEventLogAdmin:

	  Files added as part of updated Logging Service.

Fri Sep 27 21:32:45 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
	* TAO_IDL/be/be_visitor_valuetype_fwd/cdr_op_ci.cpp:

	  Added generated newlines.

Fri Sep 27 21:07:12 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Any.cpp (operator<<): Reverted this "Thu Sep 26 17:06:11
	  2002  Balachandran Natarajan
	  <bala@isis-server.isis.vanderbilt.edu>"  entry. This shows up
	  more problems than it solves.

Fri Sep 27 13:40:32 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/LoadBalancer/Signal_Handler.h:
	* orbsvcs/LoadBalancer/Signal_Handler.cpp:

	  New signal handler designed to ensure proper cleanup of remote
	  objects and resources created by the LoadManager upon
	  interruption by signals.  Signals are handled synchronously in
	  the multi-threaded build case through an Active Object, and
	  asynchronously through the ORB's Reactor in the single-threaded
	  build case.

	* orbsvcs/LoadBalancer/LoadManager.cpp (ACE_TMAIN):

	  Instantiate and activate the new signal handler.

	* orbsvcs/LoadBalancer/Makefile.LoadManager (SRC):
	* orbsvcs/LoadBalancer/LoadManager.bor (OBJFILES):
	* orbsvcs/LoadBalancer/LoadManager.dsp:
	* orbsvcs/LoadBalancer/LoadManager_Static.dsp:

	  Added new Signal_Handler source to these Makefiles and MSVC++
	  project.

Fri Sep 27 11:55:18 2002  Priyanka Gontla  <pgontla@ociweb.com>

	* orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
	  Fixed the throw mismatch warning.

Fri Sep 27 09:49:39 2002  Ossama Othman  <ossama@uci.edu>

	* docs/releasenotes/index.html:

	  Updated load balancer release notes.

Thu Sep 26 21:49:16 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/BiDir_GIOP/BiDirGIOP.h:
	* tao/BiDir_GIOP/BiDirGIOP.cpp: Prevent activate () from being
	  called more than once. Thanks to Erich Hochmuth
	  <erich_hochmuth@hotmail.com> for reporting this.

Thu Sep 26 17:38:30 2002  Ossama Othman  <ossama@uci.edu>

	* TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp
	  (gen_encapsulation):

	  Fixed "unused variable" warning.

Thu Sep 26 18:23:11 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_module/module_ch.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:

	  Cosmetic changes.

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:

	  Modified the action code for the 'typeprefix' production as follows:
	  if the typeprefix occurs in a module and is applied to that module,
	  we apply the prefix to the current scope instead of doing a lookup
	  on the scope's name. In the case of a reopened module, a lookup will
	  return the previous opening, and the prefix will not be applied to
	  the current opening. To determine if the above conditions hold, the
	  current scope's name and the first typeprefix argument are compared.
	  Thanks to Nanbor <nanbor@cse.wustl.edu> for pointing out the
	  problem.

        * TAO_IDL/util/utl_idlist.cpp:

	  Modified the compare() method to ignore any leading empty segments.

Thu Sep 26 17:06:11 2002  Balachandran Natarajan  <bala@isis-server.vuse.vanderbilt.edu>

	* tao/Any.cpp: In operator<< (TAO_OutputCDR& cdr, const CORBA::Any
	  &), we could make use of the CDR inside the Any and append that
	  to the CDR stream instead of doing an interpretive marshalling
	  on the Any. We cannot do this if the byte orders of the CDR and
	  the Any are different. Hence we have a conditional optimization
	  that appends the CDR from the Any only if the byte orders are
	  same, else it will fallback to do an interpretive marshalling.

	  Thanks to Eric Malenfant <EMalenfant@interstarinc.com> for
	  suggesting this.

Thu Sep 26 16:07:18 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_field/field_ch.cpp:

	  Added newlines and annotation for the generation of code for
	  sequences as members. Thanks to Bala
	  <bala@isis-server.isis.vanderbilt.edu> for pointing out the lack.

Thu Sep 26 14:59:55 2002  Jeff Parsons <parsons@isis-server.isis.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_root/root.cpp:

	  Added more missing generated newlines.

Thu Sep 26 12:41:51 2002  Ossama Othman  <ossama@uci.edu>

	* tao/Dynamic.pidl:
	* tao/PortableIntercepor.pidl:
	* tao/ObjectReferenceTemplate.pidl:

	  CORBA 3.0 adds the missing "omg.org" typeprefix to the "Dynamic"
	  and "PortableInterceptor" modules.

Thu Sep 26 09:15:18 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/orbsvcs/Makefile:
	* orbsvcs/orbsvcs/Makefile.DsLogAdmin:
	* orbsvcs/orbsvcs/RTEventLogAdmin.idl:
	* orbsvcs/orbsvcs/DsEventLogAdmin.idl:
	* orbsvcs/orbsvcs/DsLogAdmin.idl:
	* orbsvcs/orbsvcs/DsLogNotification.idl:
	* orbsvcs/orbsvcs/DsNotifyLogAdmin.idl:
	* orbsvcs/orbsvcs/Log/BasicLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/BasicLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/BasicLog_i.cpp:
	* orbsvcs/orbsvcs/Log/BasicLog_i.h:
	* orbsvcs/orbsvcs/Log/EventLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/EventLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/EventLogNotification.cpp:
	* orbsvcs/orbsvcs/Log/EventLogNotification.h:
	* orbsvcs/orbsvcs/Log/EventLog_i.cpp:
	* orbsvcs/orbsvcs/Log/EventLog_i.h:
	* orbsvcs/orbsvcs/Log/Iterator_i.cpp:
	* orbsvcs/orbsvcs/Log/Iterator_i.h:
	* orbsvcs/orbsvcs/Log/LogMgr_i.cpp:
	* orbsvcs/orbsvcs/Log/LogMgr_i.h:
	* orbsvcs/orbsvcs/Log/LogNotification.cpp:
	* orbsvcs/orbsvcs/Log/LogNotification.h:
	* orbsvcs/orbsvcs/Log/LogRecordStore.cpp:
	* orbsvcs/orbsvcs/Log/LogRecordStore.h:
	* orbsvcs/orbsvcs/Log/LogRecordStore_persist.cpp:
	* orbsvcs/orbsvcs/Log/LogRecordStore_persist.h:
	* orbsvcs/orbsvcs/Log/Log_Constraint_Interpreter.cpp:
	* orbsvcs/orbsvcs/Log/Log_Constraint_Interpreter.h:
	* orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:
	* orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.h:
	* orbsvcs/orbsvcs/Log/Log_i.cpp:
	* orbsvcs/orbsvcs/Log/Log_i.h:
	* orbsvcs/orbsvcs/Log/NotifyLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/NotifyLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/NotifyLogNotification.cpp:
	* orbsvcs/orbsvcs/Log/NotifyLogNotification.h:
	* orbsvcs/orbsvcs/Log/NotifyLog_i.cpp:
	* orbsvcs/orbsvcs/Log/NotifyLog_i.h:
	* orbsvcs/orbsvcs/Log/PersistStore.cpp:
	* orbsvcs/orbsvcs/Log/PersistStore.h:
	* orbsvcs/orbsvcs/Log/RTEventLogFactory_i.cpp:
	* orbsvcs/orbsvcs/Log/RTEventLogFactory_i.h:
	* orbsvcs/orbsvcs/Log/RTEventLogNotification.cpp:
	* orbsvcs/orbsvcs/Log/RTEventLogNotification.h:
	* orbsvcs/orbsvcs/Log/RTEventLog_i.cpp:
	* orbsvcs/orbsvcs/Log/RTEventLog_i.h:
	* orbsvcs/orbsvcs/Log/eventlog_export.h:
	* orbsvcs/orbsvcs/Log/log_export.h:
	* orbsvcs/orbsvcs/Log/notifylog_export.h:
	* orbsvcs/orbsvcs/Log/rteventlog_export.h:

	  The above files were added and constitute the new Logging
	  Service which is actually 4 separate services:
	  - Basic_Logging_Service [same functionality as previous
	    Logging_Service]
	  - Event_Logging_Service [an event-aware logging service which
	    integates the Logging_Service and the CosEvent Service]
	  - Notify_Logging_Service [integrates Logging_Service and
	    Notification Service]
	  - RTEvent_Logging_Service [integrates with the RTEvent
	    Service].

Thu Sep 26 09:10:38 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/tests/Log/Makefile:
	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.cpp:
	* orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.h:
	* orbsvcs/tests/Log/Basic_Log_Test/Makefile:
	* orbsvcs/tests/Log/Basic_Log_Test/client.cpp:

	  Added a test of the Basic_Logging_Service to the /tests/ directory.

Thu Sep 26 08:57:51 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/Logging_Service:

	  Logging_Service extended to include event logging.
	  4 separate services each in its own directory as below.

	* orbsvcs/Logging_Service/Basic_Logging_Service/README:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.cpp:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.h:
	* orbsvcs/Logging_Service/Basic_Logging_Service/Makefile:

	* orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.cpp:
	* orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.h:
	* orbsvcs/Logging_Service/Event_Logging_Service/Makefile:
	* orbsvcs/Logging_Service/Event_Logging_Service/README:

	* orbsvcs/Logging_Service/Notify_Logging_Service/Makefile:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Server.cpp:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.cpp:
	* orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.h:
	* orbsvcs/Logging_Service/Notify_Logging_Service/README:
	* orbsvcs/Logging_Service/Notify_Logging_Service/svc.conf:

	* orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile:
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.cpp:
	* orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.h:

	  Files above added as part of new Telecom Log Service.

Thu Sep 26 09:15:18 2002  D A Hanvey  <d.hanvey@qub.ac.uk>

	* orbsvcs/examples/Log:

	  Examples of the 4 Logging Services

	* orbsvcs/examples/Log/Basic/Makefile :
	* orbsvcs/examples/Log/Basic/TLS_Client.cpp:
	* orbsvcs/examples/Log/Basic/TLS_Client.h :
	* orbsvcs/examples/Log/Basic/main.cpp:

	* orbsvcs/examples/Log/Event/Event_Consumer.cpp:
	* orbsvcs/examples/Log/Event/Event_Consumer.h:
	* orbsvcs/examples/Log/Event/Event_Supplier.cpp:
	* orbsvcs/examples/Log/Event/Event_Supplier.h:
	* orbsvcs/examples/Log/Event/Makefile:

	* orbsvcs/examples/Log/Notify/Makefile:
	* orbsvcs/examples/Log/Notify/Notify_Consumer.cpp:
	* orbsvcs/examples/Log/Notify/Notify_Consumer.h:
	* orbsvcs/examples/Log/Notify/Notify_Supplier.cpp:
	* orbsvcs/examples/Log/Notify/Notify_Supplier.h:

	* orbsvcs/examples/Log/RTEvent/Makefile:
	* orbsvcs/examples/Log/RTEvent/RTEvent_Consumer.cpp:
	* orbsvcs/examples/Log/RTEvent/RTEvent_Consumer.h:
	* orbsvcs/examples/Log/RTEvent/RTEvent_Supplier.cpp:
	* orbsvcs/examples/Log/RTEvent/RTEvent_Supplier.h:

	  Files above added as part of new Telecom Log Service.

Thu Sep 26 13:50:26 2002  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

	* tao/Transport.cpp (close_connection_shared):  Make a check for
	  the return value from the remove_handler_i () call before
	  calling handle_close (). Thanks to Eric Malenfant
	  <EMalenfant@interstarinc.com> for suggesting this.

	  Eric mentions that doesnt show up the BUG 1020  problem. But
	  local testing here doesnt tell so. I still see some core dumps
	  with a test, albeit slowly! The patch cannot do any harm and
	  hence this is checked in.

Thu Sep 26 13:11:03 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_decl.cpp:

	  Fixed a bug where a repository ID prefix set by 'typeprefix' was
	  getting ignored in the repo IDs of scope members. Thanks to Ossama
	  <ossama@doc.ece.uci.edu> for pointing our the bug.

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_field/field_ch.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/cdr_op_ch.cpp:

	  Added missing generated newlines.

        * TAO_IDL/be/be_visitor_module/module_sh.cpp:

	  Fixed indentation of generated code.

        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_ci.cpp:

	  Replace a generated 'const' that had somehow gone missing.

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:

	  Cosmetic changes.

	* orbsvcs/IFR_Service/ifr_visitor.cpp:
	* orbsvcs/IFR_Service/ifr_visitor.h:

	  Added empty methods visit_eventtype() and visit_eventtype_fwd() so
	  the tao_ifr visitor classes can be instantiated.

Thu Sep 26 09:30:02 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/CosLoadBalancing.idl:

	  Use the CORBA 3.0 "typeprefix" keyword instead of "#pragma
	  prefix" to declare the type prefix for the CosLoadBalancing
	  module.

Thu Sep 26 09:25:19 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp (get_location):

	  Removed comment that wasn't relevant to the code.

	* orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp (enable_alert):
	  (disable_alert):

	  Added comment about how and why AMI is used.

	* orbsvcs/orbsvcs/CosLoadBalancing.bor (OBJFILES):
	* orbsvcs/orbsvcs/CosLoadBalancing.dsp:
	* orbsvcs/orbsvcs/CosLoadBalancing_Static.dsp:

	  Added "LB_Location_Index_Map" to the list of C++ source and
	  object files.

Thu Sep 26 09:14:22 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/LoadBalancing/LB_Location_Index_Map.h:
	* orbsvcs/orbsvcs/LoadBalancing/LB_Location_Index_Map.cpp:

	  New table that maps object group ID to the index
	  of the next element in a "locations of object group members"
	  sequence.

	* orbsvcs/orbsvcs/LoadBalancing/LB_RoundRobin.h:

	  Added location index map that maps object group ID to the index
	  of the next element in the "locations of members" sequence.

	  Added lock member to be used for synchronization of the location
	  index map.

	* orbsvcs/orbsvcs/LoadBalancing/LB_RoundRobin.cpp
	  (TAO_LB_RoundRobin):

	  Initialize the lock and location index members in the base
	  member initializer list.

	  (next_member):

	  Implemented this method.  [Bug 1293]

	* orbsvcs/orbsvcs/Makefile.CosLoadBalancing (CPP_SRCS):

	  Added "LB_Location_Index_Map" to the list of C++ sources.

Thu Sep 26 11:55:05 2002  Carlos O'Ryan  <coryan@atdesk.com>

	* tao/Connection_Handler.h:
	* tao/Connection_Handler.inl:
	  Remove unused IIOP-specific method.  This fixes:
	    http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1314

Tue Sep 26 05:32:22 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/ESF/ESF_Busy_Lock.h:
        * tao/Abstract_Servant_Base.h:
        * tao/Object.h:
        * tao/TAO_Internal.h:
        * tao/RTPortableServer/RT_Acceptor_Filters.h:
          Fixed doxygen warnings

Wed Sep 25 19:02:21 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_interface/smart_proxy_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_cs.cpp:
        * TAO_IDL/be_include/be_visitor_interface/smart_proxy_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/smart_proxy_cs.h:

	  Fixed incorrect signature for visit_component() in each class.

Wed Sep 25 18:50:37 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/fe/fe_tmplinst.cpp:

	  Removed explicit template instantiation whose parameter no longer
	  exists.

Wed Sep 25 17:17:49 2002  Carlos O'Ryan  <coryan@atdesk.com>

	* tao/Strategies/DIOP_Connector.cpp:
	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Connector.cpp:
	  Do not use naked delete for reference counted objects.  This
	  fixes:
	    http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1313

Wed Sep 25 17:58:03 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_field/field_ch.cpp:

	  Added missing generated newlines for anonymous array members.

	* TAO_IDL/be/be_visitor_structure/structure_ch.cpp:

	  Removed extra generated newlines.

Wed Sep 25 17:12:06 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * tests/IDL_Test/keywords.idl:

	  This file tests the acceptance of C++ keywords used as identifiers,
	  which is legal (the IDL compiler prepends '_cxx_'). However, two of
	  these, 'private' and 'public' are now IDL keywords as well, and so
	  are no longer legal identifiers. They have been commented out of the
	  test IDL file.

Wed Sep 25 17:05:32 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_root/root_sth.cpp:

	  Added missing generated newline and annotation.

	* TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:

	  Added missing generated newline.

Wed Sep 25 16:12:27 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile:

	  Remove for loop and use recursive make rule
	  similar to the one in rules.nested.GNU.  This will enable better
	  detection of build errors during recursive makes.

	* TAO_IDL/Makefile.dependencies:

	  Add MAKEFILE=Makefile.dependencies so
	  that recursive makes will work properly.

	  Patches and comments sent in by Craig Rodrigues <crodrigu@bbn.com>.

Wed Sep 25 14:35:17 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile.BE:
	* TAO_IDL/TAO_IDL_BE.bor:
	* TAO_IDL/be/Makefile.am:

	  Added missing files and updated dependencies again.

Wed Sep 25 14:09:20 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile.BE:
        * TAO_IDL/Makefile.FE:
        * TAO_IDL/Makefile.EXE:

	  Updated dependencies.

Wed Sep 25 12:40:23 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:

	  Removed unused local variables.

	* TAO_IDL/fe/fe_interface_header.cpp:

	  Commented out an unused parameter.

	* TAO_IDL/be/be_visitor_component/component_ss.cpp:

	  Filled in visit_component() method.

Wed Sep 25 12:24:11 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile.BE:
        * TAO_IDL/Makefile.FE:
        * TAO_IDL/TAO_IDL_BE.bor:
        * TAO_IDL/TAO_IDL_FE.bor:
        * TAO_IDL/ast/Makefile.am:
        * TAO_IDL/be/Makefile.am:

	  Fixed typos.

Wed Sep 25 11:12:59 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_eventtype.cpp:
        * TAO_IDL/ast/ast_eventtype_fwd.cpp:
        * TAO_IDL/be/be_eventtype.cpp:
        * TAO_IDL/be/be_eventtype_fwd.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_eventtype.cpp:
        * TAO_IDL/be/be_visitor_eventtype_fwd.cpp:
        * TAO_IDL/be/be_visitor_eventtype.cpp:
        * TAO_IDL/be/be_visitor_eventtype_fwd.cpp:
        * TAO_IDL/be/be_visitor_component/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_component/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_component/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_component/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_component/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_component/component.cpp:
        * TAO_IDL/be/be_visitor_component/component_ch.cpp:
        * TAO_IDL/be/be_visitor_component/component_ci.cpp:
        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_component/component_ih.cpp:
        * TAO_IDL/be/be_visitor_component/component_is.cpp:
        * TAO_IDL/be/be_visitor_component/component_sh.cpp:
        * TAO_IDL/be/be_visitor_component/component_si.cpp:
        * TAO_IDL/be/be_visitor_component/component_ss.cpp:
        * TAO_IDL/be/be_visitor_component_fwd/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_component_fwd/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_component_fwd/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_component_fwd/component_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_eventtype/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_eventtype/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_eventtype/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_eventtype/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_eventtype/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_ch.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_ci.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_cs.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_obv_ch.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_obv_ci.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_obv_cs.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_sh.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_si.cpp:
        * TAO_IDL/be/be_visitor_eventtype/eventtype_ss.cpp:
        * TAO_IDL/be/be_visitor_eventtype_fwd/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_eventtype_fwd/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_eventtype_fwd/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_eventtype_fwd/eventtype_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_home/home_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd/any_op_ch.cpp:
        * TAO_IDL/be_include/be_eventtype.h:
        * TAO_IDL/be_include/be_eventtype_fwd.h:
        * TAO_IDL/be_include/be_visitor_ccm_pre_proc.h:
        * TAO_IDL/be_include/be_visitor_component/any_op_ch.h:
        * TAO_IDL/be_include/be_visitor_component/any_op_cs.h:
        * TAO_IDL/be_include/be_visitor_component/cdr_op_ch.h:
        * TAO_IDL/be_include/be_visitor_component/cdr_op_ci.h:
        * TAO_IDL/be_include/be_visitor_component/cdr_op_cs.h:
        * TAO_IDL/be_include/be_visitor_component/component.h:
        * TAO_IDL/be_include/be_visitor_component/component_ch.h:
        * TAO_IDL/be_include/be_visitor_component/component_ci.h:
        * TAO_IDL/be_include/be_visitor_component/component_cs.h:
        * TAO_IDL/be_include/be_visitor_component/component_ih.h:
        * TAO_IDL/be_include/be_visitor_component/component_is.h:
        * TAO_IDL/be_include/be_visitor_component/component_sh.h:
        * TAO_IDL/be_include/be_visitor_component/component_si.h:
        * TAO_IDL/be_include/be_visitor_component/component_ss.h:
        * TAO_IDL/be_include/be_visitor_component_fwd/any_op_ch.h:
        * TAO_IDL/be_include/be_visitor_component_fwd/cdr_op_ch.h:
        * TAO_IDL/be_include/be_visitor_component_fwd/cdr_op_ci.h:
        * TAO_IDL/be_include/be_visitor_component_fwd/component_fwd_ch.h:
        * TAO_IDL/be_include/be_visitor_eventtype/any_op_ch.h:
        * TAO_IDL/be_include/be_visitor_eventtype/any_op_cs.h:
        * TAO_IDL/be_include/be_visitor_eventtype/cdr_op_ch.h:
        * TAO_IDL/be_include/be_visitor_eventtype/cdr_op_ci.h:
        * TAO_IDL/be_include/be_visitor_eventtype/cdr_op_cs.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_ch.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_ci.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_cs.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_obv_ch.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_obv_ci.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_obv_cs.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_sh.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_si.h:
        * TAO_IDL/be_include/be_visitor_eventtype/eventtype_ss.h:
        * TAO_IDL/be_include/be_visitor_eventtype_fwd/any_op_ch.h:
        * TAO_IDL/be_include/be_visitor_eventtype_fwd/cdr_op_ch.h:
        * TAO_IDL/be_include/be_visitor_eventtype_fwd/cdr_op_ci.h:
        * TAO_IDL/be_include/be_visitor_eventtype_fwd/eventtype_fwd_ch.h:
        * TAO_IDL/be_include/be_visitor_eventtype.h:
        * TAO_IDL/be_include/be_visitor_eventtype_fwd.h:
        * TAO_IDL/be_include/be_visitor_home/home_ch.h:
        * TAO_IDL/be_include/be_visitor_valuetype_fwd/any_op_ch.h:
        * TAO_IDL/include/ast_eventtype.h:
        * TAO_IDL/include/ast_eventtype_fwd.h:

          New files to complete the support of CORBA Components and related
          types in the IDL compiler.

        * TAO_IDL/be/be_visitor_interface/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/interface_fwd_ci.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd/valuetype_fwd_ci.cpp:
        * TAO_IDL/be_include/be_visitor_interface/interceptors_sh.h:
        * TAO_IDL/be_include/be_visitor_interface_fwd/interface_fwd_ci.h:
        * TAO_IDL/be_include/be_visitor_valuetype_fwd/valuetype_fwd_ci.h:

          Files removed because they were no longer used or contained only
          empty methods.

        * TAO_IDL/Makefile.BE:
        * TAO_IDL/Makefile.FE:
        * TAO_IDL/TAO_IDL_BE.bor:
        * TAO_IDL/TAO_IDL_BE_DLL.dsp:
        * TAO_IDL/TAO_IDL_BE_LIB.dsp:
        * TAO_IDL/TAO_IDL_FE.bor:
        * TAO_IDL/TAO_IDL_FE_DLL.dsp:
        * TAO_IDL/TAO_IDL_FE_LIB.dsp:
        * TAO_IDL/tao_idl.cpp:
        * TAO_IDL/ast/Makefile.am:
        * TAO_IDL/ast/ast_attribute.cpp:
        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_factory.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_home.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_interface_fwd.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/ast/ast_operation.cpp:
        * TAO_IDL/ast/ast_structure.cpp:
        * TAO_IDL/ast/ast_structure_fwd.cpp:
        * TAO_IDL/ast/ast_union.cpp:
        * TAO_IDL/ast/ast_union_fwd.cpp:
        * TAO_IDL/ast/ast_valuetype_fwd.cpp:
        * TAO_IDL/be/Makefile.am:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_component.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_home.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_interface_fwd.cpp:
        * TAO_IDL/be/be_interface_strategy.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be/be_scope.cpp:
        * TAO_IDL/be/be_structure.cpp:
        * TAO_IDL/be/be_structure_fwd.cpp:
        * TAO_IDL/be/be_union.cpp:
        * TAO_IDL/be/be_union_fwd.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_valuetype_fwd.cpp:
        * TAO_IDL/be/be_visitor.cpp:
        * TAO_IDL/be/be_visitor_argument.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_component_fwd.cpp:
        * TAO_IDL/be/be_visitor_factory.cpp:
        * TAO_IDL/be/be_visitor_field.cpp:
        * TAO_IDL/be/be_visitor_home.cpp:
        * TAO_IDL/be/be_visitor_interface.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd.cpp:
        * TAO_IDL/be/be_visitor_module.cpp:
        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_root.cpp:
        * TAO_IDL/be/be_visitor_scope.cpp:
        * TAO_IDL/be/be_visitor_typecode.cpp:
        * TAO_IDL/be/be_visitor_valuetype.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd.cpp:
        * TAO_IDL/be/be_visitor_argument/arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/invoke_cs.cpp:
        * TAO_IDL/be/be_visitor_argument/marshal_ss.cpp:
        * TAO_IDL/be/be_visitor_argument/paramlist.cpp:
        * TAO_IDL/be/be_visitor_argument/post_invoke_cs.cpp:
        * TAO_IDL/be/be_visitor_argument/pre_invoke_cs.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_result.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp:
        * TAO_IDL/be/be_visitor_argument/upcall_ss.cpp:
        * TAO_IDL/be/be_visitor_argument/vardecl_ss.cpp:
        * TAO_IDL/be/be_visitor_array/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/array_ch.cpp:
        * TAO_IDL/be/be_visitor_array/array_ci.cpp:
        * TAO_IDL/be/be_visitor_array/array_cs.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_enum/enum_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ci.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ctor.cpp:
        * TAO_IDL/be/be_visitor_field/field_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_rh_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_rh_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/ami_interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/base_proxy_broker_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/base_proxy_impl_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/direct_proxy_impl_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/direct_proxy_impl_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_is.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/proxy_brokers_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/proxy_impls_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/remote_proxy_broker_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/remote_proxy_broker_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/remote_proxy_impl_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/remote_proxy_impl_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/thru_poa_proxy_impl_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/thru_poa_proxy_impl_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/tie_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/tie_si.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/interface_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_module/module.cpp:
        * TAO_IDL/be/be_visitor_module/module_ch.cpp:
        * TAO_IDL/be/be_visitor_module/module_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_rh_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_rh_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/argument.cpp:
        * TAO_IDL/be/be_visitor_operation/argument_marshal.cpp:
        * TAO_IDL/be/be_visitor_operation/base_proxy_impl_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_info_rettype.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_result.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ih.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/proxy_impl_xh.cpp:
        * TAO_IDL/be/be_visitor_operation/remote_proxy_impl_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_assign_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_is.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_marshal_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_post_invoke_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_pre_invoke_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_return_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_vardecl_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_vardecl_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/thru_poa_proxy_impl_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/tie_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/tie_si.cpp:
        * TAO_IDL/be/be_visitor_root/cdr_op.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_root/root_sth.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_cs.cpp:
        * TAO_IDL/be/be_visitor_structure_fwd/structure_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_decl.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_typedef/typedef_ch.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_union/discriminant_ch.cpp:
        * TAO_IDL/be/be_visitor_union/discriminant_ci.cpp:
        * TAO_IDL/be/be_visitor_union/union_ch.cpp:
        * TAO_IDL/be/be_visitor_union/union_ci.cpp:
        * TAO_IDL/be/be_visitor_union/union_cs.cpp:
        * TAO_IDL/be/be_visitor_union_branch/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_union_branch/private_ch.cpp:
        * TAO_IDL/be/be_visitor_union_branch/public_assign_cs.cpp:
        * TAO_IDL/be/be_visitor_union_branch/public_ch.cpp:
        * TAO_IDL/be/be_visitor_union_branch/public_ci.cpp:
        * TAO_IDL/be/be_visitor_union_fwd/union_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/ami_exception_holder_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/arglist.cpp:
        * TAO_IDL/be/be_visitor_valuetype/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_valuetype/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/field_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/field_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/marshal_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/obv_module.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ci.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_init_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_init_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_ci.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_sh.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd/valuetype_fwd_ch.cpp:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_component.h:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be_include/be_structure.h:
        * TAO_IDL/be_include/be_structure_fwd.h:
        * TAO_IDL/be_include/be_union_fwd.h:
        * TAO_IDL/be_include/be_visitor.h:
        * TAO_IDL/be_include/be_visitor_ami_pre_proc.h:
        * TAO_IDL/be_include/be_visitor_component.h:
        * TAO_IDL/be_include/be_visitor_component_fwd.h:
        * TAO_IDL/be_include/be_visitor_home.h:
        * TAO_IDL/be_include/be_visitor_interface.h:
        * TAO_IDL/be_include/be_visitor_interface_fwd.h:
        * TAO_IDL/be_include/be_visitor_valuetype_fwd.h:
        * TAO_IDL/be_include/be_visitor_argument/arglist.h:
        * TAO_IDL/be_include/be_visitor_argument/invoke_cs.h:
        * TAO_IDL/be_include/be_visitor_argument/marshal_ss.h:
        * TAO_IDL/be_include/be_visitor_argument/post_invoke_cs.h:
        * TAO_IDL/be_include/be_visitor_argument/post_marshal_ss.h:
        * TAO_IDL/be_include/be_visitor_argument/pre_invoke_cs.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_arglist.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_ch.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_result.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_sh.h:
        * TAO_IDL/be_include/be_visitor_argument/request_info_ss.h:
        * TAO_IDL/be_include/be_visitor_argument/upcall_ss.h:
        * TAO_IDL/be_include/be_visitor_argument/vardecl_ss.h:
        * TAO_IDL/be_include/be_visitor_field/field_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/base_proxy_broker_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/base_proxy_impl_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/direct_proxy_impl_sh.h:
        * TAO_IDL/be_include/be_visitor_interface/direct_proxy_impl_ss.h:
        * TAO_IDL/be_include/be_visitor_interface/interceptors_cs.h:
        * TAO_IDL/be_include/be_visitor_interface/interceptors_ss.h:
        * TAO_IDL/be_include/be_visitor_interface/proxy_brokers_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/proxy_impls_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/remote_proxy_broker_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/remote_proxy_broker_cs.h:
        * TAO_IDL/be_include/be_visitor_interface/remote_proxy_impl_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/remote_proxy_impl_cs.h:
        * TAO_IDL/be_include/be_visitor_interface/smart_proxy_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/smart_proxy_cs.h:
        * TAO_IDL/be_include/be_visitor_interface/strategized_proxy_broker_sh.h:
        * TAO_IDL/be_include/be_visitor_interface/strategized_proxy_broker_ss.h:
        * TAO_IDL/be_include/be_visitor_interface/thru_poa_proxy_impl_sh.h:
        * TAO_IDL/be_include/be_visitor_interface/thru_poa_proxy_impl_ss.h:
        * TAO_IDL/be_include/be_visitor_interface/tie_sh.h:
        * TAO_IDL/be_include/be_visitor_interface/tie_si.h:
        * TAO_IDL/be_include/be_visitor_module/module.h:
        * TAO_IDL/be_include/be_visitor_operation/amh_rh_ss.h:
        * TAO_IDL/be_include/be_visitor_operation/ami_handler_reply_stub_operation_ch.h:
        * TAO_IDL/be_include/be_visitor_operation/argument.h:
        * TAO_IDL/be_include/be_visitor_operation/base_proxy_impl_ch.h:
        * TAO_IDL/be_include/be_visitor_operation/exceptlist_cs.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_arglist.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_exceptlist.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_info_rettype.h:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_result.h:
        * TAO_IDL/be_include/be_visitor_operation/proxy_impl_xh.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype_assign_ss.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype_is.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype_marshal_ss.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype_pre_invoke_cs.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype_return_cs.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype_vardecl_cs.h:
        * TAO_IDL/be_include/be_visitor_operation/rettype_vardecl_ss.h:
        * TAO_IDL/be_include/be_visitor_operation/smart_proxy_ch.h:
        * TAO_IDL/be_include/be_visitor_root/root.h:
        * TAO_IDL/be_include/be_visitor_root/root_sth.h:
        * TAO_IDL/be_include/be_visitor_typecode/typecode_decl.h:
        * TAO_IDL/be_include/be_visitor_typecode/typecode_defn.h:
        * TAO_IDL/be_include/be_visitor_valuetype/cdr_op_ch.h:
        * TAO_IDL/be_include/be_visitor_valuetype/cdr_op_ci.h:
        * TAO_IDL/be_include/be_visitor_valuetype/cdr_op_cs.h:
        * TAO_IDL/be_include/be_visitor_valuetype/obv_module.h:
        * TAO_IDL/be_include/be_visitor_valuetype/valuetype_obv_ch.h:
        * TAO_IDL/be_include/be_visitor_valuetype/valuetype_obv_ci.h:
        * TAO_IDL/be_include/be_visitor_valuetype_fwd/valuetype_fwd_ch.h:
        * TAO_IDL/driver/drv_args.cpp:
        * TAO_IDL/fe/fe_interface_header.cpp:
        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/y.tab.h:
        * TAO_IDL/include/ast_attribute.h:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_interface.h:
        * TAO_IDL/include/ast_module.h:
        * TAO_IDL/include/ast_operation.h:
        * TAO_IDL/include/ast_structure.h:
        * TAO_IDL/include/ast_structure_fwd.h:
        * TAO_IDL/include/ast_union.h:
        * TAO_IDL/include/ast_union_fwd.h:
        * TAO_IDL/include/ast_visitor.h:
        * TAO_IDL/include/fe_interface_header.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/narrow/narrow.cpp:
        * TAO_IDL/util/utl_err.cpp:
        * TAO_IDL/util/utl_exceptlist.cpp:
        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          -- Modified files to complete the support of CORBA Components
	     and related types in the IDL compiler.

          -- Fixed a bug in the redefinition of forward declared structs and
             unions. Thanks to Ken Sedgwick <ken@xvros.org> for sending in the
             example IDL file that uncovered the bug.

          -- Changed addition of newlines to generated code to make it more
             consistent and readable.

          -- Added file and line number annotation to generated code
	     wherever it was found to be missing.

          -- Fixed several bugs in the code generation for valuetypes.

        * orbsvcs/IFR_Service/ifr_visitor.cpp:
        * orbsvcs/IFR_Service/ifr_visitor.h:

          Added visit_eventtype() and visit_eventtype_fwd() methods.

Wed Sep 25 11:07:21 2002  Jeff Parsons <parsons@cs.wustl.edu>

	* tao/TypeCodeFactory_Adapter.cpp:
	* tao/IFR_Client_Adapter.cpp:

	  Replaced an #include whose removal was causing build errors on
	  LynxOS and SunCC.  Thanks to Craig Rodrigues <crodrigu@bbn.com>
	  for pointing it out.

Wed Sep 25 13:15:12 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/ImR_Activator.pidl:
        * tests/Bug_1269_Regression/Test.idl:
        * tests/Bug_1270_Regression/Test.idl:
          Fixed incorrect filename after @file doxygen command.

Tue Sep 24 23:11:02 2002  Ossama Othman  <ossama@uci.edu>

	* tao/ORBInitializer_Registry.h (TAO_ORBInitializer_Registry):

	  No need to export this class from the TAO DLL on Windows.  Only
	  the standard PortableInterceptor::register_orb_initializer()
	  method should be used.

	* orbsvcs/ImplRepo_Service/XML_ContentHandler.cpp
	  (endPrefixMapping):

	  Fixed unused argument warning.

Tue Sep 24 15:29:37 2002  Jeff Parsons <parsons@cs.wustl.edu>

        * tao/Dynamic_Adapter.cpp:
        * tao/Dynamic_Adapter.h:
        * tao/IFR_Client_Adapter.cpp:
        * tao/IFR_Client_Adapter.h:
        * tao/TypeCodeFactory_Adapter.cpp:
        * tao/TypeCodeFactory_Adapter.h:

          Made the methods in these classes pure virtual and
          eliminated the empty method bodies.

        * tao/corbafwd.h:

          Added 'tk_event' to the TCKind enum.

Tue Sep 24 09:36:43 2002  Ossama Othman  <ossama@uci.edu>

	* TAO/orbsvcs/ImplRepo_Service/ImR_Activator.dsp:

	  Added missing ACEXML libraries to link command.  Fixes
	  unresolved symbol errors.

	  Removed unnecessary references to the DynamicInterface library.

	  Corrected ImR_Activator binary name from `ImR_Activator .exe' to
	  `ImR_Activator.exe'.  Notice the space that was between
	  "ImR_Activator" and ".exe".

	* TAO/orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp (ready_check):

	  Added missing ACE_CHECK_RETURN.

	* TAO/orbsvcs/ImplRepo_Service/Options.h:

	  No need to include "ace/FILE_Addr.h".

	* TAO/orbsvcs/ImplRepo_Service/Options.cpp (SERVICE_REG_ROOT):
	  (SERVICE_REG_PATH, SERVICE_REG_VALUE_NAME):

	  Made these global variables static.  They are only used in this
	  file.

	* TAO/orbsvcs/ImplRepo_Service/Repository_Configuration.cpp:

	  Removed global variables that were duplicates of those in
	  Options.cpp.  Fixes a link-time error.

	* TAO/orbsvcs/ImplRepo_Service/Server_Info.h:
	* TAO/orbsvcs/ImplRepo_Service/Server_Info.cpp:

	  ACE coding style updates.

	* TAO/orbsvcs/ImplRepo_Service/Server_Repository.h:

	  No need to include "XML_ContentHandler.h" to pull in the
	  corresponding class declaration.  A forward reference will do.

	* TAO/orbsvcs/ImplRepo_Service/Server_Repository.cpp:

	  Pass in "sizeof (buffer)" to fgets() instead of a constant like
	  "4096".  The former works since the buffer is stack allocated.
	  Compile time computation of the size leaves less room for
	  error.

	  Include "XML_ContentHandler.h" to pull in the appropriate class
	  declaration.

	  ACE coding style updates.

	* TAO/orbsvcs/ImplRepo_Service/XML_ContentHandler.cpp:

	  Commented out debugging code that was always executed.

	  Removed all ACE_UNUSED_ARG macros in favor of the standard C++
	  way of marking an argument unused, i.e. only list the type of
	  the argument without the argument name.

Tue Sep 24 08:58:54 2002  Priyanka Gontla  <pgontla@ece.uci.edu>

	* orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
	* orbsvcs/ImplRepo_Service/tao_imr_i.cpp (run):
	  Removed unnecessary debug statements.

	* orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
 	  Fixed the reregister method implementation to work correctly in
	  case when the ImR_Activator is locked.

	* orbsvcs/tests/ImplRepo/locked/run_test.pl:
	  Fixed the service name from ImplRepo_Service to ImplRepoService
	  to get the correct initial references.

Sat Sep 21 12:49:41 2002  Ossama Othman  <ossama@uci.edu>

	* TAOACE.dsw:

	  Added ACEXML_Parser and XML_Common projects.  The ImR_Activator
	  project depends on them.

Sat Sep 21 14:07:11 2002  Ossama Othman  <ossama@uci.edu>

	* TAOACE.dsw:

	  Added missing ImR_Activator project.  This should address a
	  build error about an unknown project.

Sat Sep 21 11:57:39 2002  Ossama Othman  <ossama@uci.edu>

	* TAO_IDL/fe/idl.ll (stripped_name):
	* TAO_IDL/fe/lex.yy.cpp (stripped_name):

	  Commented out this unused function.  Fixes a warning exhibited
	  by g++ 3.2.

Sat Sep 21 13:49:27 2002  Ossama Othman  <ossama@uci.edu>

	* tao/PortableInterceptorC.cpp (_create_policy):

	  Removed default argument value.  Default values should only be
	  set in method/function prototypes, not the implementations.
	  Fixes a warning exhibited by g++ 3.2.

Sat Sep 21 12:42:25 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Naming/Naming_Context_Interface.h:
	* orbsvcs/orbsvcs/Naming/Naming_Context_Interface.cpp (to_name):
	  (to_name_helper):

	  Applied Carlos' patch that fixes to_name() operation crashes
	  with some strings (a blocker bug).  [Bug 1224]

Fri Sep 20 12:53:58 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Monitor.cpp (loads):

	  For the Linux case, only obtain the load average via
	  ::getloadavg() if Glibc 2.2 or better is used, and if either
	  _BSD_SOURCE or _GNU_SOURCE is defined.  Otherwise, obtain the
	  load average directly from the `/proc/loadavg' virtual file.
	  This address problems compiling the new load balancer on older
	  Linux distributions.  Thanks to Knut-Ha*vard Aksnes for
	  reporting the problem.  [Bug 1311]

Wed Sep 18 09:23:44 2002  Priyanka Gontla  <pgontla@ociweb.com>

	* orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp (reregister_server):
	  Fix the mismatch throw warning in borland builds.

Wed Sep 18 07:47:43 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation/Diamond.bor:
        * tests/Collocation/Collocation_Test_Stubs.bor:
        * tests/Collocation/Collocation.bor:
          Fixed dynamic build and don't build in static environment because
          this test only works when building dynamic.

Wed Sep 18 06:41:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Event/Basic/MT_Disconnect.bor:
        * orbsvcs/tests/Notify/Basic/Makefile.bor:
        * orbsvcs/tests/Notify/Blocking/Structured_Consumer.bor:
        * orbsvcs/tests/Notify/Blocking/Structured_Supplier.bor:
        * orbsvcs/tests/Notify/Discarding/Sequence_Consumer.bor:
        * orbsvcs/tests/Notify/Discarding/Sequence_Supplier.bor:
        * orbsvcs/tests/Notify/Discarding/Structured_Consumer.bor:
        * orbsvcs/tests/Notify/Discarding/Structured_Supplier.bor:
        * orbsvcs/tests/Notify/MT_Dispatching/Structured_Consumer.bor:
        * orbsvcs/tests/Notify/MT_Dispatching/Structured_Supplier.bor:
        * orbsvcs/tests/Notify/Ordering/Sequence_Consumer.bor:
        * orbsvcs/tests/Notify/Ordering/Sequence_Supplier.bor:
        * orbsvcs/tests/Notify/Ordering/Structured_Consumer.bor:
        * orbsvcs/tests/Notify/Ordering/Structured_Supplier.bor:
        * orbsvcs/tests/Notify/performance-tests/Filter/Sequence_Consumer.bor:
        * orbsvcs/tests/Notify/performance-tests/Filter/Sequence_Supplier.bor:
        * orbsvcs/tests/Notify/performance-tests/Filter/Structured_Consumer.bor:
        * orbsvcs/tests/Notify/performance-tests/Filter/Structured_Supplier.bor:
          Fixed for static build

Tue Sep 17 16:57:19 2002  Ossama Othman  <ossama@uci.edu>

	* tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor.cpp
	  (establish_components):

	  Fixed operator precedence problem.

Tue Sep 17 09:09:32 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation/Collocation_Test_Stubs.bor:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Consumer.bor:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Supplier.bor:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Consumer.bor:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Supplier.bor:
        * orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Consumer.bor:
        * orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Supplier.bor:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Filter_Consumer.bor:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Filter_Supplier.bor:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Makefile.bor:
          Fixed for static build

Mon Sep 16 18:23:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/DLL_ORB/Test_Client_Module.bor:
        * tests/DLL_ORB/Test_Server_Module.bor:
          Fixed for static build.

Sun Sep 15 13:39:51 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/orbsvcs/Time/Timer_Helper.h:

	  Corrected inclusion of `ace/pre.h'.  It was included between the
	  #ifndef/#define header include guards.  It should have been
	  included after the include guard.

	* orbsvcs/orbsvcs/Time/Timer_Helper.cpp (Timer_Helper):

	  Initialize the clerk_ member.  Do not leave it uninitialized.

	  (~Timer_Helper):

	  Removed "delete this" code.  This code made no sense since it
	  was called inside a destructor!

	  (handle_timeout):

	  Only print debugging statements if TAO_debug_level is greater
	  than zero.  Previously, debugging statements were always
	  printed.  [Bug 1302]

Sun Sep 15 13:04:49 2002  Ossama Othman  <ossama@uci.edu>

	* tao/PortableServer/IORInfo.h:

	  No need to include `POA.h' and `portableserver_export.h'.  A
	  forward declaration is enough for the latter, there is no
	  need to export this IORInfo implementation on Windows for the
	  former.

	  Removed unused forward declarations.

	  Unexported the TAO_IORInfo class.  Exporting the
	  PortableInterceptor::IORInfo interface is enough.

	  Removed useless friend declarations.

	  No need to pass a pointer to the ORB_Core to the TAO_IORInfo
	  constructor.

	  Removed unused TAO_ORB_Core, TAO_MProfile, CORBA::PolicyList,
	  AdapterState, AdapterManagerId and ObjectReferenceTemplate
	  members.  They were not cleaned up or were incorrectly
	  introduced when TAO's ORT support was added.

	  (invalidate):

	  New method that invalidates the IORInfo instance.  Once the IOR
	  interception points have been invoked, this IORInfo instance is
	  no longer valid.  This also addresses potential memory access
	  violations that could occur if the POA is destroyed before the
	  IORInfo object.

	  (components_established):

	  This method is used to infom the IORInfo when the
	  add_ior_component() and add_ior_component_to_profile() methods
	  are invalid.  They are only valid in the
	  IORInterceptor::establish_components() interception point.

	  (check_validity):

	   Check if the IORInfo instance is valid.  Once all
	   IORInterceptor interception points have been called, the
	   IORInfo object is no longer valid.  Throw an exception in that
	   case.

	* tao/PortableServer/IORInfo.inl:

	  New file containing TAO_IORInfo inlined methods.

	* tao/PortableServer/IORInfo.cpp:

	  No need to include `PortableServerC.h'.  `POA.h' is enough.

	  No need to include `MProfile.h' and `ORB_Core.h'.  They were not
	  cleaned up when TAO's ORT support was added.

	  (TAO_IORInfo):

	  Removed TAO_ORB_Core parameter from the parameter list.  It is
	  no longer used.

	  (get_effective_policy):

	  Overhauled this method so that it actually works.  It was
	  completely broken when TAO's ORT support was added.  [Bug 1307]

	  Verify that the IORInfo object is still valid before proceeding.

	  (add_ior_component, add_ior_component_to_profile):

	  Throw a CORBA::BAD_INV_ORDER exception with the appropriate
	  minor code if either of these methods is called after the
	  IORInterceptor::establish_components() interception point has
	  been called, as required by the CORBA spec.

	  Verify that the IORInfo object is still valid before proceeding.

	  (manager_id, state, adapter_template, current_factory):

	  Verify that the IORInfo object is still valid before proceeding.

	* tao/PortableServer/POA.h (get_policy_list, set_policy_list):
	  (get_mprofile, set_mprofile):

	  Removed these methods.  The code that used them was misguided
	  and broken.

	  (components_established_i):

	  Renamed this method to components_established().  The previous
	  name did not match our naming conventions.  "_i()" methods are
	  used when implementing the thread-safe interface design pattern.

	  (policy_list_, mprofile_):

	  Removed these members.  The memory they pointed to was not
	  managed correctly.  This change is part of a number changes that
	  address many memory management issues.  They were introduced
	  when TAO's ORT support was added.

	* tao/PortableServer/POA.cpp (client_exposed_policies):

	  Removed unnecessary ACE_UNUSED_ARG.  Removing the corresponding
	  parameter name is enough, and is technically more correct in
	  terms of C++.

	  (tao_establish_components, establish_components):

	  Merged these methods.  tao_establish_components() didn't buy us
	  anything.

	  (add_ior_component, add_ior_component_to_profile):

	  Pass a reference to a TAO_MProfile to these methods instead of
	  using the now removed mprofile_ member.  This addresses some
	  memory access violations, in addition to some thread-safety
	  issues.

	  (establish_components):

	  Inform the TAO_IORInfo object that the
	  IORInterceptor::establish_components() interception point was
	  called.  This prevents user code from illegally adding
	  TaggedComponents after establish_components() is called.  This
	  behavior is required by the spec.

	  Invalidate the IORInfo object after the components_established()
	  interception point is called.  Once all IORInterceptor
	  interception points have been called, no changes via the IORInfo
	  object are allowed.  This change addresses a potential memory
	  violation that could occur if the POA is destroyed before the
	  IORInfo object.  Such a scenario can occur the user duplicates
	  the IORInfo reference in an IORInterceptor.

	  (create_stub_object):

	  Removed code that stored the stub object's policy list and
	  TAO_MProfile for use by TAO's IORInterceptor support.  This code
	  was very broken since it did not manage memory correctly (broke
	  when TAO's ORT support was added).  The cached policy list and
	  TAO_MProfile pointers could easily end up being dangling
	  pointers.  The IORInfo object now does the right thing, and
	  retrieves policies from the POA on-demand.  Furthermore, caching
	  a pointer to the TAO_MProfile was a very bad idea since it is
	  destroyed as soon as this method's scope is exited!  [Bug 1307]

	* tao/RTPortableServer/RT_POA.cpp (client_exposed_policies):

	  Fixed some exception safety issues.  Plugged some potential
	  memory leaks.

Sun Sep 15 11:56:58 2002  Ossama Othman  <ossama@uci.edu>

	* tests/Codec/client.cpp (main):

	  Verify that extraction of data from the Any succeeded.

	  Cleaned up debugging output.

	* tests/Portable_Interceptors/IORInterceptor/FOO_ClientRequestInterceptor.h:

	  Added new IOP::Codec member that will be used when decoding data
	  from the object reference's TaggedComponent.

	* tests/Portable_Interceptors/IORInterceptor/FOO_ClientRequestInterceptor.cpp (send_request):

	  Use a CDR encapsulation Codec to better demonstrate the
	  standard/portable way to retrieve data from a TaggedComponent.

	* tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor.h:

	  Added new IOP::Codec member that will be used when encoding data
	  into the object reference's TaggedComponent.

	* tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor.cpp (establish_components):

	  Use a CDR encapsulation Codec to better demonstrate the
	  standard/portable way to embed data into a TaggedComponent.  The
	  previous code used memcpy() on a string.

	  Verify that IORInfo::add_ior_component_to_profile() also works.
	  Previously, only add_ior_component() was tested.

	  Verify that IORInfo::get_effective_policy() works.  This check
	  was missing.  Thanks to Christoph Liebig <xfrog2000@yahoo.com>
	  providing the code.

	* tests/Portable_Interceptors/IORInterceptor/FOO_Client_ORBInitializer.cpp (post_init):
	* tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor_ORBInitializer.cpp (post_init):

	  Create a GIOP 1.2 CDR encapsulation Codec to be used by the
	  interceptors created by each of these ORBInitializers.

Sun Sep 15 09:38:42 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Makefile.bor:
          Added ORB_shutdown directory.

Sun Sep 15 09:29:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1269_Regression/Echo.h:
        * tests/Bug_1269_Regression/Echo_Caller.h:
        * tests/Bug_1269_Regression/ORB_Task.h:
        * tests/Bug_1269_Regression/Server_Timer.h:
        * tests/Bug_1270_Regression/Echo_Caller.cpp:
        * tests/Bug_1270_Regression/ORB_Task.cpp:
        * tests/Bug_1270_Regression/Server_Timer.cpp:
        * tests/Bug_1269_Regression/Echo.cpp:
          Fixed fuzz errors

Sat Sep 14 18:17:43 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/EC_Multiple/Makefile.bor:
        * orbsvcs/tests/CosEvent/Basic/Makefile.bor:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/Makefile.bor:
        * orbsvcs/tests/CosEvent/lib/Makefile.bor:
        * orbsvcs/tests/Notify/lib/Makefile.bor:
          Fixed these BCB makefiles for the static build.

Sat Sep 14 08:42:33 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/ImR_Activator.bor:
          Added missing NT_Service.

Fri Sep 13 15:35:53 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* tao/Acceptor_Registry.cpp: Put errno value in the
	  constructor of the CORBA exception which is created when
	  when opening the acceptor in TAO_Acceptor_Registry::open_i() fails.

	* tao/Exception.cpp: For errno values which are not handled in the
	  switch statement, include ACE_OS_String::strerror(errno) in the
	  error output.

Fri Sep 13 14:31:12 UTC 2002  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/ImR_Activator.bor:
          Added missing libs.

        * tests/POA/Policies/makefile.bor:
          Fixed this BCB makefile.

Fri Sep 13 09:37:59 2002  Carlos O'Ryan  <coryan@atdesk.com>

	* tao/Connection_Handler.h:
	* tao/Connection_Handler.cpp:
	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.h:
	* orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.h:
	* orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
	* tao/IIOP_Connection_Handler.h:
	* tao/IIOP_Connection_Handler.cpp:
	* tao/Strategies/DIOP_Connection_Handler.h:
	* tao/Strategies/DIOP_Connection_Handler.cpp:
	* tao/Strategies/SHMIOP_Connection_Handler.h:
	* tao/Strategies/SHMIOP_Connection_Handler.cpp:
	* tao/Strategies/UIOP_Connection_Handler.h:
	* tao/Strategies/UIOP_Connection_Handler.cpp:
	  Re-factor shared code into the TAO_Connection_Handler class.
	  The routines affected are handle_input(), handle_output(),
	  handle_close(), handle_close_i() and a couple others.
	  This fixes:
	    http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1309

	* tao/Strategies/DIOP_Acceptor.cpp:
	  The re-factoring eliminated some default arguments for
	  handle_close(), which was called directly from this class.

Thu Sep 12 08:08:35 2002  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

	* tao/IIOP_Connection_Handler.cpp (TAO_IIOP_Connection_Handler):
	  Initialize the dscp_codepoint_ value.  Thanks to Martin Johnson
 	  <mjohnson@quickcut.com.au> for reporting this.

Thu Sep 12 11:31:13 2002  Balachandran Natarajan  <bala@cs.wustl.edu>

	* tests/Bug_1269_Regression/Echo.cpp:
	* tests/Bug_1269_Regression/Echo_Caller.cpp:
	* tests/Bug_1269_Regression/ORB_Task.cpp:
	* tests/Bug_1269_Regression/Server_Timer.cpp:
	* tests/Bug_1270_Regression/Echo.cpp:
	* tests/Bug_1270_Regression/Echo.h:
	* tests/Bug_1270_Regression/Echo_Caller.h:
	* tests/Bug_1270_Regression/ORB_Task.h:
	* tests/Bug_1270_Regression/Server_Timer.h: Fixed fuzz errors.

Wed Sep 11 09:22:25 2002  Priyanka Gontla  <pgontla@ociweb.com>

	* orbsvcs/ImplRepo_Service/Makefile.bor:
	* orbsvcs/ImplRepo_Service/ImplRepo.bor (CFLAGS):
	* orbsvcs/ImplRepo_Service/ImR_Activator.bor (CFLAGS):
	  Updated the Borland files. Added a new ImR_Activator.bor for the
	  ImR_Activator executable. Thanks to Johnny Willemsen for
	  pointing it out.

	* tao/PortableServer/Makefile.bor (OBJFILES):
	  Updated the makefile to add the new ImR_Locator{C.S} and
	  ImR_Activator{C,S} files.

	* orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
	  Fixed template instantiations. Thanks to Craig Rodrigues
	  for pointing it out.

	* orbsvcs/ImplRepo_Service/Server_Repository.cpp:
	  Fixed warnings on Debian_Full build.

	* orbsvcs/tests/ImplRepo/locked/run_test.pl:
	  Replaced ImR_Locator with ImplRepo_Service as it should be.

Wed Sep 11 04:49:09 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* orbsvcs/orbsvcs/Makefile:
	  Do not build certain orbsvcs unless corba_messaging=1.

Tue Sep 10 14:02:04 2002  Ossama Othman  <ossama@uci.edu>

	* orbsvcs/LoadBalancer/LoadManager_Static.dsp:
	* orbsvcs/LoadBalancer/LoadMonitor_Static.dsp:

	  Added Messaging library directory to the input library path.
	  Fixes a link-time error.

Tue Sep 10 12:17:26 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* orbsvcs/tests/Makefile:
	  Set TAO_ROOT if it does not have a value.

Tue Sep 10 04:18:47 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* orbsvcs/examples/Makefile:
	  Do not build certain tests unless corba_messaging=1.

Tue Sep 10 04:10:46 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* orbsvcs/tests/Makefile:
	  Do not build certain tests unless corba_messaging=1.

Tue Sep 10 03:37:08 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* tests/Connection_Timeout/Makefile:
	* tests/DSI_Gateway/Makefile:
	* tests/LongUpcalls/Makefile:
	* tests/Param_Test/Makefile:
	  Do not do final link in these tests unless corba_messaging=1

	* orbsvcs/Makefile:
	  Do not build CosEvent_Service and Event_Service unless
	  corba_messaging=1.

Mon Sep  9 20:37:21 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* tao/Strategies/Makefile: Change rules.nested.GNU to rules.nonested.GNU.

Mon Sep  9 01:25:56 UTC 2002  Craig Rodrigues  <crodrigu@bbn.com>

	* rules.tao.GNU:
	* orbsvcs/tests/Event/Basic/Makefile:
	* tests/Param_Test/Makefile:
